Introducing Probe wpe31.gif (1136 bytes)

  • Find out more about the features of Probe, what sets it apart as a file manager, by jumping to the Characteristics section.
  • Browse to A Tour of the Components to get a feel for the components of the main window in Probe.
  • If you want to get started using Probe right now, then go to the Getting Started section.
  • Go to the Reference Manual for detailed documentation on Probe.
  • Under Terminology there's a collection of various technical terms used throughout this help-file.
  • If you want to give feedback, then jump to Feedback and Bug reports. This page also deals with logging and reporting bugs.
  • The homepage for Probe is located at http://w1.920.telia.com/~u92008165.

Next: Characteristics


Characteristics

This section introduces several of the features that make Probe unique as a file-manager. Some of these features are not apparent from a screenshot of the program, so take take some time to discover the characteristics of Probe:

  • Powerful, but Simple to Use
  • Unifies Well Known User Interfaces
  • Threaded, Non Blocking Architecture
  • Handles Trees, Branches and Folders with Ease
  • Extending Selection Capabilities
  • Different Storage Types, one Interface
  • Un-compromised Performance
  • Folder Architecture for Compressed Files
  • Folder Architecture for Remote Sites
  • Frame Based Windowing
  • Reduced Desktop Cluttering
  • Full Shell Integration
  • Drag, Jump! and Drop

Next: A Tour of the Components

Back: Introduction


Powerful, but Simple to Use

To be a handy tool in both everyday file managing and more advanced file operations, Probe has been designed with some basic guidelines in mind:

  • An intuitive graphical user interface, with a low effort to get started.
  • Although simple to get started with, Probe allows for taking full control over the details of file operations.
  • To be a tool for file operations involving thousands of files, and possibly gigabytes of data, performance is un compromised.
  • To enhance productivity, Probe takes advantage of multi-threading. You can keep working in Probe, while file operations are taking place in the background.

Next: Unifies Well known User Interfaces

Back: Characteristics


Unifies Well-known User Interfaces

Learning the details of a new program can take quite some effort. To reduce this work, the user interface of Probe contains subsets of the interfaces of previous well known file-managers.

If you have some previous experience in working with MS Windows you have probably came across the Explorer file-manager. Probe implements most of it's functionality in a compatible way, such as file popup menus, file selection etc.

Fig 1: Popup menu, using Probe

wpe29.gif (3660 bytes)

Fig 2: Popup menu, using Explorer

wpe2B.gif (4101 bytes)

When working with files it's essential to have at least two equivalent windows in order to get an overview of source and destination folders. 'Norton Commander' is a classical program implementing this user interface. The good news is that Probe also implements a large subset of that user interface. Probe allows for configuring its main window in many different ways. The configuration below illustrates a dual pane layout.

Fig 3: Probe with two Folder Browsers and a Function Bar

wpe30.gif (12176 bytes)

Next: Threaded, Non-blocking Architecture

Back: Powerful, but Simple to Use


Threaded, Non-blocking Architecture

File operations can often take significant time, specially if it involves compression, networked file structures or slow local media. In traditional file-managers and command line tools, the application cannot be used while the operation is in progress. In the best case a 'Cancel' button is available, and the desktop area taken by the busy application is dead until the operation has completed.

In contrast with this, Probe utilizes the multi-threaded architecture of Win32. Immediately after a file operation is started, you can return to Probe, resuming your work. Furthermore, Probe can handle many simultaneous file operations, at all times keeping the main application window in a responsive state.

The progress of file operations is easily monitored through separate progress windows for each of them.

Fig 1: The file-transfer progress dialog

wpe35.gif (3964 bytes)

When handling multiple simultaneous file-transfers without Probe, a separate instance of each application must be started. With Probe, these additional windows are eliminated, freeing up valuable screen area. Desktop cluttering is reduced.

Next: Handles Trees, Branches and Folders with Ease

Back: Unifies Well-known User Interfaces


Handles Trees, Branches and Folders with Ease

The storage on your computer - all files and folders - is organized in a large tree that is rooted at the desktop. To effectively handle this storage tree, it's important to have a file-manager that presents information on branches and individual subfolders within the storage tree. The primary means for navigating the storage tree is the well-known tree control.

Figure 1: Part of the storage tree, in the Tree Browser

wpe32.gif (6792 bytes)

Example

Equally important as presenting storage as a tree, is the capability of performing operations on it's sub trees. As en example, suppose we're doing a backup of all document files on the C: disk. We want to put all files of type .doc, .txt in a compressed file, C:\Backup\DocBackup970920.zip.

Doing this with the DOS prompt is next to impossible. With the ordinary Explorer File manager we'd have to handle each folder individually. We'd also require a helper app to handle the zip file. It would be highly time consuming if possible at all.

With Probe this is completed in four steps:

  1. Go to the C: disk in a Folder Browser.
  2. Recursively select all files *.doc and *.txt.
  3. In a companion Folder Browser, press F7 to create a Zip Archive.
  4. To copy the files, use drag&drop or press F5, and indicate Recursive Selections in the file operation dialog.

Next: Extending Selection Capabilities

Back: Threaded, Non-blocking Architecture


C:/vcpp/multwnd_help/Characteristics/ExtendingSelectionCapabilities.htm

Extending Selection Capabilities

When handling subfolders during file operations, traditional file-managers assumes that when we select a subfolder, we want all of it's contents to take part in a file operation. This is often good, but sometimes it's not what we need.

Example

Suppose that we've been working with a project containing JPEG, GIF and BMP images, Word documents, Java source-code and text files among other file types. The programs we've been using in the project have produced many intermediate and temporary files which are of interest only to other programs. Now, say we'd like to send the images of the project to a friend. How do sort out the images from the rest of the files?

With Probe, this is done through the concept of 'Recursive Selections'. The idea is that we not only select files in the topmost folder of a file operation, but also in it's subfolders, and their subfolders in turn. We can do this manually, selecting each file with the mouse, or with the keyboard. Even better is to have Probe do the repetitive work of sorting out all image files and selecting them (fig 1).

Fig 1: Using wildcard selections in the Advanced Selection dialog

wpeA.gif (6220 bytes)

Suppose we'd like to select all image files, in all subfolders of our project. This is accomplished by setting the option 'Perform selection in all subfolders' in fig 2.

Fig 2: Choosing to recursively select image files

wpeC.gif (2116 bytes)

After performing the selection, we make sure that subfolder handling is set to 'Recursive selection' (fig 3).

Fig 3: Activating 'Recursive Selections'

wpeE.gif (2070 bytes)

To make sure that only image type files will be part of the file operation, we use the 'Selection Information' function, which presents detailed information on the currently selected files. It also provide us with a browsable tree, which only contains the selected files.

Fig 4: Inspecting the current selection, through the F9 function

wpeD.gif (11070 bytes)

In fig 4, totally 210 + 8 = 218 image files were found. Indeed, it would have been a boring and error prone task, finding and copying these 218 files manually. Note that the folder structure, and each file of the selection, is visualized in the tree control to the right in fig 4.

Now, we're ready to do our file operation. If we want to compress the images into a single ZIP file, we use Probe to create the ZIP file, and then simply copy the current selection there. Now we can go ahead, emailing the images as a single compressed file.

Next: Different Storage Types, one Interface

Back: Handles Trees, Branches and Folders with Ease


Different Storage Types, one Interface

Traditionally, a file manager has been a tool for handling files only on local drives, or networked drives assigned a drive letter. In this setting, handling different types of storage, for example a remote FTP site, ZIP compressed archives, a Z compressed file, etc, involves starting a different application for each of them.

Shortcomings with this approach are that helper programs are likely to vary in terms of user interface and syntax. Also, the desktop is flooded by windows, and each helper application consumes system resources. The connection between two such applications is at best drag and drop, with limited multi-folder selection capabilities.

With Probe, only a single window application is required. There is a consistent user interface with all different storage types. Powerful multi-folder selections are available with all folder types.

Fig 1: Copying files from within a TAR archive to a ZIP archive

wpe37.gif (4566 bytes)

Next: Un compromised Performance

Back: Extending Selection Capabilities


Un compromised Performance

Usually the operating system caches file access, that is, it mirrors a file in RAM memory, with the hope that the file will be accessed again within short. The next time it can access the file from RAM, instead of disk.

Often, this assumption is correct, but within a file-manager, it is often not true. Having moved or copied a directory we usually have done our job and won't access the files for a long time. In this aspect Probe optimizes file transfer performance by providing hints to the OS to bypass caching.

Under Windows NT a more powerful concept i utilized, overlapping IO. This means that two processes handles the file transfers, one of them reading and one of them writing. If source and destination are on physically different drives, this can improve performance with up to 60%.

When handling very large files, performance can be improved by increasing the size of the buffers used during file-transfers. With Probe, buffer size may be set to a maximum 2x4MB.

Next: Folder Architecture for Compressed Archives

Back: Different Storage Types, one Interface


Folder Architecture for Compressed Archives

There are many different formats for compressing files before backup, long distance transfer etc. Examples of such formats are ZIP,ARJ,TAR. They all have in common that they bring together a folder structure within a single file. They usually compress the files as well. And finally, they're all command line utilities.

They don't share syntax however. Remembering the options and command switches for insertion, extraction, modification for all these formats is difficult. Furthermore, the command prompt is not a good tool when handling many files selectively within such archives.

Figure 1: Hmm, how do I get into this archive?

wpe38.gif (3860 bytes)

Probe uses a folder architecture to solve this problem. Compressed archives appear as subfolders within a Folder Browser or Tree Browser. To open them, double-click or press Enter, and you're inside the archive, without any new window appearing on the desktop.

Figure 2: Double-clicking did the job!

wpe39.gif (5228 bytes)

To move files in and out of the archives, the usual Drag&Drop or keyboard accelerators (F5,F6) apply. Opening documents, reading texts, running programs, all works from within compressed archives, when using Probe.

With Probe it is easy to browse archives which have been compressed by several different packers, and it is also possibly to run setup programs from within packed archives, having Probe taking care of the details of temporary unpacking files and removing them, in the background.

Figure 3: Launching a Setup.exe program from within a Zip file

wpe3B.gif (8177 bytes)

Next: Folder Architecture for Remotes Sites

Back: Un compromised Performance


Folder Architecture for Remote Sites

Probe ships with a built in FTP client that extends the local file system, in a way similar to that of compressed archive folders, described in the previous section. In Probe, an FTP site is simply a folder with a special FTP icon. To enter the remote site, this icon is double-clicked, or the Enter key is used.

Fig 1: FTP sites appears as subfolders

wpe3C.gif (8041 bytes)

Within the FTP-site, you select, copy, move and delete files just as within an ordinary folder. It's easy to download individual files, for example to your favorite text editor, with correct ASCII conversions taking place.

Probe handles connections to multiple FTP sites simultaneously. Moreover, several connections with each of these sites can be handled, allowing for browsing the site while transfers to the same site are in progress.

Most FTP programs can only present a single folder at any one time. In Probe, through the Tree Browser, the folder structure of all opened folders is easily browsed.

Fig 2: Browsing the tree structure of an FTP site

wpe3E.gif (2892 bytes)

Next: Frame Based Windowing

Back: Folder Architecture for Compressed Files


Frame Based Windowing

As a Windows user, you have probably experienced 'desktop flooding', or having to many overlapping windows opened at once. It turns out that significant effort is spent moving windows front to back, and arranging them side to side.

Fig 1: A case of 'desktop flooding'

wpe17.gif (28588 bytes)

To enable handling multiple Folder Browsers, Tree Browsers and various tools within a single application window, a frame based window type was derived from standard MFC components. The main window of Probe is divided into several non overlapping frames. Each such frame contain contains a tool, or a browser.

The frame layout is completely customizable. Individual frames may be resized, repositioned, open and closed. Quite like desktop windows, with the difference that the frames snap to each other, and don't overlap. Probe also supports maximizing a single frame to cover the full application window.

The frame system of Probe provides an easily overviewed file managing environment. Also, bringing it to the top of the desktop involves only a single click. At any time the layout can be saved to a layout file, and later the layout can be restored from such a file, for example on a different computer.

Fig 1: Probe main window divided into frames

wpe1A.gif (33380 bytes)

Next: Reduced Desktop Cluttering

Back: Folder Architecture for Remote Sites


Reduced Desktop Cluttering

Several advanced features of Probe cooperate to lessen the number of applications needed on the desktop, helping in maintaining a well organized desktop:

  • The multi-threaded, non-blocking architecture of Probe don't leave 'dead windows' waiting for file operations to complete.
  • Built in, folder style handling of compressed archives eliminates helper apps for different compressed formats such as ZIP, ARJ, RAR, TAR, CAB, GZ, Z and JAR.
  • The frame system allows for easily overviewing a source and a destination for a file-transfer. Also, it is easy to have additional frames with Folder Browsers if more than two folders must be monitored.
  • The built in command line utility takes little screen estate when not used, and gives fast access to the DOS/CMD environment.
  • The Location Bar provides single click access to your most frequently used folders, eliminating excessive tree browsing.

Taken together, these features enable a compact, efficient and quickly navigated file managing environment that is easily overviewed.

Fig 1: The command prompt (down, right) and its output

wpe42.gif (5684 bytes)

Next: Full Shell Integration

Back: Frame Based Windowing


Full Shell Integration

With the introduction of Windows 95, the 'desktop metaphor' came to the PC world. A central idea is that the storage tree is rooted on the desktop, with all other folders originating there. Probe fully supports this approach. A significant advantage of a single rooted storage tree, is that there's only one tree to browse for a Tree Browser.

So called 'shell folders', such as 'My Computer', 'Network Neighborhood', ...etc, are easily accessible from within Probe. Since the file popup menus used within the Explorer file-manager are a subset of those used in Probe, all popup file menu items available in the Explorer file-manager are available from Probe in the same way.

Fig 1: Storage tree rooted at desktop in Probe

wpe43.gif (4174 bytes)

Probe fully conforms with Windows Drag&Drop. That is, files may be dragged from Probe and dropped onto external applications, or vice versa, and, of course, dragged and dropped within Probe as well. This makes it possible, for example, to drag images from an FTP site, dropping them onto your image viewer.

Fig 2: Dragging and dropping with Probe

wpe44.gif (6000 bytes)

Next: Drag, Jump! and Drop

Back: Reduced Desktop Cluttering


Drag, Jump! and Drop

As previously described, Probe is fully Drag&Drop compatible with other Windows applications. But Probe also extends the drag and drop concept to 'Drag, Jump! and Drop'. So what's this 'Jump!' about?

Suppose you have spent some time selecting files within a folder to take part of a file transfer. Then you start the drag and drop operation, only to discover that the target folder, where you planned copying the files to, is not available on the desktop. So you you have to cancel the Drag&Drop operation. But wait, here's where the the Jump! part comes in. The 'Jump' means that you can navigate the folder structure of your storage, while you're actually dragging the files! The file operation is setup by 'jumping' to your target while holding the files with the mouse.

You invoke a 'Jump' by holding the dragged files over the folder which you want to enter and pressing the spacebar. This works both in Folder Browsers and in Tree Browsers. In this way you can jump all the way to the target folder, holding on to the files, and dropping them finally.

Example

In this example we want to copy a few GIF images to the folder C:\vcpp\ImageBackup, that is, relative to the path indicated in the figure below, two folders up and one down. We begin by selecting the files with the mouse cursor.

Fig 1: Selecting some files

wpe3.gif (9253 bytes)

Now, we grab the files with the right mouse button. Since we want to go upwards in the tree, we position the cursor over the UpDir.GIF (899 bytes) ('..') icon preparing to jump. It gets hi-lighted. Next we press the spacebar to invoke the jump!

Fig 2: About to jump upwards

wpe4.gif (8937 bytes)

Looking at the path in fig 3, we see that we have jumped one folder up. Well, since C:\vcpp\ImageBackup can only be reached by one more step up, we press the spacebar again, invoking another jump.

Fig 3: The first jump completed, about to press the spacebar again

wpe5.gif (8104 bytes)

Now we're almost there. In fig 4 the folder ImageBackup has been hi-lighted by holding the mouse-cursor on top of it. The last jump is invoked by a pressing the spacebar again.

Fig 4: Preparing to enter the folder 'ImageBackup'

wpe7.gif (7442 bytes)

After three jumps we have arrived in our target folder. When releasing the right mouse button in the folder of fig 5, a popup menu appears. We select the 'Copy' option on the popup menu.

Fig 5: Selecting the type of the file operation in the target folder

wpe8.gif (6981 bytes)

In fig 6, the file operation has completed. If we want to return to the folder we started the Drag, Jump! and Drop operation from, we either press the HistBack.gif (857 bytes) symbol, or press Alt Left three times.

Fig 6: The Drag, Jump! and Drop file operation has completed

wpe9.gif (6978 bytes)

One effect of 'jumping' is that when handling file operations to relatively close directories, a single Folder Browser can do the job. Just grab the files, do a few jumps, drop them, and use the History function of Probe to get back to where you started the file operation.

Next: A Tour of the Components

Back: Full Shell Integration


A Tour of the Components

The main window of Probe is divided into smaller, resizable, draggable frames. Each such frame has a Probe component in it. In this section, an introduction to each component is provided.

The layout of the main window of Probe is not fixed. The frames can be opened, resized, dragged, closed etc. This means that a personal layout is easily created. Also, on a multiuser system, each user can have a personal layout.

When using a file manager such as MS Explorer, the layout is fixed to a single tree control, and one folder browser. The result is that only very basic file operations can be performed. With Probe, you select or create a layout suiting your needs. For example, when using two Folder Browsers and one Tree Browser, selecting files and over viewing the source and destination of a file operation is a lot easier.

  • The Folder Browser is the frame which displays individual files and folders, and their details.
  • The Tree Browser enables viewing and managing branches of the unified storage tree, rooted at the desktop, in a familiar explorer like fashion.
  • You're probably using some of the folders within your system a lot more than others. The Location Bar is a tool taking advantage of this to accelerate navigation.
  • Local/Remote drives are the basis for storage. The Disk Monitor tool gives a compact and detailed overview of status of the drives.
  • To facilitate automated file transfers, and to provide full detail feedback on local/remote file operations, the Log Window has been designed.
  • The Function Bar presents an overview of how the F1 .. F10 keys are used in Probe.
  • The Probe Command Prompt is a simple way to utilize the DOS/CMD environment, without desktop cluttering.
  • Through the Accelerator Guide you can browse all available keyboard accelerators in a structured, context sensitive way.

Next: Getting Started

Back: Characteristics


The Folder Browser

The Folder Browser is the frame where all files of the current folder are displayed. When using Probe, most of the time you're active in a Folder Browser. This is also the place where most file operations are initiated from.

See also: Reference Manual, The Folder Browser.

Fig 1: The Folder Browser Frame

wpe3.gif (6202 bytes)

You have complete control of which fields of file information are displayed, and the format of these fields. For example, the date field can be set to only display the date of the file, but in situations where more precision is required, the full date and time can be activated. Similarly, you select whether you want to display file size, and if so, whether you want a compact notation, or all size information available.

Fig 2: Examples of how the layout can be fine tuned

wpe5.gif (3572 bytes)

wpe8.gif (4041 bytes)

As the number of files being displayed grows, it's increasingly important being able to sort them in the way that best match our task at hand. Probe recognizes this, and provides six different ways of sorting files. As an example, suppose we wish to find out which HLP files in the Windows System directory are the oldest. So sorting the files primarily on type, and then those of same type on increasing date seems reasonable.

Fig 3: Setting sorting method

wpeA.gif (2753 bytes)

Having changed the way files are sorted our task is simple. Instead of inspecting each file, we recognize that the the HLP files are sorted in increasing order, so the oldest ones are at the top of the HLP files.

Fig 4: Sorting on type and increasing date

wpe9.gif (5602 bytes)

You work by selecting files, modifying selections, applying popup menu alternatives etc. Files are easily created, as are a variety of folders. File operations, such as copying, moving, deleting, renaming, file expansion, attribute modifications etc, are usually started from a Folder Browser. When a file operation requires a target, either the concept of an associated 'companion browser' is used, or the operation happen through drag and drop.

Fig 2: Creating a subfolder in Probe

wpe4.gif (10109 bytes)

Next: The Tree Browser

Back: A Tour of the Components


The Tree Browser

Since disk storage is arranged in folders, subfolders and files, that is, a tree structure, a graphical tree representation of the storage is essential to a file-manager. The Tree Browser of Probe is the primary means for navigating and handling the storage tree and it's branches.

If you have experience using the MS Explorer file manager and it's tree control, you'll feel right at home using the Tree Browser of Probe.

See also: Reference Manual, The Tree Browser.

Fig 1: The Tree Browser

TheTre7.gif (6511 bytes)

The Tree Browser is used to browse the folder structure of your storage. Much of the functionality available in Folder Browsers is present in Tree Browsers as well, such as subfolder creation, archive expansion, etc. Drag&Drop operations can begin and/or end in Tree Browsers.

Another way Tree Browsers are used is in it's cooperation with Folder Browsers. A Tree Browser can be connected with a specific Folder Browser, and when browsing the storage tree, the Folder Browser will display the subfolder contents as you move around the storage tree. Also, if you're active in a Folder Browser, it's associated Tree Browser will automatically adjust so that the current folder is centered in the Tree Browser.

In Probe, you're not limited to a single Tree Browser. In fact, you can have any number of Tree Browsers (up to 32 of them) in the Probe main application window. If you have sufficient screen area, a productive layout can be based on two Folder Browsers, each having an associated Tree Browser to control them.

Fig 2: Two Tree Browsers and two Folder Browsers (downscaled image)

wpe2.gif (48187 bytes)

You can fine-tune the cooperation of the Tree Browser and the Folder Browser to suite your needs. These settings, and other options for the Tree Browser, are available by bringing up a popup menu in the white area of the component.

Fig 3: Settings for the Tree Browser

TheTre2.gif (8364 bytes)

Next: The Location Bar

Back: The Folder Browser


The Location Bar

Often, when working under MS Windows, you'll find that you're using some of the folders on your computer a lot more than others. For example, many users access the folder X:\My Documents more often than say X:\Windows\Spool. Another example may be that you're working a lot with a project whose files are located in a given directory. This suggests that it would be convenient being able to access such frequently used folders with a single mouse click.

See also: Reference Manual, The Location Bar

Fig 1: The Location Bar, horizontally oriented

TheLoc3.gif (3397 bytes)

This is where the Location Bar comes in. It is a frame type which can be placed anywhere in the Probe main window. The most frequently used folders are kept on the Location Bar. To add folders or files to the location bar, you just drag the folders (or file) to the Location Bar with the right mouse button and select 'Create Shortcut Here'. The items on the Location Bar can be moved within the Location Bar, and removed when no longer needed. Since full paths of folders tends to be long, shorter 'nick-names' can be given to the items on the Location Bar.

To navigate, using the Location Bar, make sure that a Folder Browser or a Tree Browser is active. As you move the mouse-cursor over the Location Bar, the items are hi-lighted. When the correct item is hi-lighted, just click on it. The active browser will jump to the selected folder.

Fig 2: A Folder Browser is activated

wpe6.gif (7901 bytes)

Fig 3: Moving the mouse-cursor over the Location Bar

wpe7.gif (7246 bytes)

Fig 4: Clicking 'Upload' will take the active browser there

wpe8.gif (8084 bytes)

In the figure above, the 'Desktop' icon is on the Location Bar. This means that the Desktop is only a single click away at any time when using Probe. So, when having to access a shortcut located on the desktop, there is no need uncovering it by moving and hiding windows. Instead, simply click on it's icon on the Location Bar and you're there!

The Location Bar can also have shortcuts into compressed archives, or even more useful, into remote FTP sites. Provided you have an Internet connection active, any specific folder on an FTP site can be a single click away using the Location Bar.

Fig 5: About to enter Microsoft FTP site

wpe9.gif (4177 bytes)

Next: The Disk Monitor

Back: The Tree Browser


The Disk Monitor

The Disk Monitor is a simple but effective tool to keep track of the status of your drives. Have you ever found yourself wondering which drive to install that new program to, when most drives seem just too full? Finding out remaining space on all drives using the command line, or Explorer requires quite a bit of clicking or typing, and the resulting information may not be easily overviewed.

In contrast with this, the Disk Monitor provide a visual hint on how much space there are left on all drives in your system. Although the Disk Monitor use little screen area, it provides you with detailed information on disk status.

See also: Reference Manual, The Disk Monitor

Fig 1: The Disk Monitor of Probe

wpeC.gif (4812 bytes)

In the figure above, each drive has it's own two field bar. Centered on each such bar is the drive letter, the mouse is currently over 'D:' so information on this drive pops up. The lower part of each bar ( wpeD.gif (857 bytes) ) indicates the space used on that drive. The upper part, one colored gray, indicates the available free space on that drive. Using this information, we know a lot about the situation, just from moving the mouse!

In the popup window, the amount of disk free space, together with the current directory of the drive, and the drive label appears. When searching for the drive with most free space, we hold the mouse still over each drive in turn, until this popup information appears.

The disk monitors also work together with Folder Browsers and Tree Browsers. Assuming a browser is active, clicking the bar for a specific drive in the Disk Monitor will take the browser to the current directory of that drive. In the two figures below, Disk Monitor is used as a navigation tool.

Fig 2: Wanting to go to D:\Devstudio\Vc

wpeF.gif (6018 bytes)

Fig 3: A click takes us there

wpe10.gif (5406 bytes)

It's easy to select which drives appear on the Disk Monitor. Also, in the case when drives are added and removed frequently, there's an option to scan for drives each time Probe is restarted.

Next: The Log Window

Back: The Location Bar


The Log Window

Suppose you're about to perform a lengthy file operation, such as copying a CD-Rom to disk, or compressing many MB of files for to a backup archive or possibly a large file transfer to a relatively slow FTP site.

In such a situation it'd be nice if we just could get the operation started and then return to our previous task. But, if a file-transfer must query the user on some detail, the operation cannot continue until 'OK' or 'Cancel' has been clicked in the dialog. We'd rather spend our time in a better way than waiting for popup queries to appear.

In Probe there is an option, 'Silent mode', which can be checked before starting a file operation. This means that rather than displaying a dialog to the user on what action to take in a query situation, the program uses settings specific for the problem at hand. So, the transfer need not be halted.

See also: Reference Manual, The Log Window.

Fig 1: The 'Silent mode' setting

wpe12.gif (3762 bytes)

Once the file operation has completed, we'd like to know if everything went well, and in case of any problems, what they were and how they were handled. This is where the Log Window comes in. This component is exactly what it sounds like, a frame logging the file operations of Probe.

Fig 2: The Log Window

wpe13.gif (4286 bytes)

In the fig 2 above we see there was a name clash - an attempt to create a file with a name already in use - in the destination folder. It was resolved by replacing the existing file. The default action in this situation is controlled from the 'File Clash Settings' dialog.

The output in the Log Window is given different color depending on it's type. Output indicating the start/end of a file operation has a greenish color. Notes, warnings and errors go from purple to red. Command strings issued to the OS, or to remote hosts are printed using blue color. When receiving feedback from an external tool, such as a compressor, or from a remote computer, this is displayed with grey color. This enables easy detection of any problems when reading the log.

Fig 3: The Log Window when packing files

wpe14.gif (6936 bytes)

The Log Window also provide richer detail of problems occurring when handling compressed or remote archives. Probe bases part of it's GUI output on parsing the output from remote or local helper applications. Since textual output can vary a lot, Probe cannot fully interpret all answers into a GUI response. In such cases the Log Window may provide the details.

Also, when handling FTP sessions, the remote server may send messages to the client, intended for the user, on connecting to the site, or when entering certain directories. This type of feedback is available in the Log Window.

Another strong point of the Log Window architecture is that there may be several Log Windows. When handling multiple file-transfers simultaneously, each of them can use a private Log Window. In this way output is not mixed up.

The appearance of the Log Window can be customized. In the figure below, the popup menu for the Log Window has been invoked, displaying what options can be modified.

Fig 4: Log Window Options

wpe15.gif (6907 bytes)

Next: The Function Bar

Back: The Disk Monitor


The Function Bar

Although many operations in Probe can be performed using the mouse, experienced users often feel that operating the program using the keyboard is more effective. Probe has been designed to minimize the situations where you need to switch between keyboard and mouse interface.

To help learning the keyboard accelerators of Probe, the Function Bar has been provided. All major file operations in Probe are mapped to the function keys in the F1 to F10 range, in combination with qualifiers, such as Shift, Alt, Ctrl. The Function Bar provides a mapping between the Fn (meaning any of F1 to F10) and the file operation it represents.

See also: Reference Manual, The Function Bar

Fig 1: The Function Bar

wpe1D.gif (5195 bytes)

The primary goal of the Function Bar is to be a reminder on what keyboard accelerator is associated with a given function. But if the 'F7 - New Directory' button is pressed, the F7 command is invoked, that is, the 'New Directory' dialog will appear.

Since many of the accelerators are qualified with Shift, Alt or Ctrl, the Function Bar is context sensitive, so that when, for example, the Ctrl key is pressed, the F1 to F10 functions qualified by Ctrl will be displayed. In fig 1, note that in the left most corner of the Function Bar, it is written 'None' with tiny red letters, indicating that no qualifier currently is pressed. In fig 2, the Ctrl key has been pressed, and the word Ctrl is written in this corner, again in red. So the Function Bar this time display all available Ctrl qualified function keys.

Fig 2: The Function Bar when 'Ctrl' is pressed

wpe1B.gif (5024 bytes)

The button with a wpe25.gif (907 bytes) symbol is the Accelerator Guide, another small tool for finding the keyboard accelerator for a particular operation.

Next: The Command Prompt

Back: The Log Window


The Command Prompt

If you're using the DOS/CMD command line environment sometimes, the Command Prompt can come in as a handy tool. Using this tool you can run DOS/CMD commands in a specific directory. Probe spawns the command in a separate thread, and the output appears in a DOS/CMD box. When the command has finished, the window waits for a key press, and then closes.

The idea behind the Probe Command Prompt is to have access to the command line, but only take the screen area needed by a DOS/CMD box when a command is actually run.

See also: Reference manual, The Command Prompt.

Fig 1: The Probe Command Prompt

wpe21.gif (5696 bytes)

The Command Prompt is used together with the Folder Browser. When you're active in a Folder Browser, you either click in the Command Prompt combo, or press Ctrl-D to get there. Now, after editing your command, or finding it in the history buffer, you press 'Enter' and the command is executed.

Fig 2: Executing a DOS/CMD command, and it's output

wpe22.gif (5452 bytes)

Next: The Accelerator Guide

Back: The Function Bar


The Accelerator Guide

Although most operations in Probe can be performed using the mouse, experienced users often feel that operating the program using the keyboard is more effective. Probe has been designed to minimize the situations where you need to switch between keyboard and mouse interface.

The Accelerator Guide can help in finding the keyboard accelerator for a command. It's a simple tool which lists available keyboard accelerators, together with a short description of their associated function.

The Accelerator Guide can be used either as a independent tool, or as a component on the Function Bar.

See also: Reference manual, the Accelerator Guide.

Fig 1: The Accelerator Guide as an independent tool

wpe23.gif (1186 bytes)

Fig 2: The Accelerator Guide as an element in the Function Bar

wpe24.gif (1561 bytes)

The Accelerator Guide is sensitive for the keyboard qualifiers (Shift, Alt and Ctrl) currently pressed down. In the figures above, the red letters 'None' indicate that no qualifier is currently pressed.

If we want to find out which Shift qualified keyboard accelerators are available, we press the Shift key, and click on the wpe25.gif (907 bytes) button. A popup window as in fig 3 appears. When done, press Esc or click outside of the popup window.

Fig 3: Using the Accelerator Guide, with Shift key pressed

wpe26.gif (8371 bytes)

Next: Getting Started

Back: The Command Prompt


Getting Started

This section provides you with information to get started using Probe in a productive way. It's loosely organized in a step by step order. If you have Probe up and running while reading this section, you can try out the examples and commands as they're discussed.

After reading the 'Getting Started' section and trying the command sequences, you'll know enough to start using Probe as your default file manager. For a more detailed presentation of the subjects described below, go to the Reference Manual.

  • Getting Help from within Probe
  • Frame Basics
  • Using Folder Browsers
  • Using Tree Browsers
  • Companions and other Window Relationships
  • Selecting Files Files
  • File Operations
  • Navigation
  • Subfolder Handling
  • The Status Bar
  • Settings

Next: Reference Manual

Back: A Tour of the Components


Getting Help from within Probe

There are several ways to get help from inside the program:

  • The Help Menu in the main window
  • Context help in dialogs (F1)
  • The Help Item on frame popup menus
  • Buttons and tools provide Popup Tool Tips
  • The Status Bar Help Text provides hints on menu-items
  • The Function Bar tool helps in mapping function keys to commands.
  • The Accelerator Guide lists available keyboard accelerators

Help Menu

In the main window, there's a 'Help' pull-down menu (fig 1). You'll find some links to this help file in that menu:

Introduction | General introduction to Probe
Getting Started | How to get started, step by step
Frames | Introduction to how frames function
Reference | Detailed documentation on Probe
Feedback & Bug Report | How to report bugs & provide feedback

Fig 1: The Help pull-down menu:

wpe1.gif (6144 bytes)

Context Help in Dialogs (F1)

Most dialogs of Probe, have the option of going into 'Help Mode'. In this mode, you can get hints and help on how the different items and controls of a dialog functions. This is done as according to:

  • Click the 'Question Mark' button DlgHlp04.gif (892 bytes) in the dialog caption (see fig 2). The mouse cursor turns into a question mark.
  • With this cursor, you click the dialog item/control for which you want help (see fig 3).
  • A popup window containing help text for the clicked item is now shown next to it (see fig 4).

In the popup help window, the 'More Help' button (see fig 4) can be pressed before closing it. Doing so will open this help file, in the section dealing with active particular dialog.

NOTE: The F1 key can be pressed to invoke context help for the dialog control currently having the input focus of the dialog.

Fig 2: About to click the question mark

DlgHlp01.gif (7639 bytes)

Fig 3: About to click an item using the question mark

DlgHlp02.gif (7679 bytes)

Fig 4: After clicking, a help text window appears

DlgHlp03.gif (8441 bytes)

Help Item on Frame Popup Menus

For each frame type, such as Folder Browser, Tree Browser, Location Bar, etc, there's a Help item available. It links to the help section dealing with the particular frame type.

Fig 5: Help for a frame type, the Location Bar in this case

wpe44.gif (4842 bytes)

Popup Tool Tips

Probe uses standard MS Windows popup tool tips. When moving the mouse-cursor on top of a button, and keeping it still for a fraction of a second, a small window with a tool tip appears.

Fig 6: Tool tip for the toolbar in the Folder Browser

wpe2E.gif (3821 bytes)

Most frame-types in Probe will display some sort of hint on their usage when the mouse is kept still over it, even though they're not buttons as in fig 6.

Fig 7: The Location Bar gives a hint on it's usage

wpe2F.gif (2836 bytes)

Status Bar Help Text

When a menu-item is selected in a popup menu, a short explanation on the effect of the item is displayed in the status bar of Probe. The status bar is located at the bottom of the application window.

In fig 8 below, the right mouse button has been pressed in the white area of the Tree Browser. As the 'Move with Slave' menu-item is hi-lighted, a help text appears in the status bar.

Fig 8: Help for 'Move With Slave' item on the status barr

wpe30.gif (7144 bytes)

The status bar functions the same way when menu-items are hi-lighted in one of the main window pull-down menus.

Next: Frame Basics

Back: Getting Started


Frame Basics

The main window of Probe is divided into non-overlapping 'frames'. Each frame has a Probe component in it, such as a Folder Browser, a Location Bar etc. The frames are separated from each other by edges. You use the mouse and the keyboard in a frame just as you would with any other window type.&nbsp;

Contents of this page:

  • Resizing a Frame
  • Frame Commands in Popup Menus
  • Splitting a Shared Edge
  • Making Space for a New Frame
  • Creating a New Frame
  • Merging Edges of Frames
  • Closing a Frame

For more detailed information on frames, go to:

  • Frames, Reference
  • Frames, Hints

Resizing a Frame

When you want to change the size of a frame, move the mouse cursor over the frame, towards an edge, so that it turns into double arrow symbol as in fig 1. Press the left mouse button and drag the edge. Then release the left mouse button.

Fig 1: Taking hold of and edge

wpe4.gif (6228 bytes)

Fig 2: The edge has been dragged and released

wpe9.gif (6062 bytes)

When taking hold of an edge at the intersection of two edges, both a horizontal and vertical edge is dragged. All frames attached to the two edges are resized.

Frame commands in popup menus

Every frame has a popup menu which appear when clicking with the right mouse button in the frame. At the bottom of this menu, below the bottom separator, some commands for frames are available.

Fig 3: Every frame has a popup menu

wpe13.gif (7996 bytes)

The commands below the separator are specific to frames. They appear in the popup-menu for all frame types. ('Maximize' and below in fig 3)

Above the separator in fig 3 (from 'Colors' and up) are commands which are specific for each frame type, in this case the Log Window.

NOTE: In a Folder Browser, or in a Tree Browser you must click the right mouse button in a area which has background color for this menu to appear. Otherwise a popup menu specific to the file/folder being clicked appears.

Splitting a Shared Edge

Frames can be created and destroyed. When creating a new frame, there must first be some free area to put it in. This is done by splitting edges and dragging them.

If two frames are next to each other they share an edge. Such edges can be split by double-clicking, with either the left or the right mouse button.

Fig 4: Putting the mouse over a shared edge

wpe14.gif (4313 bytes)

Fig 5: Splitting the edge by double-clicking it

wpe15.gif (4337 bytes)

Making Space for a New Frame

After splitting a shared edge, edges can easily be dragged to provide free window area for a new frame.

Fig 6: Preparing free space by dragging edges

wpe19.gif (6041 bytes)

Creating a new frame

After providing free window area we're ready to create a new frame. We do this by clicking the right mouse button in the free area where we want to position the new frame. A popup menu appears and we choose the type of the new frame.

Fig 7: Selecting a new frame typee

wpe1C.gif (7732 bytes)

Fig 8: New frame was successfully created

wpe1B.gif (7529 bytes)

NOTE: Some frame types, such as Command Prompt, Function Bar etc, can only exist in a single instance.

NOTE: Some frame types cannot be created if the free area is too small.

Merging Edges of Frames

If you want the edges of two close frames to join into a shared edge, you just drag one of the edges, so that it clearly overlaps with the other edge. When releasing the mouse button, the two edges merge to single edge.

Fig 9: Merging two edges by dragging

wpe1E.gif (3160 bytes)

Edges are merged with window borders, the status bar and the menu bar in the same way.

Fig 10: After merging three edges

wpe1F.gif (3131 bytes)

Closing a Frame

Closing a frame can be done either by selecting 'Close' in the frame popup menu, or by clicking the same alternative in the 'Frames' pull-down menu.

Fig 11: About to close a frame:

wpe21.gif (9614 bytes)

Next: Using Folder Browsers

Back: Getting Help from within Probe


Using Folder Browsers

The Folder Browser is the frame where all files of the current folder are displayed. When using Probe, most of the time you're active in a Folder Browser. This is also the place where most file operations are initiated from.

Contents of this page:

  • The Cursor
  • Selected / not Selected
  • Selecting Files Using the Keyboard
  • Selecting Files Using the Mouse
  • Selecting/Deselecting all Files
  • Two Types of Popup Menus
  • Using File Popup Menus
  • Changing Folder
  • Double-Click or Enter - Default Action on File
  • Path History
  • The White Area Popup Menu (Frame Popup Menu)
    • Storage Specific Commands
    • Modifying File Appearance
    • Sorting Order
  • Main Window Menus
    • File Menu
    • Storage Specific Menu
    • Browser Menu

The Cursor

In a Folder Browser you move among the files using the cursor. The cursor is normally painted with light blue color and has a dotted border.

Fig 1: The Folder Browser Cursor

screen1.bmp (47254 bytes)

You move the cursor using the keyboard arrow keys, or by a single click with the left mouse button. The 'Page Down', 'Page Up' keys move the cursor a page at a time. The 'Home', 'End' keys take you to the first and last file.

Selected / not Selected

A file is either selected or deselected. A selected file appears with it's name drawn with a different color, on a hi-lighted background. In fig 2, the name of the selected file is in white color, and the hi-light color is dark blue.

Fig 2: Three selected files

Selected.bmp (53766 bytes)

Selections are used to decide which files and folders to include in a file operation.

NOTE: If there are no files selected, a file operation defaults to operating on the file under the cursor.

NOTE: In fig 2, the file 'Taskman.exe' is not considered part of the selection, since three other files are selected.

Selecting Files Using the Keyboard

Pressing the Spacebar toggles the selection state of a file, if not selected it will get selected, if already selected it will be deselected. When pressing the spacebar, the cursor don't move.

The Insert button (located above the arrow keys) functions similarly. The difference is that the Insert button advances the position of the cursor by one step. This makes it natural to navigate and select files using the keyboard.

Selecting Files Using the Mouse

To select files using the mouse, follow these steps:

  • (Fig 3) Position the mouse slightly above the topmost file to be selected. Move the mouse horizontally so that no text appears under the tip of the mouse-cursor. It should have the shape of a up-left arrow.

NOTE: If the name or another field is under the mouse cursor, a drag&drop operation will start.

  • (Fig 4) Press the left mouse button and move the mouse. A dotted rectangle appears over the files to be selected. The files are selected as they come in the range of the rectangle.
  • (Fig 5) Release the left mouse button.

Fig 3: Positioning cursor to select two files

screen4.bmp (44886 bytes)

Fig 4: Moving the mouse, selecting files

screen6.gif (4797 bytes)

Fig 5: Releasing the left mouse button

screen8.gif (4638 bytes)

To deselect files using the mouse, repeat the procedure above, this time press the Ctrl button while moving the selection rectangle in fig 4.

To cancel mouse selection in progress, minimize the selection rectangle, and release the mouse button.

Selecting/Deselecting all Files

All files can be selected and deselected using the toolbar of the Folder Browser. The symbol *.* suggests a wildcard including all files.

All files can also be selected through Ctrl-A. Similarly, all files can be deselected through Ctrl-Q.

Fig 6: Select/Deselect all files tool

UsingF1.gif (3800 bytes)

Two Types of Popup Menus

In Folder Browsers, two types of popup-menus are available:

  • (Fig 7) File popup menus
  • (Fig 8) White area popup menus

File Popup Menus appear when clicking with the right mouse button on the name or on the icon of a file. This menu contain commands available for currently selected files.

White Area Popup Menus appear when clicking with the right mouse button in an area of the Folder Browser which has background color. The background color is usually white.

Fig 7: Clicking on a filename opens the 'File Popup Menu'

wpe2.gif (6735 bytes)

Fig 8: Clicking in the white area opens the 'white area popup menu'

wpe4.gif (5422 bytes)

Using File Popup Menus

The file popup menu (fig 7) displays the shell commands available for the selected file(s). These commands are common for all applications supporting the Windows 95 Shell.

At the bottom of the popup menu, there are some commands specific to Probe. In fig 7, these commands are 'Edit as Text', which opens the file(s) in a text editor, and 'Test if Packed Archive' which examines the files to see if any of them is a packed archive.

Changing Folder

To go into a subfolder which is visible in the Folder Browser:

Using keyboard:

  • (Fig 9) Put the cursor on the folder
  • (Fig 10) Press Enter

Using the mouse:

  • Double-click the folder

NOTE: Compressed archives, such as ZIP, ARJ, ... and remote sites (FTP) appear as subfolders in Folder Browsers. They are opened in the same ways as ordinary subfolders.

Fig 9: Prepared to go into subfolder Cdrom'

wpe5.gif (4334 bytes)

Fig 10: After pressing Enter

wpe6.gif (3904 bytes)

Double-Click or Enter - Default Action on File

When you double-click a file using the left mouse button, this invokes the default command for the file. The default command for a file is the one appearing with bold typeface in the file popup menu. For an example, see fig 7.

Moving the cursor to a file and pressing Enter has the same effect as double-clicking it.

The default command of a file is often 'Open'.

Path History

Probe keeps track of which folders you browse. To go back to a folder previously visited, use the 'Path History' function. It is available on the Folder Browser toolbar.

Fig 11: Path history functions

UsingF6.gif (5098 bytes)

This functionality is also available through the keyboard:

  • Alt Left - Go back
  • Alt Right - Go forward

The White Area Popup Menu

The white area popup menu (fig 12) contains settings for the Folder Browser, commands for the current folder, and frame specific commands (bottom of menu).

Here are brief descriptions of:

  • Storage Specific Commands
  • Modifying Appearance
  • Sorting Order

Fig 12: The white area popup-menu

UsingF7.gif (11348 bytes)

Storage Specific Commands

If the current folder of the Folder Browser is a disk folder (C:\, D:\, ... and subfolders of these) there is a Disk submenu (Fig 13) available on the white area popup menu. It contains commands valid to disk folders.

If the Folder Browser is inside a ZIP archive, a Zip submenu (Fig 14) is available, containing commands valid for ZIP archives.

This storage specific submenu is always located near the top of the white area popup menu.

Fig 13: The Disk sub menu

UsingF8.gif (8582 bytes)

Fig 14: The Zip sub menu

UsingF9.gif (8077 bytes)

Modifying Appearance

The Layout submenu selects which types of information to display for a file. In fig 15 and 16, the layout is modified to Big icon, name size and date.

The type and precision of the 'Date' field can be set through submenu Date Method.

How the size of a file is displayed is adjusted through submenu Size Format.

Fig 15: Before modifying layout:

wpeE.gif (9121 bytes)

Fig 16: After modifying layout:

wpeF.gif (4795 bytes)

Sorting Order

The order in which files are listed in a Folder Browser can be set through the submenu Sort in fig 17.

The type of a file is decided by it's extension, such as .exe, .txt etc.

Fig 17: The Sort submenu

wpe11.gif (5970 bytes)

Main Window Menus

When active in a Folder Browser, the Probe pull-down menus looks as in fig 18. The menus specific to the Folder Browser are:

  • File Menu
  • Storage Specific Menu
  • Browser Menu

Fig 18: The Probe pull-down menus

wpe14.gif (2347 bytes)

File Menu

This menu contains commands which apply to the current selection of files. The items in this menu are identical with those in the file popup menu.

Storage Specific Menu

This menu contains commands which can be applied to the current folder. They are specific to the storage type on which the current folder is located (Disk, Zip, Shell, FTP, ...). See Storage Specific Commands.

In fig 18, the specific storage type is 'Disk', so the menu is called the Disk menu.

Browser Menu

This menu is (almost) identical to the menu which appears when clicking the right mouse button in a background area of the Folder Browser.

For more info, see the White Area Popup Menu section.

Next: Using Tree Browsers

Back: Frame Basics


Using Tree Browsers

The Tree Browser is used to browse the folder structure of your storage. The files of a folder are not visible in a Tree Browser, only it's subfolders. This gives a more compact overview of the tree structure.

Contents of this page:

  • Slave Folder Browser
  • Selecting Slave Folder Browser
  • Tree Navigation
    • Using the Keyboard
    • Using the Mouse
  • Two Types of Popup Menus
    • File Popup Menu
    • White Area Popup Menu (Frame Popup Menu)
  • Settings
    • Move with Slave
    • Time Sync Slave
  • Two Folder Browsers Sharing the Tree Browser
  • Using the Left/Right Slave Buttons
  • Main Window Menus
    • File Menu
    • Storage Specific Menu
    • Tree Menu

Fig 1: The Tree Browser:

TheTre7.gif (6511 bytes)

Slave Folder Browser

A Tree Browser is usually associated with a Folder Browser. When a folder in the Tree Browser is clicked, it's Folder Browser will display the contents of clicked folder. For this reason it's called called 'the Slave Browser'.

When using the keyboard, pressing the Space, or Enter will make the slave browser go to the folder at the cursor.

Selecting Slave Folder Browser

When creating a new Tree Browser, it does not have a slave Folder Browser. The slave can be selected as follows:

  1. (Fig 2) Press the button pointed at in fig 2.
  2. (Fig 3) The mouse cursor changes to a selection tool. Move the mouse cursor to the Folder Browser you want to set as slave browser.
  3. (Fig 4) Click in this frame.

Click anywhere outside a Folder Browser to cancel the selection.

Fig 2: The 'slave select' tool

wpe1.gif (4442 bytes)

Fig 3: The cursor changes to the frame selection symbol

wpe2.gif (4169 bytes)

Fig 4: Probe confirms the new relationship

wpe3.gif (4830 bytes)

Tree Navigation

The storage tree can be navigated using mouse and/or keyboard. Since the Tree Browser is based on a standard MS Windows component, it is navigated in the same way as other tree controls.

Using the Keyboard

Table 1: Keyboard accelerators in Tree Browser

Keyboard | Effect
Up Arrow | Move cursor one step up.
Down Arrow | Move cursor one step down.
+ Open folder at cursor if closed.
- Close folder at cursor if open.
Left Arrow
  • Close folder at cursor if open.
  • Go to parent folder if closed.
Right Arrow
  • Open folder at cursor if closed.
  • Go to first child if already open.
Page Down | Move on page down in the tree.
Page Up | Move on page up in the tree.
Home | Go to top of tree.
End | Go to bottom of tree.

When typing characters in the Tree Browser, it will attempt to move the cursor to a folder whose name starts with these characters.

By pressing Left Arrow repeatedly it's easy to quickly move upwards in the tree.

Using the Mouse

With the mouse, you navigate by clicking folders, and dragging scrollbars.

To open a closed folder, click the '+' symbol next to the icon (Fig 5). When closing, click the '-' symbol next to the icon.

Fig 5: About to open a folder using the mouse

wpe4.gif (3629 bytes)

Two Type of Popup Menus

In Tree Browsers, two types of Popup Menus are available:

  • (Fig 6) File popup menus
  • (Fig 7) White area popup menus

File popup menus appear when clicking with the right mouse button on the name or on the icon of a folder. This menu contain commands available for that folder.

White area popup menus appear when clicking with the right mouse button in an area of the Tree Browser which has background color. The background color is usually white.

Fig 6: Right clicking a folder name opens the 'file popup menu'

wpe5.gif (6994 bytes)

Fig 7: Clicking in the white area opens the 'white area popup menu'

UsingT6.gif (6187 bytes)

File Popup Menu

The file popup menu (fig 6) displays the shell commands available for the selected folder. These commands are common for all applications supporting the Windows 95 shell.

If the folder being clicked is not an ordinary subfolder there may be commands specific to Probe at the bottom of this popup menu. For example, if the folder is a compressed archive, the item 'Expand Contents' will be on the menu, for an FTP site, the item 'FTP Settings' is available etc.

White Area Popup Menu (Frame Popup Menu)

The white area popup menu (fig 7) contains settings for the Tree Browser and frame specific commands (bottom of menu). It also enables selecting a Slave Browser, and selecting a Log Window for the Tree.

Settings

The Settings dialog for the Tree Browser is either invoked by White Area Popup menu item 'Settings' or by pressing the toolbar button wpe4.gif (965 bytes). Some options available from this dialog are:

  • Move with Slave
  • Time Sync Slave
  • Two Folder Browsers sharing the Tree Browser

Move with Slave

Normally the slave Folder Browser follows the Tree Browser as you move around the tree.

The 'Move with Slave' option causes the opposite to be true as well. If you're active in a Folder Browser, and change folder, the associated tree will focus on the new folder. The Tree Browser will scroll the folder into the view if necessary.

Time Sync Slave

Usually, when navigating the tree with the keyboard, a 'go to this folder' command is only sent to the slave when pressing the spacebar or 'Enter'.

Setting this option will cause the Tree Browser to send 'go to this folder' commands to the slave browser, as soon as no key is pressed for a certain time interval.

Two Folder Browsers Sharing the Tree

Setting this option makes the Tree Browser regard the last active Folder Browser (in a pair of associated Folder Browsers) as it's slave browser. This makes it easy to control two Folder Browsers, using a single Tree Browser.

Using the Left/Right Slave Buttons

If there are two Folder Browsers, which are associated with each other, and one Tree Browser, the 'Up&Left' resp. 'Down&Right' buttons can be used to set which of the two Folder Browsers the Tree Browser controls (Fig 8).

Clicking the 'Up&Left' button will make the Folder Browser closest to the upper left corner of the main window the slave browser. Clicking 'Down&Right' button selects the Folder Browser closest to the lower right corner as slave browser.

These buttons also serve as indicators of the current slave.

Fig 8: Buttons for selecting 'Up&Left' or 'Down&Right' slave

wpe7.gif (4648 bytes)

Main Window Menus

When active in a Tree Browser, the Probe pull-down menus looks as in fig 9. The menus specific to Tree Browsers are:

  • File Menu
  • Storage Specific Menu
  • Tree Menu

Fig 9: The Probe pull-down menus

wpe8.gif (2115 bytes)

File Menu

This menu contains commands which apply to the hi-lighted folder in the Folder Browser. The items in this menu are identical with those in the File Popup Menu.

Storage Specific Menu

This menu contains commands which can be applied in the hi-lighted folder of the Folder Browser. They are specific to the storage type which the hi-lighted folder belongs to. (Disk, Zip, Shell, FTP, ...).

If the hi-lighted folder is a disk folder (C:\, D:\,... and subfolders of these) the name of this menu is Disk (Fig 10). It contains commands valid to disk folders.

If it is a ZIP archive, or inside a ZIP archive, there is a Zip pull-down menu (Fig 11) available, containing commands valid for ZIP archives.

Similarly, for each storage type, such as FTP, Cab, Rar, ...etc, there is a corresponding storage specific pull-down menu.

Fig 10: The Disk sub menu

wpeA.gif (3234 bytes)

Fig 11: The Zip sub menu

wpeB.gif (3190 bytes)

Tree Menu

The Tree Menu contains the same items as the White Area Popup Menu of the Tree Browser.

Next: Companions and other Relationships

Back: Using Folder Browsers


Companions and Relationships

In Probe, different frames in the main window can interact, sending commands in between each other. These relationships helps making the GUI of Probe more responsive.

How these relationships are established, and what they contain, is described below:

  • Folder Browser <-> Folder Browser Relationship
  • Selecting the Companion Browser
  • Tree Browser <-> Folder Browser Relationship
  • Two Folder Browsers sharing a Tree Browser

Folder Browser <-> Folder Browser Relationship

When handling files, it is practical being able to overview two different folders at the same time. In Probe this is done by having at least two Folder Browsers in the main window.

Two Folder Browsers can enter a 'companion' or 'partner' relationship. The benefits of this applies when working with the keyboard:

  • When doing file operations involving a source and a destination folder, the destination folder is automatically set to the folder of the companion browser.
  • The Tab key can be used to switch between the companion Folder Browsers. This eliminates switching between mouse and keyboard control.
  • The current folder of the companion browser can be changed in several ways, with no mouse input. For more info on this, see the section Navigation.

Selecting the Companion Browser

To select the companion of a Folder Browser:

  • Activate a Folder Browser so that it's title bar is hi-lighted.
  • (Fig 1) Select the Browser pull-down menu-item 'Select Companion'. The mouse cursor changes to a selection tool.
  • (Fig 2) Click in the Folder Browser to be used as companion. A confirmation dialog appears.

The two Folder Browsers have now been set to companions. Try pressing 'Tab' to switch between the two.

Fig 1: The 'Select Companion' menu item

wpe11.gif (10636 bytes)

Fig 2: Selecting the companion browser

wpeF.gif (4532 bytes)

Tree Browser <-> Folder Browser Relationship

This relationship enables a Tree Browser to control a specific Folder Browser. The controlled Folder Browser is called the 'slave browser'. How the slave browser is selected is described in the previous page, Selecting Slave Folder Browser

As the user moves among the folders in the Tree Browser, commands are sent to the slave browser instructing it to display the contents of the hi-lighted folder in the Tree Browser. If using the keyboard, this is triggered by pressing the spacebar or 'Enter' key.

There are some keyboard accelerators which helps switching between a Tree Browser and it's slave:

  • When active in the slave browser, press 'Ctrl-Tab' to go to the Tree Browser.
  • When active in the Tree Browser, press 'Tab' to go to the slave browser.

Two Folder Browsers Sharing a Tree Browser

When using a main window layout containing two Folder Browsers and one Tree Browser, it is possible to have the Tree Browser control both Folder Browsers as slaves.

This option is activated by setting the option 'Companion Shares Tree' in the Folder Browser pull-down menu 'Browser' (fig 3) or in it's white area popup menu.

After setting this option, the Tree Browser will use the Folder Browser which was active last as slave.

If active in a Folder Browser, Ctrl-Tab will always go to a Tree Browser. 'Tab' will return to the Folder Browser.

Which of the two Folder Browsers is active as slave, is indicated by the buttons 'Up&Left' or 'Down&Right' (fig 4).

Fig 3: Setting the option 'Companion Shares Tree'

Compan13.gif (9954 bytes)

Fig 4: 'Up&Left' and 'Down&Right' indicators in the Tree Browser

wpe1D.gif (2618 bytes)

Next: Selections

Back: Using the Tree Browser


Selections

In Probe, file selections are similar to those in, for example, the Explorer File manager, but in some aspects different. These differences, and some methods of selecting files are the subject of this page.

  • The Selection Concept in Probe
  • When No File is Selected
  • Selecting/Deselecting All Files
  • Selecting Files Using Wild-cards
  • Deselecting Using Wild-cards
  • The Selection Information Dialog
  • The Advanced Selection Dialog

For information on basic file selection go to Using Folder Browsers.

The Selection Concept in Probe

If a file in a Folder Browser is selected, it is selected in all Folder Browsers of Probe. The selection state is associated with the file rather than with the browser. If two Folder Browsers display the same directory, this is easily verified (Fig 1,2).

In the Explorer file manager, all files are automatically deselected when the user does anything else than starting a Drag&Drop operation after selecting files. If we carefully want to select which files to take part in a file operation, this is not a productive approach.

Building a selection of files often involve some effort. We may also have to temporarily visit another folder while building the selection. For this reason, selections do not disappear when going up and down in the folder structure, or when changing Folder Browser.

Fig 1: Selecting files in one browser...

wpe1E.gif (9501 bytes)

Fig 2: ...makes them selected in another browser

wpe1F.gif (9467 bytes)

When no File is Selected

If invoking a file operation when no object of the current folder is selected, the file under the Folder Browser cursor is treated as selected. This makes file operations involving a single file simple to perform.

Selecting/Deselecting All Files

All files can be selected and deselected using the toolbar of the Folder Browser. The symbol *.* suggests a wild-card including all files.

All files can also be selected through Ctrl-A. Similarly, all files can be deselected through Ctrl-Q.

Fig 3: Select/Deselect all files tool

wpe1.gif (3946 bytes)

Selecting Files using Wildcards

To select files using wildcards:

  • Press the numeric keypad symbol +.
  • The dialog of fig 4 appears. Edit the wildcard(s) to be used, separated by ','.
  • Press OK. Filenames matching the wildcard are now selected (Fig 5).

The 'Select Files' dialog is also available in the Edit menu (fig 6) of the main window.

To deselect files using wildcards, press the numeric keypad symbol -.

Probe supports wildcards using the special characters:

  • * - Matches any sequence of characters
  • ? - Matches any one character
  • + - Matches any number of the same character repeated.

Fig 4: The 'Select Files' dialog

Select17.gif (4096 bytes)

Fig 5: Files matching 'b*' have been selected

Select18.gif (7685 bytes)

Fig 6: 'Select...' in Edit menu invokes 'Select Files' dialog

wpe26.gif (4830 bytes)

Deselecting Files using Wildcards

To deselect files using wildcards, press the numeric keypad symbol -. The dialog that follows is similar to the one described under the section Selecting using Wildcards.

Selection Information Dialog

By pressing the F9 button, you invoke the 'Selection Information' dialog (Fig 7). It provides detailed information on the current selection. It also displays a graphical tree view of the selection, showing all files and folders included in the selection.

Before starting a file operation, this dialog can be used to verify that there is sufficient target space. A good practice is to use the 'Selection Information' dialog before deleting files, making sure no file gets deleted by mistake.

A simple way to verify that two folders have equal contents is to:

  • Use two Folder Browsers. Point one of them to the first folder, the other one to the second.
  • Select all files in both Folder Browsers.
  • Press F9 to invoke the 'Selection Information' dialog.
  • Check if size and file number statistics match. You toggle between the folders of the companion browsers using the bottom 'Flip to Partner Browser' (see bottom of fig 7).

Fig 7: The 'Selection Information' dialog

wpe24.gif (15649 bytes)

The Advanced Selection Dialog

To gain better control when selecting files, there is the 'File Selection - Advanced' dialog. It allows for selecting files based on any combination of

  • Filename wildcard
  • Filename length
  • File size
  • File date (modification,creation,access)
  • File attribute

Through this dialog 'Recursive Selections' are also available. This concept allows for selecting files recursively in subfolders, and for controlling the recursion. For more info, see the section File Selection in the Reference Manual.

Next: file operations

Back: Companions and Relationships


File Operations

In this section, the basic file operations of Probe are presented.

  • Copying Files
    • Using the Keyboard (F5)
    • Using the Mouse
  • Moving Files
    • Using the Keyboard (F6)
    • Using the Mouse
  • Some Notes on Drag&Drop
  • Drag, Jump! & Drop
  • Creating New Folders (F7)
  • Creating New Files (Ctrl-F7)
  • Extracting Compressed Archives (Alt-F9)
  • Recycling Files (F8, Delete)
  • Deleting Files (Shift-F8, Shift-Delete)
  • Renaming one File/Folder (F2)
  • Changing File Attributes (Ctrl-F)
  • Editing Files as Text (F4)
  • Searching for Files (Ctrl-F)

Copying Files

There are three ways of copying files within Probe, through keyboard accelerator F5, by mouse, or with the clipboard. If copying files from Probe to an external application, doing Drag&Drop with the mouse is the preferred way (or clipboard). Similarly, if copying from an external application to Probe, Drag&Drop is used (or clipboard).

Using the Keyboard (F5)

Before copying files from a Folder Browser using the keyboard, the Folder Browser must have a companion browser. For more information on this, see Companions and Relationships.

When the Folder Browser has a companion, files can be copied according to:

  • Select the files to be copied in the source folder.
  • Press F5. The file operation dialog (fig 1) appears.
  • Adjust any options for the file operation if needed. Press OK. The files are now copied to the companion browser, as in fig 2.

To verify that the correct files are selected before copying, use the 'Inspect Selection' button from within the file operation dialog.

More options are available after clicking 'Advanced' in the file operation dialog.

Fig 1: The 'file operation' dialog

file_o14.gif (5953 bytes)

Fig 2: Files have been copied

wpe17.gif (6319 bytes)

Using the Mouse

Files can be copied with the mouse according to:

  • Select the files you want to copy.
  • Move the mouse cursor atop of the selected files. Press the right mouse button, and start dragging the files. (Fig 3)
  • Drop the files in the destination window, which can be a Folder Browser or a Tree Browser. A menu as in fig 4 appears. Select 'Copy Here'.
  • The files will be copied to the destination, as in fig 2.

If you want to have full control of the details of the file-transfer, select 'Dialog, Copy Here' in step 3 above, to bring up the Copy Dialog, as in fig 1, before starting the operation.

Fig 3: Starting a Drag&Drop operation

wpe1C.gif (4413 bytes)

Fig 4: Selecting command of the drag&drop operation.

wpe21.gif (7883 bytes)

Moving Files

The procedures to perform a file move operation are very similar to the ones for copying files described above.

Using the Keyboard (F6)

Before moving files from a Folder Browser using the keyboard, the Folder Browser must have a companion browser. For more information on this, see Companions and Relationships.

When the Folder Browser has a companion, files can be moved as:

  • Select the files to be moved in the source folder.
  • Press F6. The file operation dialog (fig 1) appears.
  • Adjust any options for the file operation if needed. Press OK. The files are now moved to the companion browser, as in fig 2.

Using the Mouse

Files can be moved with the mouse according to:

  • Select the files you want to move.
  • Move the mouse cursor atop of the selected files. Press the right mouse button, and start dragging the files. (Fig 3)
  • Drop the files in the destination window, which can be a Folder Browser or a Tree Browser. A menu as in fig 4 appears. Select 'Move Here'.
  • The files will be copied to the destination, as in fig 2.

Some Notes on Drag&Drop

When describing copying and moving files using mouse drag and drop above, the instruction was to use the right mouse button in the operation. Both moving and copying files can be done with the left mouse button, but in doing so, no menu for selecting the operation is available at drop time.

Using the left mouse button, a few rules has to be kept in mind to decide the outcome of the action. It can be argued that using the right mouse button gives a better feedback on the file operation invoked by the drop. Also, the file operation dialog is available when using the right mouse button.

The shape of the mouse cursor during the operation gives feedback on the file operation invoked by a drop, as in fig 5,6,7.

Fig 5: Cursor in Drag&Drop indicating 'Copy'

wpe24.gif (1166 bytes)

Fig 6: Cursor in Drag&Drop indicating 'Move'

wpe14.gif (1152 bytes)

Fig 7: Cursor in Drag&Drop indicating 'Link'

wpe12.gif (1174 bytes)

Drag, Jump! & Drop

Probe extends the concept of Drag&Drop with an intermediate 'Jump' part. The 'Jump' part consists of being able to browse for a target while actually dragging the files. Using this method, we can sometimes get by using a single Folder Browser.

As an example, suppose that we want to move the folder 'MpegPlay' on drive 'F:' to 'C:'. This is can be done, using Drag, Jump! and Drop as follows:

  • Grab the folder 'MpegPlay' using the right mouse button (fig 8).
  • Drag the folder to the ' wpe11.gif (889 bytes) ' symbol (fig 9).
  • To invoke a jump to the folder above, press the spacebar.
  • Drop the folder into the 'C:' drive and select 'Move here' (fig 10).

'Jumps' can also be used in Tree Browsers. In this case, hold the mouse cursor on a closed branch and press the spacebar to open it. An opened branch can also be closed using this method.

Fig 8: Starting dragging MpegPlay

wpeF.gif (5457 bytes)

Fig 9: Ready to jump one folder up

wpe29.gif (5683 bytes)

Fig 10: Hold the folder over C: and select 'Move Here'.

wpe2A.gif (4854 bytes)

Creating New Folders (F7)

In Probe, ordinary disk folders, compressed archives and remotes sites are treated somewhat similarly. All of these have the capability of having an internal tree structure.

This is apparent when creating new folders. Compressed archives and remote connections are created as easily as are local folders.

To create a new folder, make sure you're active in a Folder Browser. Then press F7. If using the mouse, press the button in fig 11 instead of F7. The 'New Folder' dialog (fig 12) appears. Select the subfolder type, and a name for the new subfolder.

Fig 11: The 'New Folder' button

wpe22.gif (4165 bytes)

Fig 12: The 'New Folder' dialog

wpe1F.gif (8188 bytes)

Creating New Files (Ctrl-F7)

New files are created similarly to new folders:

  • Press Ctrl-F7 to invoke the 'New File' dialog. This can also be done by pressing the 'New File' button next to the 'New Folder' button in fig 11.
  • Type the name of the New File dialog (Fig 13).
  • To open the file immediately, press 'Open'. Otherwise press 'Done'.

Fig 13: The 'New File' dialog

wpe25.gif (8515 bytes)

Extracting compressed archives (Alt-F9)

Extracting a compressed archive means copying all files within the archive to a given disk folder. To extract archives from within a Folder Browser, do as follows:

  • Select the archives to be extracted. Several archives can be selected, but they must all be of the same type, for example all of type Zip.
  • Make sure the companion browser displays the directory where files should be extracted to.
  • Press Alt F9. The Archive Extraction dialog appears. (Fig 14)
  • Verify that extraction options are correct. Press OK.
  • The expand operation runs in a private thread. Files will start to appear in the companion browser, as the expansion progresses.

NOTE: Individual files from a compressed archive can be copied to disk using keyboard/mouse as described above. This avoids extracting a full archive.

NOTE: If the Folder Browser has no companion browser, you will be prompted for the target directory.

Fig 14: The Archive Extraction dialog

wpe28.gif (14283 bytes)

Recycling Files (F8)

Recycling files (moving the files to the recycle bin) is typically done with the keyboard:

  • Select the files to be recycled.
  • Press F8. The file operation dialog appears.
  • Press OK in the dialog.

NOTE: The Delete key can be used instead of F8. The Delete key can be configured to invoke file deletion rather than recycling. F8 will always invoke recycling however.

Deleting Files (Shift-F8)

Deleting files (erasing files from storage) is typically done with the keyboard:

  • Select the files to be deleted.
  • Press Shift-F8. The file operation dialog appears.
  • Press OK in the dialog.

A good practise is to inspect the selected files in the file operation dialog (Inspect Selection), before deleting the them.

NOTE: The Delete key can be configured to delete files instead of recycling them. This option is available in the main window menu 'Settings->File Operations'.

Renaming one File or Folder (F2)

A file or folder can be renamed as follows:

  • Move the cursor of the Folder Browser to the file to be renamed (Fig 15).
  • Press F2 to start edit the filename (Fig 16).
  • When done, press Enter to actually rename the file (Fig 17).

If you regret the name change while editing the name, press Esc.

NOTE: To maintain the sorting order within the Folder Browser, the renamed file may change position.

Fig 15: Positioning the cursor

wpe23.gif (4337 bytes)

Fig 16: Editing the filename

wpe26.gif (4270 bytes)

Fig 17: The file has been renamed

wpe27.gif (4250 bytes)

Changing File attributes (Ctrl-B)

To change the file attributes of a single file in a Folder Browser:

  • Assure that the file attributes field is visible in the Folder Browser. If not, use the white area popup menu, set the Folder Browser layout to include the file attributes. (Fig 18)
  • (Fig 15) Move the cursor of the Folder Browser to the file which attributes are to be changed.
  • Press Ctrl-B to start edit the file attributes. You edit the file attributes, just like the filename (Fig 16).
  • When done, press Enter to change the file attributes.

NOTE:The attributes 'A','H','R','S' are valid in Windows 95. If the file system is NTFS (Win NT) the 'C' attribute (indicating a compressed file) is also valid.

NOTE: Shift-F3 invokes the 'Fileattribute Modification Dialog'. Using this dialog, attributes can be modified for a selection of files.

Fig 18: Making sure file attributes are visible

wpe20.gif (9301 bytes)

Editing Files as Text (F4)

To edit a single file as text from within a Folder Browser:

  • Move the cursor atop of the file.
  • Press F4.

To edit several files as text:

  • Select the files.
  • Select 'Edit as Text' from the file popup menu of the selected files.

NOTE: The default text editor can be changed through the Settings menu in the main window. Select menu item 'Settings->Paths...' and edit the path to your text editor.

Searching for Files (Ctrl-F)

Searching for files in Probe is done the same way, regardless whether the file(s) searched for are located on local disk, in packed archives, in local area/private area networks, or in remote servers. Here's how to do it:

  • Point a Folder Browser or Tree Browser to the folder where you want to start the search.
  • Press Ctrl-F to invoke the 'Search' dialog, see fig 19.
  • Press the 'Filename' tab of the dialog, if already not activated.
  • Edit a filename wildcard to be searched for.
  • Edit any other criterions that should be used in the search, under the dialog-tabs: Date, Size, Attributes and Contents.
  • Press the dialog-tab labeled '>> Search! <<'.
  • The dialog frame that controls the search process is now shown (fig 20).
  • Make sure that the radio button for 'Recursive Selections' is properly set (top right in fig 20):
    • 'only in visible folder' - This will search only a single folder.
    • 'in hi-lighted subfolders' - This will search all folders (relative the folder the search was initiated from) that are selected.
    • 'in all subfolders' - This will search all subfolders relative the search base folder recursively.
  • Press the 'Start Now' button to initiate the search process.
  • The search process proceeds in a private thread of execution, so you can keep browsing files in Probe while the search is in progress.
  • To access the search results (fig 21):
    • Apply popup menu commands to the found items.
    • Move the cursor atop of an item, and press the button 'go to in Probe' to browse the folder in Probe.
    • Use Drag&Drop.

There are several advanced features of this search dialog, making it a versatile tool. This dialog is discussed in depth in the Reference Manual, section File Search.

Fig 19: The 'Search' dialog

FinFil01.gif (11049 bytes)

Fig 20: The Search! tab, controlling the search process

FinFil02.gif (11162 bytes)

Fig 21: Output from the search process

FinFil03.gif (14608 bytes)

Next: Navigation

Back: Selections


Navigation

To speed up navigation within the storage tree, Probe provides several tools and helpers. Some of them are Probe components in the main window, some are popup window helpers, and there are also quite a few keyboard accelerators, to help speed up navigation.

  • Toolbar Buttons
    • The Path History Function (Alt-Left)
    • The Go Up Button (Backspace, Ctrl-PageUp)
    • The go to Root Button (Ctrl-Backspace)
  • The Drive Selector Popup (Ctrl-F1)
  • The Folder Selector Popup (Alt-F1)
  • The Location Bar (Ctrl-L)
  • The Disk Monitor
  • The go to Path Dialog (F10)
  • Using the Tree Browser-Folder Browser Connection
  • Keyboard Based Navigation
    • Go To Drive Letter (Shift-Drive Letter)
    • Setting the Folder for the Companion (Shift-Tab)

Toolbar Buttons

The toolbar of the Folder Browser window contains several buttons for navigation.

Fig 1: The toolbar of the Folder Browser

wpe1.gif (5428 bytes)

The path history function

Probe keeps track of recently visited folders, so that it's easy to go back to recently visited folders. Pressing ' wpe2.gif (845 bytes) ' takes you backwards in the path history. Pressing ' wpe3.gif (833 bytes) ' takes you forward.

These functions are available through the keyboard:

  • Alt-Left goes back.
  • Alt-Right goes forward.

The Go Up Button (Backspace)

To go to the folder above press the toolbar button with symbol ' wpe4.gif (901 bytes) '.

This function is also available through keyboard accelerators Backspace and Ctrl-PageUp.

In a Folder Browser, the topmost folder is usually the '..' folder, or a link to the folder above. Double-clicking it will move to the folder above.

The Go To Root Button (Ctrl-Backspace)

To go to the root of a drive, press the ' wpe6.gif (889 bytes) ' symbol of the toolbar in fig 1. If within a compressed archive, this will go to the topmost folder of the archive. If inside an FTP site, it will go to the root of the FTP site.

Pressing this button a few times will take you to the desktop. It is also available through keyboard accelerator Ctrl-Backspace.

The Drive Selector Popup (Ctrl-F1, Ctrl-F2)

To browse a specific local drive in a Folder Browser, use the Drive Selector:

  • Press Ctrl-F1. The Drive Selector appears (fig 2).
  • Select the drive using either mouse or keyboard.

There's also a keyboard accelerator to go to a certain local drive in the companion browser:

  • Press Ctrl-F2. The Drive Selector appears in the companion browser.
  • Select the drive using either mouse or keyboard.

Fig 2: The Drive Selector

wpe7.gif (8955 bytes)

The Folder Selector Popup (Alt-F1, Alt-F2)

If you quickly want to move to a certain folder in a Folder Browser, the Go To Folder dialog does the job:

  • Press Alt-F1. The Go To Folder dialog appears (fig 3).
  • Select the folder using either mouse or keyboard.

There's also a keyboard accelerator to go to a certain folder drive in the companion browser:

  • Press Alt-F2. The go to Folder dialog appears in the companion browser.
  • Select the folder using either mouse or keyboard.

In the go to Folder dialog, the Page-Up, Page-Down keys can be effective when moving in the tree. To move towards the root of the tree, the Left-Arrow key is useful.

Fig 3: The Go To Folder dialog

wpe9.gif (10385 bytes)

The Location Bar (Ctrl-L)

The Location Bar is a Probe Component which resides in a frame in the Probe main application window. You put the folders (and files) which you use most often on the Location Bar. When you want to visit any of the folders on the Location Bar you just click the icon for the folder.

To navigate, using the Location Bar, make sure that a Folder Browser or a Tree Browser is active. As you move the mouse cursor over the Location Bar, the items are hi-lighted. When the correct item is hi-lighted, then click it. The active browser will jump to the selected folder.

Fig 4: The Location Bar, horizontally oriented

TheLoc3.gif (3397 bytes)

To put a folder on the Location Bar:

  • Start by dragging the folder from either a Folder Browser or Tree Browser to the Location Bar.
  • As you move the folder over the Location Bar, a black slot (fig 5) indicates where the shortcut to the folder would be put on the Location Bar if dropped.
  • Drop the folder where you want to put it. A dialog (fig 6) appears.
  • Select the 'nick-name' to be used for the folder. This name is intended as a reminder of what folder the shortcut represents.
  • Press OK. A new entry has been created on the Location Bar (fig 7).

Fig 5: About to create a new entry on the Location Bar

wpeB.gif (3785 bytes)

Fig 6: Selecting a nickname for the folder

wpeE.gif (6175 bytes)

Fig 7: A new entry has been created

wpeF.gif (4288 bytes)

The Disk Monitor

The Disk Monitor is a Probe Component residing in the Probe main application window. It can both be used as a tool for navigation and as a status indicator for your disk drives.

In fig 8, six buttons are visible. Each button has a letter on it, and represents the disk with the same drive letter. The dark grey area with blue lines (lower part of button), represents the space used on the particular drive, relative the total size of the drive. Apparently, the drives C:, E: and G: are close to full, and the drives D:, F: and H: have plentiful of space left.

When holding the mouse cursor still atop of a drive button, a popup window displays information about the drive. In fig 8 it can be seen that drive D: has 559 mb free space.

Fig 8: The Disk Monitor:

wpe11.gif (4343 bytes)

To use the Disk Monitor as a navigation tool:

  • Activate the Folder Browser or Tree Browser which you want to navigate.
  • In the Disk Monitor, click the drive button for the drive you want to browse.

The Go To Path Dialog (F10)

Probe also supports navigating to a folder through typing the relative/absolute path of it:

  • Make sure a Folder Browser is active.
  • Press F10. The Set Path dialog (fig 9) appears.
  • Type a relative or absolute path here. Press OK.
  • The active Folder Browser goes to this folder if it can resolve the path.

Some examples of valid paths are:

C:\Windows | A local drive relative path
..\.. | Two folders up from the current folder
Desktop\My Computer | A desktop relative path
\\SomeComputer | The root of a computer in the local/private area network
\\Server\SharedFolder | A shared folder on a server computer
~username | The home directory for a UNIX user (in FTP)

Fig 9: The 'Go To Path' dialog:

Naviga12.gif (8668 bytes)

Using the Tree Browser-Folder Browser connection

If you have a Tree Browser and a Folder Browser active in the main window, you can navigate the folder of the slave browser by clicking folders in the Tree Browser. Click here for more information on Tree Browser <-> Folder Browser relationships.

Keyboard Based Navigation

There are some useful keyboard accelerators available to navigate without switching between mouse and keyboard input. These accelerators all assume that you're active in a Folder Browser:

  • Go to Drive Letter (Shift-Drive Letter)
  • Setting the Folder of the Companion (Shift-Tab)

Go to Drive Letter (Shift-Drive Letter)

To go to the last folder visited on C:, press Shift-C. Similarly, press Shift-E to go to the E: drive.

Setting the Folder of the Companion (Shift-Tab)

To make the companion browser go to a subfolder of the active Folder Browser:

  • Move the cursor atop of the subfolder you want the companion to browse (Fig 10).
  • Press Shift-Tab to make the companion go here (Fig 11).

In fig 10 and 11, the idea is to make the companion browser (the right one) go to the folder C:\Dos.

Fig 10: Moving the cursor atop of C:\Dos'

wpe17.gif (6119 bytes)

Fig 11: Pressing Shift-Tab takes the companion there

wpe1C.gif (7120 bytes)

Next: Subfolder Handling

Back: File Operations


Subfolder Handling

Probe supports several ways of handling subfolders during file operations such as Copy, Move, Delete etc. The motivation behind this, is to provide more flexibility when doing such things as selective backup, disk cleanup operations and other nontrivial file operations.

  • Different Ways of Handling Subfolders
    • Treat as Fully Selected
    • Treat as None Selected
    • Recursive Selections
    • Recursive Filters
  • Changing Settings for Subfolder Handling
  • Selection Information and Subfolder Handling (F9)

Different Ways of Handling Subfolders

All file operations have a source folder somewhere in the storage tree. In this source-folder, files and folders are selected to take part of a transfer. Now, suppose that some subfolders have been selected. How is the contents of these subfolders handled during the file operation?

Probe has four different ways of handling such subfolder contents. Only one of them can be active at any one time:

  • Treat as Fully Selected
  • Treat as None Selected
  • Recursive Selections
  • Recursive Filters

Treat as Fully Selected

With this setting, all contents of all subfolders is included in the file operation. In other words, it is treated as if it was fully selected.

When using this setting it is easy to handle entire folder structures.

Treat as None Selected

With this setting, no contents of subfolders is included in the file operation. Another way to say this is that contents of subfolders is treated as if none were selected.

When using this setting, a file operation never looks into the subfolders of the source-folder. In a copy operation, folders corresponding to the ones selected in the source would be created, but they would be empty.

Recursive Selections

When using recursive selections in a file operation, items within subfolders of the topmost source folder are included depending on their selection state.

You can either select files in the subfolders manually, by entering them and selecting, or by using the 'File Selection' dialog (Advanced/Simple). This dialog is available through the numeric keypad key + (fig 1). With this dialog, a criterion for selecting files recursively can be edited.

An important tool when working with recursive selections, is the Selection Information dialog (F9), which gives detailed information on the current selection. It also displays a graphical presentation of selected files.

When using recursive selections, it is easy to perform a selective backup.

Fig 1: About to invoke 'File Selection - Advanced' dialog

Subfol1.gif (9002 bytes)

Recursive Filters

File-filters is a concept which allows for only displaying files matching a certain criteria in the Folder Browsers. You edit the file-filter through Ctrl-F4 and activate/deactivate it with Ctrl-F3.

If a file-filter has been setup, it can be used to decide which items of subfolders to be included in a file operation.

With the 'Recursive Filters' setting, you can limit subfolder contents included in the file operation, to those files matching the current file-filter.

The Selection Information dialog (F9) gives detailed information on the current selection. It will notice if the 'Recursive Filters' setting is active, and presents subfolder contents just as it would be used by a file operation.

Changing Settings for Subfolder Handling

There are several ways to change the setting for subfolder contents:

  • In the Probe main window menus, there is a pull-down menu, 'Settings'. On this menu there is an item 'File Operations...'. This item opens a tabbed dialog where all flags relating to file operations are available. Activate the 'Subfolders' tab.
  • In the white area popup menu of the Folder Browser, there is a submenu labelled 'Subfolders'. Here you can see which setting is active, and modify it.
  • When invoking a file operation with the keyboard (F5,F6,Delete,...etc) a file operation dialog appears (fig 2). Here the subfolder setting is available.
  • On the status-bar, there is an item close to the right side, saying which subfolder setting is active (fig 3). It can be modified by pressing the right mouse button, or by double-clicking it.

Fig 2: Subfolder settings available in the 'Copy' dialog

wpe2.gif (13601 bytes)

Fig 3: Subfolder settings available on the status bar

wpe3.gif (3264 bytes)

Selection Information and Subfolder Handling (F9)

An important tool when working with recursive selections, is the Selection Information dialog (F9), which gives detailed information on the current selection. It also displays a graphical presentation of selected files.

The Selection Information dialog allows for verifying that the files included in a file operation actually are the ones intended, before the file operation is started. Using this dialog before deleting files is a good practice.

The Selection Information dialog is available from inside file operation dialogs. In fig 2, the 'Inspect Selection' button (below the bitmap to the right) will open a Selection Information dialog.

Next: The Status Bar

Back: Navigation


The Status Bar

The status bar provides various bits of information on the state of Probe.

Fig 1: The status-bar of Probe (clickable)

wpe6.gif (3091 bytes)

The fields of the status-bar are described left to right below:

  • The Selection Field
  • The Free Storage Field
  • The Current Path Field
  • The File Transfer Field
  • The Folder Browser Sort Field
  • The Subfolder Handling Field
  • The Watch Active Field
  • The Date Method Field

The Selection Field

This field says how many objects are selected in the active Folder Browser and the sum of their sizes. Only files/folder selected in the current folder are included, subfolder contents is not counted.

Fig 2: The selection field:

wpe7.gif (1430 bytes)

The Free Storage Field

This field says how much free space is available on the drive of the active Folder Browser.

Fig 3: The free storage field

wpe8.gif (1237 bytes)

The Current Path Field

This field displays the path of the active Folder Browser. If the Probe main window is resized, this field will be widened or narrowed.

Fig 4: The current path field

wpeF.gif (1599 bytes)

The File Transfer Field

This field displays a progress bar for the file operation that was last started. This enables keeping track of a lengthy file operations without having the progress dialogs visible.

Fig 5: The File Transfer Field

TheSta41.gif (3277 bytes)

The Folder Browser Sort Field

This field displays how the files of the active Folder Browser are sorted. Available sorting methods are:

  • Sort by Type,
    • then by Name
    • then by Size
    • then by Date
  • Sort by Name
  • Sort by Size
  • Sort by date

When sorting is based on type, and a secondary criterion, only 'Type' is displayed in the status-bar.

This field can be clicked with the right mouse-button and modified, or double-clicked.

Fig 6: The Folder Browser sort field

wpe9.gif (1061 bytes)

The Subfolder Handling Field

This field displays the current setting for Subfolder Handling. The available alternatives are:

  • (Full) Treat subfolder contents as fully selected.
  • (Empty) Treat subfolder contents as non selected.
  • (Rec) Treat subfolder contents as recursively selected.
  • (Filter) Treat subfolder contents as recursively filtered.

This field can be modified by clicking the right mouse button on it, or by double-clicking.

Fig 6: The Subfolder Handling field

wpeA.gif (1048 bytes)

The Watch Active Field

A folder watch is a process which detects changes within the current folder caused by programs other than Probe. If a folder don't have such a watch, changes are not detected automatically.

To have a correct listing of the contents after external modifications, when no watch is active, an explicit refresh can be made through Ctrl-R or by selecting this alternative in the white area popup menu.

  • Wake - indicates that the watch is awake.
  • !TW - indicates that no watch is available.

Fig 7: The watch active field

wpeB.gif (1061 bytes)

The Date Method Field

Probe supports the three different file dates available with FAT and NTFS file systems. The date displayed in Folder Browsers is one of:

  • LM - Last Modify date
  • CR - Creation date
  • LA - Last Access date

This field can be modified with the right mouse button, or by double-clicking it.

Fig 8: The date method field

wpeE.gif (1132 bytes)

Next: Settings

Back: Subfolder Handling


Settings

Various settings for file operations and Probe components are available under the 'Settings' pull-down menu of the Probe main window (fig 1).

Fig 1: The 'Settings' pull-down menu

wpe14.gif (5684 bytes)

For more detailed information on the Settings dialogs, go to the Settings section of the Reference Manual.

Next: Reference Manual

Back: The Status Bar


Reference Manual

The most detailed documentation on Probe is available under this section. The links below go to subsections of the Reference Manual, most of them containing one level of subsections or more.

  • Frames. This section deals with the the non-overlapping windowing system of the Probe main window. A Reference and a Hints section is available.
  • Probe Components. Each frame of the Probe main window has a Probe component in it, such as a Folder Browser, a Tree Browser, a Disk Monitor, a Log Window etc. This section describes these components.
  • Operation. In this section, the basic operations of Probe, such as Navigating the storage, File Selection, File Filters, Subfolder Handling, File Operations and File Search are discussed.
  • Storage Specific. Under this section, all details specific to handling Compressed Archives (ZIP, ARJ, RAR, TAR, GZ, CAB, ...), remote sites (The FTP Client), File Collectors, and local File Realizations are documented.
  • Settings. The main window of Probe has a 'Settings' pull-down menu, where most settings for Probe are available. These include Browser Settings, File Operation Settings, Paths Settings, Compression Settings, Remote Settings, and Realization Settings.
  • Examples. ### This section contains some examples of how Probe can be used to perform some ordinary and advanced file operations.
  • Keyboard Accelerators by Function. By using keyboard accelerators, most operations can be started faster, compared to starting the same operation using the mouse. The accelerators are listed based on the type of their functionality on this page.
  • Keyboard Accelerators by Qualifier. This page lists the accelerators based on which keyboard qualifier (Shift, Ctrl, Alt) is used when invoking them.

Next: Terminology

Back: Getting started


Frames

The main window of Probe is divided into non overlapping 'frames'. Each such frame has a Probe component in it, such as a Folder Browser, a Location Bar etc. The sections below documents usage of the frame system. How frames are created, resized, dragged, ...etc, is discussed.

  • Reference
  • Hints

Next: Probe Components

Back: Reference Manual


Frames, Reference

The main window of Probe is divided into nonoverlapping 'frames'. Each frame has a Probe component in it, such as a Folder Browser, a Location Bar etc. The frames are separated from each other by edges. You use the mouse and the keyboard in a frame just as you would with any other window type.

  • Resizing a Frame
  • Resizing the Main Window
  • The Frames Pull-Down Menu
  • Frame Commands in Popup Menus
  • Maximizing a Frame
  • Splitting a Shared Edge
  • Untangling the Edges of a Frame
  • Making Space for a New Frame
  • Creating a New Frame
  • Merging Edges of Frames
  • Optimizing Window Area of Frame
  • Dragging (Moving) Frames
  • Closing a Frame
  • Handling Frame Layouts
  • The Extra Caption Menu
  • Save/Load Layouts
    • Load Layout from File
    • Save Current Layout to File
  • Save Layout on Exit
  • Hide Menus
  • Main Window Always on Top
  • Browse/Select Frame Layout
  • New Layout Dialog
  • Quick Layout Selection

Resizing a Frame

When you want to change the size of a frame, move the mouse cursor over the frame, towards an edge, so that it turns into double arrow symbol as in fig 1. Press the left mouse button and drag the edge. Then release the left mouse button.

Fig 1: Taking hold of the edge

wpe4.gif (6228 bytes)

Fig 2: The edge has been dragged and released

wpe9.gif (6062 bytes)

When taking hold of an edge at the intersection of two edges, both a horizontal and vertical edge is dragged. All frames attached to the two edges are resized.

Resizing the Main Window

When you resize the main application window, all frames within it are scaled in proportion to the main window. Some frame types responds by scaling their contents when resized. Other components respond by updating their scrollbar status accordingly.

The Probe main window has a minimum size of 400x300 pixels.

Fig 3: Resizing the Probe main window

wpeA.gif (2163 bytes)

The Frames Pull-down Menu

All commands for creating and closing frames etc, are available in the 'Frames' pull-down menu. There are also commands for loading/saving the frame layout state to a file in this menu.

Fig 4: The Frames pull-down menu

wpeD.gif (7453 bytes)

Frame Commands in Popup Menus

Every frame has a popup menu which appear when clicking with the right mouse button in the frame. At the bottom of this menu, below the last separator, some commands for frames are available.

Fig 5: Every frame has a popup menu

wpe13.gif (7996 bytes)

At least some of the commands 'Maximize', 'Normalize', 'Optimize', 'Untangle edges', 'Close' are available in all frame popup menus. These commands are common for all different frame types.

Above the separator in fig 4 (from 'Colors' and up), are commands which are specific for the specific frame type, in this case the Log Window.

As can be seen in fig 4, the frame commands are also in the 'Frames' pull-down menu.

NOTE: In a Folder Browser, or in a Tree Browser, you must click the right mouse button in a area which has background color for this menu to appear. Otherwise a popup menu specific to the file/folder being clicked appears.

Maximizing a Frame

If you temporarily want to focus on a specific frame, you can maximize it, so it occupies the full application window. You do this by selecting 'Maximize' in the frame popup or pull-down menu.

NOTE: Not all frame types can be maximized.

Fig 6: Before maximizing the frame

wpe12.gif (11659 bytes)

Fig 7: After maximizing the frame

wpe11.gif (8331 bytes)

You return to the normal frame layout by invoking the item 'Normalize'

Splitting a Shared Edge

Frames can be created and destroyed. When creating a new frame, there must first be some free area to put it in. This is done by splitting edges and the dragging edges.

If two frames are next to each other they share an edge. Such edges can be split by double-clicking them, with either left or right mouse button.

Fig 8: Putting the mouse over a shared edge

wpe14.gif (4313 bytes)

Fig 9: Splitting the edge by double-clicking

wpe15.gif (4337 bytes)

Untangling the Edges of a Frame

Frames next to each other typically share edges. A frame can also share it's edges with main window border, or with the status bar or the menu bar.

When making room for new frames you must drag edges so that free space is created. This is best done when the dragged edge is used by only one frame.

Through selecting the 'Untangle Edges' alternative in the frames popup menu, all four edges of a frame are separated from it's neighbor frames, or 'Untangled'.

Fig 10: About to untangle edges of the Disk Monitor

wpe16.gif (3961 bytes)

Fig 11: After untangling the edges

wpe17.gif (3371 bytes)

Making Space for a New Frame

After untangling edges or splitting shared edges, they can easily be dragged to provide free window area for a new frame.

Fig 12: Preparing free space by dragging edges

wpe19.gif (6041 bytes)

Creating a New Frame

After providing free window area we're ready to create a new frame. We do this by clicking the right mouse button in the free area where we want to position the new frame. A popup menu appears and we choose the type of the new frame.

NOTE: Some frame types, such as Command Prompt, Function Bar etc, can only exist in a single instance.

NOTE: Some frame types cannot be created if the free area is too small.

Fig 13: Selecting a new frame typee

wpe1C.gif (7732 bytes)

Fig 14: New frame was successfully created

wpe1B.gif (7529 bytes)

Frames can also be created through the pull-down menu 'Frames', submenu 'New Frame', then selecting the frame type. In this case the new frame is created where the largest free window area is found.

Merging Edges of Frames

If you want the edges of two close frames to join into a shared edge, you just drag one of the edges, so that it clearly overlaps with the other edge. When releasing the mouse button the two edges will merge into a single edge.

Edges are merged with window borders, the status bar, the menu bar in the same way.

Fig 15: Merging two edges by dragging

wpe1E.gif (3160 bytes)

Fig 16: After merging three edges

wpe1F.gif (3131 bytes)

Optimizing the Area of a Frame

The merging of edges performed in the previous paragraph can also be done through the 'Optimize' command found on the frame popup menu. This command enlarges the frame as much as possible, by merging edges, and occupying free window area surrounding it.

Fig 17: Before selecting the 'Optimize' command

wpe20.gif (3689 bytes)

Dragging (Moving) Frames

Individual frames can be dragged within the Probe main window. As the frame is dragged, Probe will suggest distinct locations in the main window, where the can be moved to.

To drag a frame:

  • Press the left mouse button in the drag-handle of the frame you want to move (see fig 18).
  • Move the mouse towards the place in the main window, where you want to put the frame. The mouse cursor is now changed to a wpe3.gif (916 bytes) symbol (fig 19).
  • As the mouse is moved, Probe suggests new locations for the frame. When the frame is positioned correctly, release the left mouse button (fig 20).

NOTE: For frames that have a caption (a frame title), the caption bar serve as a drag handle.

NOTE: Any frame can be moved by pressing the ALT button and dragging the frame using the right mouse button.

Fig 18: About to drag a frame (lower left part of figure)

Frames4.gif (14579 bytes)

Fig 19: The mouse cursor has been changed to the frame drag symbol

Frames5.gif (13257 bytes)

Fig 20: Releasing the mouse button ends frame dragging

Frames6.gif (13082 bytes)

Closing a Frame

Closing a frame can be done either by selecting 'Close' in the frame popup menu, or by clicking the same alternative in the 'Frames' pull-down menu.

Fig 21: About to close a frame:

wpe21.gif (9614 bytes)

Handling Frame Layouts

Up to now, only ways of manipulating individual frames have been discussed. From now on we'll deal with commands handling the layout of all frames in the Probe main window. These commands are available in the frames pull-down menu (see fig 21) or in the extra caption menu (see fig 22). These commands are:

  • Browse/Select Frame Layout
  • Save/Load Layouts
    • Load Layout From File
    • Save Current Layout To File
  • Save Layout On Exit
  • Main Window Always On Top

Fig 21: Commands for manipulating main window layouts (clickable)

FramesIO1.gif (3805 bytes)

The Extra Caption Menu

The extra caption menu wpe3.gif (880 bytes) is located (fig 22) to the left of the three buttons for minimizing wpe4.gif (877 bytes) , maximizing wpe5.gif (883 bytes) and closing wpe7.gif (882 bytes) windows. It provides quick access to frame commands that affect the state of the entire main window. It's main purpose is to allow for quickly swapping to another main window layout.

This menu can be used for example to quickly switch the layout of Probe into Norton Commander emulation mode, or to MS Explorer emulation mode, ...etc. Also, personal main window layouts can be created and added to this menu.

  • Browse/Select Layout
  • Hide Menus
  • Topmost Window
  • Quick Layout Selection

Fig 22: The extra caption menu (clickable)

Frames46.gif (4940 bytes)

Save/Load Layouts

These two commands deal with saving/loading the layout of the main window to Probe layout files (*.str).

Load Layout From File

This command allows for loading a Probe main window layout that was previously saved to disk. With this command, the looks of the layout cannot be previewed before loading it. The Browse/Select Frame Layout functionality provides a more interactive method of managing different main window layouts.

Save Current Layout To File

By invoking this command, the current main window layout is saved to a file. The state of all frames of the main window is stored. This layout file can be loaded at a later time, or on some other computer. The filename should have the suffix .str. Again, the Browse/Select Frame Layout provides a more intuitive way of handling layouts.

Save Layout On Exit

If this option is checked, the layout is saved each time Probe is closed. If you don't want to save any updates to the layout at program termination, clear this setting.

Hide Menus

This setting (nr two from the top of the menu in fig 23) enables hiding the main window menu. This is useful for conserving screen area.

When the window menus have been hidden, the 'Hide Menus' item is replaced by the 'Show Menus' item. After hiding the main window menus, you can still access them through the sub menu 'Window Menus', see fig 23.

Fig 23: After hiding the main window menus

Frames48.gif (10516 bytes)

Main Window Always On Top

This is a setting to turn Probe into a 'topmost' window. With this setting, all ordinary windows will appear behind Probe, even when they are activated and have input focus.

The 'Topmost Window' setting is toggled from this menu.

Browse/Select Frame Layout

Through the functionality discussed in this section, one can visually browse several pre-fabricated main window layouts. Without loading the layout, a preview image of the layout is available, a component listing for the layout, a comment for the layout and also a recommended screen resolution (in pixels) for using the layout.

The available main window layouts are browsed using the dialog of fig 25. The purpose of this dialog is to maintain a list of available main window layouts, allow the layouts to be previewed, and to add and remove layout items from this list.

The items in the layout list in fig 25 (in the combo box) are also available for quick layout selection in the extra caption menu (fig 24).

Fig 24: The same list of layout items in two places:

Frames47.gif (9193 bytes)

The dialog for browsing, selecting and manipulating layouts (fig 25) is either invoked from the extra caption menu (topmost item fig 24, fig 23) or from the Frames pull-down menu (see fig 21). Selecting a layout using this dialog is a three step process:

  1. Open the combo-box 'Available Layouts', and select an item.
  2. A preview of this layout, together with some other details on the layout is now presented.
  3. Press the 'OK' button to load the selected layout in the Probe main window.

Fig 25: The Main Window Layout Manager dialog (clickable)

Frames410.gif (44334 bytes)

Current Layout

This is the name of the layout that is currently used in the Probe main window.

Available Layouts

This combo-box contains a listing of all layout items that are available. When selecting a layout item in the combo-box, the preview image, the component list, ...etc, are updated to show details about the selected item.

To use a layout selected in the combo-box in the main window, press 'OK' after selecting it.

Recommended Minimum Resolution

When having to many Probe components in a small main window, the result is cluttered. To provide a hint to a layout user, a recommended minimum screen resolution is included with each layout item.

Components

This is a list of the frame types (Probe components) that make up the main window layout being previewed.

Layout Comment

This is a comment on the layout being previewed.

Add/Remove Layouts to Available List

It is possible to add and remove items from the list of available main window layouts. One way to add new layouts is to modify the appearance of the main window, and than make a snapshot of it.

Remove Layout

Pressing this button will remove the layout currently being previewed from the list of layout items.

Add Layout

This opens the New Layout dialog, that enables creating and adding new layout items to the layout list.

Reset to Default

Press this button to reset the layout list to its original state. After doing so, the layout list only contains the layouts that were available after program installation.

Layout Preview Image

This is an image providing a down scaled preview image, representing what the layout looks like, when activated.

Layout File

This is the path of the file (*.str) containing the layout description.

OK

Press 'OK' to actually load the layout selected and previewed as described above. When doing so, all current frames are closed, the main window is repositioned, and new frames for the selected layout are created.

NOTE: Layouts cannot be loaded while file operations are in progress.

Cancel

Press 'Cancel' to exit this dialog, without changing main window layout.

New Layout Dialog

This dialog is invoked from the Main Window Layout Manager dialog. It is used to add layout items to the list of available main window layouts. A layout item can be added in one of two ways:

  • By using the currently active main window layout, and making a snapshot image of the main window to be used for previewing the layout.

or

  • By browsing for an already existing layout file (*.str) and for a matching layout preview image (*.bmp).

Fig 26: The New Layout dialog (clickable)

Frames411.gif (10751 bytes)

Layout Name

This is the name used when presenting this layout in the list of available main window layouts.

Main Window Layout File

Each layout item is associated with a layout description file (*.str). This file can come from two places when creating new layout items:

  1. It can be generated by saving the currently active main window layout to disk. This is the 'snapshot' method.
  2. The layout description file already exists on disk, and can be browsed for. See Save/Load Layouts for how to generate *.str files.

Use the currently active Main Window layout

With this option set, Probe makes uses the currently active main window layout as layout description file. See Snapshot method (1) above.

Browse for layout file (*.str)

With this option set, the user must browse for and locate a previously saved *.str file to be used as layout description.

Layout Preview Image File

When browsing the available main window layouts, preview image files (*.bmp) of them are presented. This preview image can be:

  1. A snapshot of the current main window, produced automatically by Probe (main window capture).
  2. A bitmap file (*.bmp) located manually by the user.

Snapshot of current Main Window layout

With this option set, Probe uses a snapshot image of the current state of the main window.

Browse for layout preview image (*.bmp)

With this option set, the user must browse for and select a BMP image to be used as preview image.

Layout Comment

This is a comment providing a hint to a user of the layout about its properties.

Recommended Resolution

When having to many Probe components in a small main window, the result is cluttered. To provide a hint to a layout user, a recommended minimum screen resolution is included with each layout item.

OK

Press 'OK' to actually create a new layout item, and add it to the list of available main window layouts.

Cancel

Press 'Cancel' to exit this dialog without creating a new layout item.

Quick Layout Selection

It is possible to change main window layout, without using the Main Window Layout Manager. In the extra caption menu, all layout items that are available in the layout manager, are also available. The currently active main window layout is checked.

Changing main window layout in this way is accomplished through:

  1. Open the extra caption menu by clicking wpe3.gif (880 bytes) .
  2. Below the separator, click the name for the layout which you want to open, for example Centered Tree + Tools.

Fig 27: Quick layout selection using the extra caption menu (left).

Frames47.gif (9193 bytes)

Next: Frames, Hints

Back: Frames


Frames, Hints

If you're having problems with frames, here are some hints:

  • Merging / Un-merging an Edge with the Status barr
  • Un-merging an Edge from the Menu barr
  • I Cannot Drag an Edge as I Want
  • The Frame Don't take Commands from the 'Frames' Pull-down Menu

Merging / Un-merging an Edge with the Status barr

Dragging the edge so that it overlaps with the status bar will make it merge with the status bar.

Holding the mouse cursor slightly below the border between the frame and the status bar will make the mouse cursor go into 'edge dragging mode'. Drag the edge.

Fig 19: Dragging the edge from the status barr

wpe22.gif (1847 bytes)

Un-merging an Edge from the Menu barr

Double-click the bottom of the menu bar, using the RIGHT mouse button. Or select 'Untangle Edges' in the frames popup menu for the frame below the menu bar.

I Cannot Drag the Edge as I Want

If the edge appears to be stopped by an edge which really don't touch it, try moving that edge a little bit. Double-clicking edges make them split into smaller pieces, this makes them easier to move.

The Frame Don't take Commands from the 'Frames' Pull-down Menu

Only frames which can have input focus in Probe can be manipulated through the 'Frames' pull-down menu. Use the frame popup menu for other frames.

Next: Probe Components

Back: Frames, Reference


Probe Components

The Probe main window is divided into non overlapping frames. Each frame holds a component, such as a Folder Browser, a Tree Browser, a Location Bar etc.

The documentation of Probe Components is the subject of below subsections.

  • The Folder Browser
  • The Tree Browser
  • The Location Bar
  • The Disk Monitor
  • The Log Window
  • The Function Bar
  • The Command Prompt
  • The Accelerator Guide

Next: Operation

Back: Frames


The Folder Browser

A Folder Browser shows the contents of a single folder, that is, all files and all folders the folder contains. Most file operations are started from Folder Browsers, and this is also the place where file browsing happens from. The formatting and level of detail shown for items in Folder Browsers is fully customizable.

  • The Folder Browser Concept
  • Showing/Hiding Folder Browser Elements
  • The White Area Popup Menu (Ctrl-W)
    • Forward/Back (Alt-Right, Alt-Left)
    • Storage Specific Submenu
    • Layout Submenu
    • Sort Submenu
    • Display Fields Details Submenu
      • Date Method Submenu
        • Date Type
        • Date Format
      • More Display Field Details
    • Sub-Folders Submenu
    • Reverse File Order
    • In Columns
    • Companion & Log Submenu
      • Companion Browser
      • Controlling Tree Browser
      • Companion Shares Tree
      • Connection With Log Window
    • File Filter Submenu
    • Caption, Toolbar,... Submenu
    • Common Frame Commands
  • File Popup Hints
  • The Folder Browser Toolbar
  • The Column Headers
  • Companion Browser and Other Relations
  • The Status Bar
  • Main Window Menus
  • Selecting Files
  • File Popup Menus
    • Shell Commands
    • Probe Specific Commands
  • Starting File Operations
    • Drag&Drop
    • Clipboard (Ctrl-C, Ctrl-X, Ctrl-V)
    • Probe Accelerators (F5, F6, Delete, Shift-Delete)
  • Creating New Files, New Folders (F7, Ctrl-F7)

The Folder Browser Concept

Fig 1: A Folder Browser in Probe

fb2.gif (6252 bytes)

You can choose to show or hide Folder Browser elements such as the toolbar, the column headers, and the frame caption displaying the current directory.

The right mouse button in a Folder Browser (when clicked in a background colored area) brings up the white area popup menu for the Folder Browser. This menu controls all details relating to the appearance of the Folder Browser.

You typically work in Folder Browsers using a given file layout. The items in the Folder Browser are sorted in the way that is most relevant to our task at hand.

Different file operations and browsing situations require different types of details to be presented. Column headers are used to adjust column widths, and as shortcuts for modifying sorting order and modifying display field options. File popup hints can be used to get full details.

You select files using the mouse, the keyboard or with wildcard selection dialogs. Commands in file popup menus can be applied to selected items. New files and new folders are easily created. Some types of commands are specific to certain storage types, they are found in the storage specific menu.

The status bar shows details on selections, sorting, subfolder handling, ...etc.

A Folder Browser can have a companion Folder Browser (partner browser), it can be controlled by a Tree Browser, and it may have a private Log Window. To switch between two different Folder Browsers, press keyboard accelerator TAB.

File operations are started using either file popup menus, drag&drop, function keys (F1..F12) or other keyboard accelerators. In file-operations, some subfolder handling method apply.

There are many useful keyboard accelerators when working in Folder Browsers.

Showing/Hiding Folder Browser Elements

The Folder Browser in fig 1 has both a frame caption (the title bar with text C:\Windows), a toolbar (the buttons beneath the caption), and column headers (beneath the toolbar). These three elements can be hidden and later on restored.

The commands for hiding these items are available in the white area popup menu. The section below deals in depth with the white area popup menu.

Fig 2: Commands for showing/hiding Folder Browser elements

fb3.gif (3825 bytes)

Fig 3: A Folder Browser with no toolbar and no column headers

fb4.gif (4966 bytes)

The White Area Popup Menu (Ctrl-W)

The white area popup menu is opened by clicking the right mouse button in the background colored (usually white) area of a Folder Browser. This menu controls all settings affecting the functionality and appearance of Folder Browsers.

The menu can also be opened using Ctrl-W. It is also available as the Browser pull-down menu in the Probe main window.

Fig 4: The Folder browser white area popup menu (clickable)

fb5.gif (8346 bytes)

Forward/Back (Alt-Right, Alt-Left)

These command goes forward and back in the history of visited folders. Pressing Alt-Left (or selecting back) goes to the previously visited folder, and Alt-Right (forward) moves forward. These commands are also available through toolbar buttons with symbols wpe1E.gif (853 bytes) and wpe1F.gif (845 bytes) .

Storage Specific Submenu

The third menu item from the top of fig 4 (Disk) opens up the 'storage specific menu'. When browsing a Zip archive, this submenu will be labeled Zip, when browsing remote FTP storage, it will be labeled FTP, ...etc.

In this menu, commands that modify the folder, and commands that are specific to the storage type are available.

The storage specific menu can also be found as a pull-down menu in the Probe main window.

For more information on handling compressed archives, see the Storage Specific section, Compressed Archives. For more information on FTP, see Storage Specific, The FTP Client.

Fig 5: The storage specific menu for disk storage

fb6.gif (3870 bytes)

Layout Submenu

The Layout submenu decides which types of information to display for file items.

Fig 6: The Layout submenu

fb7.gif (3813 bytes)

For files, the following items are available:

  • Filename
  • Small icons (16x16 pixels)
  • Big icons (32x32 pixels)
  • File size
  • File attributes
  • File dates

There are three categories of layouts to choose from in fig 6:

  1. Column - This shows big icons atop of filenames.
  2. Single Line - These layouts are the most common. A small icon, together with filename and other optional file details are presented on a single line. Fig 1 and fig 3 use single line layouts.
  3. Two Lines - These layouts present (for each file) a large icon, together with file details on two lines. An example of this is seen in fig 7.

For each file details such as file size and file date, the amount of detail displayed may be adjusted, see the Display Field Details Submenu section.

Fig 7: A two line file layout

UsingF11.gif (4795 bytes)

Sort Submenu

In Probe, files can be sorted based on the following criterions:

  • Sort in filename order
  • Sort in file type order
  • Sort in file date order
  • Sort in file size order

Since there often are several files of the same type in a directory, a second sort criterion (for the files of same type) is also used in Probe:

  • Sort first on type, then on name
  • Sort first on type, then on date
  • Sort first on type, then on size

All in all, six distinct sorting methods are available. Also, for date sorting, the date can be any of Last Modify Date, Creation Date,or Last Access Date. More information is available in the Date Method section.

Fig 8: The Sort Submenu

fb8.gif (3051 bytes)

Example 1

When searching for the largest program files (*.exe) in a folder containing many programs, sorting on type, then on size seems a good choice.

Example 2

When searching for the oldest help files (*.hlp) in a folder containing a lot of help files, sorting on type, then on creation date and finally reversing the order with which files are shown in does the job.

NOTE: One can also change sort method by left clicking the corresponding column header.

NOTE: The active sorting method is indicated on the status bar.

Display Fields Details Submenu

This submenu deals with how much detail to show for file information (such as name, size and date), and also controls some options on how to present this information.

  • Date Method
  • Size Format
  • Filename Details
  • Attribute Details

Fig 9: The Display Fields Details Submenu (clickable)

fb9.gif (2819 bytes)

Date Method Submenu

When displaying file dates in Folder Browsers, there are two things to consider:

  • Which sort of date to present.
  • How much of the date information to present.

Fig 10: The Date Method Submenu

fb10.gif (3026 bytes)

Date Type

There are three types of dates associated with each file under Win-95/98, Win NT. In Probe, one of these three types is displayed in the date column of a Folder Browser.

Type | Description
Creation Date | The date and time the file was first created
Last Modify Date | The latest date and time the file was changed
Last Access | The latest date and time the file was opened

The active date method for a given Folder Browser is indicated on the status bar, when that Folder Browser has input focus.

NOTE: In some file systems, and in some types of compressed archives, and in FTP folders, only a single date (usually Last Modify Date) is available.

Date Format

Probe has two different methods of presenting file date and time:

  • Showing the date only. This is more compact, and sufficient in many cases.
  • Showing both dates and time of day for the file. This consumes more screen area.

More Display Field Details

There are also options on how to present:

  • File size
  • Filenames
  • File attributes

Size Format

The size of a file can be presented with different number of significant digits, or optionally the exact file size (all digits).

Fig 11: The Size Format submenu

fb11.gif (3354 bytes)

Filename Details

There are two different options relating to filenames:

Fig 12: File Name Details Submenu

fb12.gif (2774 bytes)

Prettify File Name Case

When encountering files containing upper case letters (and some similar situations) the filename is displayed using lower case letters for all characters except the first. Filename prettifying can be turned off here.

Mouse File Name Edit

Usually a filename can be edited putting the cursor atop of the file, and then single clicking the filename. This can be annoying to users who rename files with F2. Uncheck this option to disable mouse filename editing.

Attribute Details

A single option relating to file attributes is relevant in FTP folders.

UNIX File Attributes as Numbers

Usually ownership for files in UNIX file systems are shown according to: DRWXRW_R__. This can be represented with a more compact notation using octal numbers: D764.

Sub-Folders Submenu

When doing file operations involving subfolders, there is a choice on how to handle the contents of these subfolders. More information is available on the page Subfolder Handling.

One way of checking and modifying which subfolder mode is active is through the subfolders submenu of the white area popup menu.

Fig 12: Subfolder settings in the white area popup menu

fb13.gif (2912 bytes)

Reverse File Order

This command will cause the order of files within the Folder Browser to be reversed. Sorting order can also be changed and reversed by using column headers.

In Columns

When there are more items in a folder than there is space for in the Folder Browser window, the window must be scrolled to view all items. This option decides which direction to be the primary scrolling direction:

  • In Columns is not checked. In this case, files are scrolled into view using a vertical scroll bar.
  • In Columns is checked. In this case, files are organized in columns next to each other. A horizontal scrollbar is used to bring files into view.

Companion & Log Submenu

A Folder Browser can be connected with other frames in Probe. There are three types of connections a Folder Browser can have:

  • It can have a companion browser.
  • It can be controlled by a Tree Browser.
  • It can be connected to a certain Log Window.

The submenu of fig 13 is used to establish these connections.

Fig 13: The Companion & Log Submenu

fb14.gif (2728 bytes)

Companion Browser

Many file operations require a source and a target folder (Copy, Move, ...). In such cases it is practical to be able to overview both the source and the target folder at the same time. In Probe this happens by using two Folder Browsers.

Through the concept of 'Companion Browser', two Folder Browsers are connected to each other. A file operation started in one of the Folder Browsers, uses the second Folder Browser as target folder.

File operations started with certain keyboard accelerators utilize a pair of connected Folder Browsers, to decide the source and target folders. Here are some examples.

  • F5 - Copy files from one Folder Browser the another one
  • F6 - Move files from one Folder Browser the another one
  • Alt F9 - Extract compressed files from one Folder Browser to the other one.
  • Alt F7 - Compress files from one Folder Browser to the other one.

There are other advantages to using the companion browser concept:

  • By pressing keyboard accelerator TAB, one can switch between to Folder Browsers.
  • Through the keyboard accelerator Shift-TAB, one can point the companion browser to the same folder or a subfolder of the first browser.
  • Through keyboard accelerators Alt-F1, Alt-F2, Ctrl-F1, Ctrl-F2 it is easy to navigate a pair of Folder Browser using popup Tree Browsers and Disk Browsers.

A companion browser relationship is established by selecting menu item Select Companion (fig 13), and then clicking the Folder Browser to be companion.

NOTE: When only two Folder Browsers are present in the Probe main window, they are automatically set to companions.

Controlling Tree Browser

A Tree Browser can be used to control the current directory of a Folder Browser. This relationship is the same as the one in MS Explorer, between the tree view and the list view.

The Folder Browser in this relationship is sometimes referred to as a 'slave browser'.

A Tree Browser <-> Folder Browser relationship is established by selecting menu item Select Companion (fig 13), and then clicking the Tree Browser that should be turned into a controlling tree.

NOTE: A Folder Browser can have both a companion browser, and a controlling Tree Browser.

NOTE: This relationship is often established automatically.

Companion Shares Tree

When having two Folder Browsers and one Tree Browser in the same Probe main window, it is possible to control both Folder Browsers with a single Tree. In fig 14, a layout with two Folder Browsers, and one Tree Browser is depicted. The central Tree Browser controls the one Folder Browser that was last active.

To activate this mode, the setting Companion Shares Tree of fig 13 should be set.

Fig 14: A two Folder Browser, one Tree Browser layout

fb15.gif (8537 bytes)

Connection with Log Window

NOTE: Multiple Log Windows are only relevant when performing several time consuming file operations simultaneously.

A Log Window is used to get more detailed feedback from a file operation, than that available from the progress window. All file operations started from a certain Folder (or Tree) Browser can be set to direct their log output to a certain Log Window.

To select a default Log Window:

  1. Select the item Select Log Window from the menu of fig 13.
  2. The mouse cursor is changed.
  3. Click the Log Window that should be default for this browser.

File Filter Submenu

When activating file filters, only the files matching a certain criterion are shown in Folder Browsers. The matching criterion of the file filter can be edited using the Edit File Filter command. The file filter can be also be activated and deactivated from this menu. More information is available in the Operation chapter, page File Filters.

Fig 15: The File Filters submenu

fb16.gif (2226 bytes)

Caption, Toolbar, ... Submenu

The items in this submenu deals with turning on/off different elements of a Folder Browser.

Fig 16: The Caption, Toolbar, ... submenu

fb3.gif (3825 bytes)

This items in this submenu can:

  • Set the type of drag handle to use for the Folder Browser frame. It can be one of:
    1. A Drag Handle with Caption. In this case, the current path of the Folder Browser is shown in the frame caption.
    2. A Simple Drag Handle. The frame may be dragged using this handle, but no text is shown in it (see fig 17).
    3. No Drag Handle.
  • Enable/Disable the Folder Browser toolbar. The one in fig 17 has no toolbar.
  • Enable/Disable the Folder Browser column headers.

Fig 17: A Folder Browser with a simple drag handle

fb17.gif (2981 bytes)

Common Frame Commands

The commands at the bottom of the white area popup menu are commands common to all frames in Probe. They are discussed in the Frames, Reference page.

Fig 18: Frame commands at the bottom of the white area popup menu

fb18.gif (1741 bytes)

File Popup Hints

When part of the information presented in a column is hidden, or when the information is only presented in an approximate manner, file popup hints can be used:

  1. Point the mouse cursor to the file, and the information column that is partially hidden.
  2. Hold the mouse still.
  3. The full information now pops up.

Fig 19: A partially hidden folder name...

fb19.gif (2469 bytes)

Fig 20: ...is shown fully using popup hints

fb20.gif (2727 bytes)

Fig 21: File popup hints giving exact size of file

fb21.gif (2874 bytes)

The Folder Browser Toolbar

The Folder Browser toolbar gives access to some frequently used commands in Folder Browsers. Click the buttons in fig 22 to jump to their help texts.

Fig 22: The Folder Browser Toolbar (clickable)

fb22.gif (3653 bytes)

Backward in Path History (Alt-Left)

This goes back to the previously visited folder.

Forward in Path History (Alt-Right)

After going backwards in path history, this goes forward again.

Go to Folder Above (Backspace, Ctrl-PageUp)

This moves the Folder Browser to the folder above (cd ..).

Go to Root of Drive (Ctrl-Backspace)

For a disk-drive, this takes the Folder Browser to the root of that drive. For a Zip archive, it goes to the root of the archive, ...etc.

Select All Files and All Folders (Ctrl-A)

This makes all files and all subfolders of the current folder selected.

Deselect All Files and All Folders (Ctrl-Q)

This deselects all files and all subfolders of the current folder.

Create New Folder (F7)

This opens the New Folder dialog.

Create New File (Ctrl-F7)

This opens the New File dialog.

Recycle Selected Items (Delete, F8)

This will attempt to move the selected items to the recycle bin

Refresh Contents (Ctrl-R)

This will refresh the listing of files of the current directory. This will detect media changes when handling removable media, updates to remote folders, and changes to compressed archives caused by other applications.

Select Files Using Filename Wildcards (Num-Plus)

This opens the filename wildcard selection dialog. More information on selection is available in chapter Operation, page File Selection.

Deselect Files Using Filename Wildcards (Num-Minus)

This opens the filename wildcard deselection dialog.

Select Browser Companion

This command enables clicking a Folder Browser or a Tree Browser to connect this Folder Browser with. See Companion & Log Submenu.

The Column Headers

The Folder Browser column headers are used in four different ways:

  • For resizing Folder Browser file information columns
  • Double clicking to adjust column width to widest element
  • For changing sorting method
  • For adjusting the type and level of detail presented in the column

Fig 23: Column headers are used to resize information fields

fb23.gif (2049 bytes)

For Resizing Folder Browser File Information Columns

The width of individual information columns of the Folder Browser can be adjusted by dragging column separators, see fig 23.

Double Clicking to Adjust Column Width to Widest Element

If a column contain items that are wider than the column itself, double clicking the column header divisor adjusts the column width, so that all items within it are fully shown.

Fig 24: Optimizing column width by double clicking header divisors

fb24.gif (3590 bytes)

For Changing Sorting Method

When clicking a header control using the left mouse button, the files in the Folder Browser are sorted accordingly. When clicking the Name column header, files are sorted by name, similarly for the Size column header, ...etc.

When clicking a header control, whose sorting order is already active, the order of the items in the Folder Browser is reversed.

NOTE: When clicking the column header for the icon column, files are sorted by type.

For Adjusting the Type and Level of Detail Presented in the Column

When right clicking a column header, a menu with settings relating to how much, and how the information of the particular column is presented is shown. These settings are the same as the ones available in the Display Fields Details Sub Menu.

Fig 25: Right clicking the Date column header

fb25.gif (3819 bytes)

Companion Browser and Other Relations

See the section Companion and Log Submenu.

The Status Bar

The status bar is described in the Getting Started chapter, section The Status Bar.

Main Window Menus

When active in a Folder Browser, the Probe pull-down menus looks as in fig 18. The menus specific to the Folder Browser are:

  • File Menu
  • Storage Specific Menu
  • Browser Menu

Fig 26: The Probe pull-down menus

wpe14.gif (2347 bytes)

File Menu

This menu contains commands which apply to the current selection of files. The items in this menu are identical with those in the file popup menu.

Storage Specific Menu

In fig 26, the specific storage type is 'Disk', so the menu is called the Disk menu. When browsing a 'Zip' archive, this menu is named Zip, when browsing FTP folders, it is called FTP, ...etc.

This menu contains commands which can be applied to the current folder. They are specific to the storage type on which the current folder is located (Disk, Zip, Shell, FTP, ...). The section Storage Specific Submenu (this page) discuss this menu.

Browser Menu

This menu is (almost) identical to the menu which appears when clicking the right mouse button in a background area of the Folder Browser.

For more info, see the White Area Popup Menu section.

Selecting Files

File selection is an important concept in Probe. Selections can be made in a single folder only, or in several folders at once. The page File Selection in the Operation chapter deals with this subject.

There are three ways of selecting files:

  • Mouse based selection. Press the left mouse button and drag the mouse to make a selection rectangle.
  • Keyboard based selection, Space toggles the selection status of the file under the cursor, Insert toggles selection state and advances the cursor. Shift-Arrows and Ctrl-Arrows can be used to select and deselect a range of files. Ctrl-A selects all files of the current folder, Ctrl-Q deselects all.
  • Wildcard selection. The Edit menu has an item Select... (also keyboard accelerator Num-Plus) that opens the simple wildcard selection dialog. All files with names matching a certain string pattern can be selected using this dialog.

Fig 27: The Simple Wildcard Selection dialog

Select17.gif (4096 bytes)

File Popup Menus

One way of opening, manipulating and applying commands to files is through the use of right mouse button file popup menus:

  • Select some files
  • Click with the right mouse button on the selected files (or keyboard accelerator Ctrl-P) to display the file popup menu.

File popup menus present the commands that are available for the current selection of files. In Probe, there are two classes of commands on file popup menus:

  • Standard MS Windows shell commands. These are the commands that are available in MS Explorer, or other applications exposing the MS Windows shell.
  • Probe specific commands. These are commands that only are available from within Probe. They are always located at the bottom of the popup menu. In fig 27, the Probe specific commands are Edit as Text, Test if Packed Archive, Inspect Selection and Compress. For different file types (for example compressed archives) other Probe specific commands are added.

Fig 27: A file popup menu for the selected files

fb26.gif (10176 bytes)

Shell Commands

These are commands such as Open, Send To, Cut, Copy, ...etc. These commands operate in Probe, just as they do in for example MS Explorer.

Probe Specific Commands

There are different Probe specific commands for different file types. Some examples are:

  • Inspect Selection. This command allows for browsing only a certain selection of files and subfolders, and viewing details on their disk space usage. More information is available in the File Selection page, section Selection Information. It's a valuable tool when verifying that file operations actually include precisely the intended files. Also available through keyboard accelerator F9. File operations involving selections in multiple folders are discussed in the Subfolder Handling page.
  • When selecting a number of folders, one can find out exactly how much space the subfolders consume through the Sum Contents Size command in the file popup menu. The command is also available through Ctrl-F9. See also the File Selection page.
  • When selecting a single subfolder, the Find command can be invoked in the selected folder. The Probe Find Files dialog provides a lot more functionality than the ordinary MS Windows find utility. It also has the additional benefit of operating in any storage type (compressed, remote and collectors). The Find Files dialog can also be started using accelerator Ctrl-F.
  • When selecting only files, the Edit as Text command is available in the file popup menu. This will open the selected files in a text editor. The setting for which text editor to use is available under the main window menu Settings, item Paths. It defaults to 'Notepad.exe'. This command is also available using keyboard accelerator F4.
  • Several file/archive/connection types have Probe specific settings. These include:
    • Disk Drives
    • FTP Connections
    • File Collectors
    • Compressed archives of JAR type.

    For these file types, there is a Probe specific command Settings that give access to options and details for the item.

  • Creating compressed archives from within Probe is easy. One simply selects the files and subfolders to be compressed and invoke file popup menu item Compress. This opens up a dialog that lets you select the archive format to use, and give access to archive specific options. The command is also available through Alt-F7. For more information on this, see the Storage Specific chapter, page Compressed Archives.
  • Extracting compressed archives is also easy in Probe. One just selects the archive(s) to extract, and invokes file popup menu item Expand Archive(s), also available as keyboard accelerator Alt-F9.
  • Normally compressed archives are associated with a certain file name extension, such as .zip, .arj, .ace, ...etc. If for example a Zip archive has been created, using filename extension .abc, Probe will list it as an ordinary file. By selecting the file, and invoking the Test if Compressed Archive file popup menu command, Probe will detect that it is a Zip archive. This functionality is also available using keyboard accelerator Ctrl-T.
  • For remote connections (FTP) there is a Disconnect item available in it's file popup menu while connected to the remote site.

Starting File Operations

File operations can be started in three different ways in Probe:

  • By using Drag&Drop
  • By using the MS Windows Clipboard
  • By using Probe specific keyboard accelerators

Probe is designed to handle both simple everyday file operations and advanced selective file operations extending into several directories, and involving a large number of files. For best control when invoking complex file operations, Probe keyboard accelerators are recommended, since they always give access to the File Operation dialog. Go to the File Operation page for in depth information.

Drag&Drop

To perform a file Drag&Drop operation, do as follows:

  • Select the files to be copied or moved.
  • Click down the left (or right) mouse button on the files.
  • Drag the files by moving the mouse while holding the mouse button pressed.
  • Drop the files on a suitable target folder.

More information is available on the page Mouse Based File Operations

NOTE: When dragging files using the right mouse button, there is always the possibility of selecting the type of the operation, or canceling the operation at drop time.

Clipboard (Ctrl-C, Ctrl-X, Ctrl-V)

Files can be copied by using the MS Windows clipboard:

  • Select the files and folders to be copied/moved in a Folder Browser
  • For a Copy command, select the Copy item (also Ctrl-C or Ctrl-Insert) in the main window Edit pull down menu. For a Move command, select the Cut item (Ctrl-X) in this menu.
  • Browse to the target folder, and select the Paste item (Ctrl-V or Shift-Insert) in the Edit pull down menu.

Probe Accelerators (F5, F6, Delete, Shift-Delete)

When starting File Operations using Probe keyboard accelerators, one always have access to a File Operation dialog (see fig 28), before the operation is actually started. This have a number of advantages:

  • Two Folder Browsers are used for setting up the file operation.
  • One can verify that the source and target folders are correct.
  • One can visually inspect that files are included as intended.
  • Control of subfolder handling enables advanced selective file operations.
  • Options relating to the progress and mode of operation for the file operation are available.

NOTE: Probe supports the same keyboard accelerators for starting file operations as the classical Norton Commander and it's clones.

Some keyboard accelerators for file operations are:

F5 | Copy files to companion browser
F6 | Move files to companion browser
F7 | Create new folder
F8 | Recycle files
Shift-F8 | Delete files
Alt-F7 | Compress files
Alt-F9 | Extract compressed archives

Fig 28: The File Operation dialog

FileOp5.gif (6202 bytes)

Creating New Files, New Folders (F7, Ctrl-F7)

New folders and new files are created using toolbar buttons wpe3.gif (901 bytes) (New Folder) and wpe4.gif (898 bytes) (New File). Fig 22 shows the toolbar. The New Folder functionality is also available through keyboard accelerator F7, and the New File functionality is available using keyboard accelerator Ctrl-F7.

In Probe, items such as compressed archives and remote connections are also treated as subfolders in many cases. Therefore, the New Folder dialog of fig 29 allows for creating not only ordinary disk folders, but also compressed archives of different types, remote connections(FTP) and file collectors. The dialog defaults to ordinary subfolders though.

Fig 29: The New Folder dialog

FileO11.gif (5568 bytes)

Next: The Tree Browser

Back: Probe Components


The Tree Browser

Normal text

  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7

Next: The Location Bar

Back: The Folder Browser


The Location Bar

The Location Bar is a Probe Component that helps navigating your storage more quickly. The folder and files most often used can be put on the Location Bar. From there, they are accessible with just one or two mouse clicks, at any time.

  • The Location Bar Concept
  • Accessing Items on the Location Bar
    • Accessing Folders
    • Accessing Files
    • Accessing Popup Location Bars
  • Adding Items to the Location Bar
    • Adding Files and Folders
    • Using Nicknames
    • Dropping on Popup Location Bars
    • Creating New Popup Location Bars
  • Moving Items Within the Location Bar
  • The Location Bar Popup Menu
    • New Item
    • Edit Label
    • Remove Item
    • go to Defining Collector
    • Refresh from Collector
    • Act as Drop Target
    • Load from Collector
    • Save to Collector
  • Some Hints
    • Organize by Subject
      • An Example
    • Edit in Folder Browser
    • Backing up the Location Bar
    • The Shortcut Icons (BMP) Directory

The Location Bar Concept

The Location Bar holds shortcuts to files, programs, folders, shell-objects, ...etc. It's purpose is to provide fast access to the objects accessed most often, without consuming excessive screen-area.

Fig 1: The Location Bar with one popup level open

LocBar02.gif (6806 bytes)

Any item within the Probe browsing space can be put on a Location Bar, such as:

  • Shell Objects (computers, printers, control-panel items, ...etc)
  • Files (documents, programs, projects, ...etc)
  • Folders (local folders, networked folders, ...etc)
  • Files and folders in compressed archives (Zip, Cab, ...etc)
  • Files and folders in remote storage (FTP)

All items on the root-level of the Location Bar (see fig 1) are accessible with a single mouse click. To provide shortcuts to more items, the Location Bar was designed as a tree. In fig 1, the items with red triangles wpe1.gif (865 bytes) are 'Popup Location Bars'. By clicking them, a new Location Bar pops up, with another collection of shortcuts.

The tree structure presented by the Location Bar (through popup Location Bars) need not mirror the tree structure of the actual storage. This gives the freedom to group the shortcuts by project/subject rather than by physical location.

Since the Location Bar is essentially a collection of shortcuts to files, a File Collector is ideal for representing it.

Accessing Items on the Location Bar

An item on the Location Bar (or a popup Location Bar) is accessed by single clicking it using the left mouse button. Either the name-label or the icon of the item must be hi-lighted (see fig 2,4).

Accessing Folders

When either a Folder Browser or a Tree Browser is active, clicking a folder item in a Location Bar will navigate the Folder/Tree Browser to that particular folder.

Fig 2: About to click the folder ftp_sites on the Location Bar

LocBar03.gif (4719 bytes)

Fig 3: The Folder Browser has navigated to the folder ftp_sites

LocBar04.gif (4161 bytes)

Accessing Files

Clicking a file item on the Location Bar will open it using the default toll for the file-type. In fig 4 and 5, a bitmap image is clicked and opened in an image editor.

Fig 4: About to click a BMP type image on the Location Bar

LocBar05.gif (4055 bytes)

Fig 5: The BMP image has opened in an image viewer

LocBar06.gif (6270 bytes)

Accessing Popup Location Bars

When the mouse cursor is positioned above a Location Bar item having a red triangle wpe1.gif (865 bytes) , the red triangle is hi-lighted according to wpe4.gif (861 bytes) . Clicking the left mouse button now brings up a popup Location Bar. The popup Location Bar functions exactly as the normal Location Bar, although it closes automatically when loosing focus.

Fig 6: About to open a popup Location Bar

LocBar07.gif (3654 bytes)

Fig 7: Having opened the popup Location Bar

LocBar08.gif (4086 bytes)

Adding Items to the Location Bar

Items are added to Location Bars by Drag&Drop. Each item dropped on the Location Bar has a nickname associated with it. The purpose of the nickname is to provide a name that is short enough to be presented in limited screen-area.

New popup Location Bars, perhaps containing the most frequently used documents and folders for a given project, can be created. Further, items may be dropped onto popup Location Bars, at any depth.

Adding Files and Folders

To add an item to a Location Bar:

  • Drag a single item, either from within Probe, or from the desktop, or some other application.
  • As the item is dragged over the Location Bar, a black solid line (fig 8) indicate suggestions where to place the item.
  • Drop the item onto such a black solid line. The dialog of fig 9 appears.
  • Possibly modify the suggested nickname for the new shortcut, and press OK.
  • A new item has been created, see fig 10.

Fig 8: The black line indicates a new shortcut placement

LocBar09.gif (4742 bytes)

Fig 9: On drop, the Location Nickname dialog is shown

LocBar10.gif (9977 bytes)

Fig 10: A new shortcut has been created

LocBar11.gif (7280 bytes)

Using Nicknames

The purpose of the nickname (in fig 10, Control is a nickname for Control Panel) is to provide a compact presentation. From the nickname Control and from its associated icon, we understand that the item refers to the Control Panel without consuming screen-area for the wider name.

Dropping on Popup Location Bars

When dragging an item over the Location Bar, the mouse can be held still atop of a red triangle wpe1.gif (865 bytes) . The associated popup Location Bar is then opened. The item can then be dropped onto that popup Location Bar.

Creating New Popup Location Bars

The shortcut Texts in fig 11 does not have red triangle indicating a popup Location Bar. To create a new popup Location Bar here:

  • Drag an item from a Folder Browser (or elsewhere).
  • Hold the dragged item still, above the label Texts, slightly to the right.
  • A new, empty popup Location Bar is displayed (fig 12). Drop the item onto this empty Location Bar.

Fig 11: The shortcut Texts has no popup Location Bar

LocBar12.gif (2862 bytes)

Fig 12: An empty popup Location Bar is displayed during Drag&Drop

LocBar13.gif (4052 bytes)

Moving Items Within the Location Bar

Location Bar Items can be moved, either within a single Location Bar, or between popup Location Bars. To move items within Location Bars, do as follows:

  • Hold the mouse cursor atop of an item so that it's hi-lighted.
  • Press the right mouse button. The mouse cursor is changed. The item Texts is dragged in fig 13.
  • Drag the item to a desired position.
  • Drop the item (see fig 14).

NOTE: Popup Location Bars can be opened while dragging by holding the cursor atop of red triangles and waiting slightly.

Fig 13: Dragging the item Texts within the Location Bar

LocBar14.gif (3387 bytes)

Fig 14: The item Texts has been moved

LocBar15.gif (3777 bytes)

The Location Bar Popup Menu

Clicking the right mouse button in the Location Bar brings up a context menu. It contains Location Bar specific settings and commands.

If a shortcut is hi-lighted when opening the popup menu, menu items for modifying that item are included.

Click the menu items in fig 15 to go to their associated help text.

Fig 15: The Location Bar popup menu

LocBar16.gif (6568 bytes)

New Item

The menu command New Item is another way of creating a new Location Bar shortcut. When invoking the command, a dialog for editing a nickname, and browsing for a location is shown.

Edit Label

If the context menu is invoked while a Location Bar item is hi-lighted, the Edit Label item is available. It allows for modifying the nickname and location of a shortcut.

Remove Item

This command deletes the selected item from the Location Bar.

Go To Defining Collector

The shortcuts of the Location Bar and all it's popup Location Bars, are stored in a File Collector. This commands navigates the active Folder or Tree Browser to that specific File Collector.

It may be more efficient to edit Location Bar items in Folder Browsers, rather than by dragging and dropping individual Location Bar items.

Refresh From Collector

If the File Collector that stores the structure of the Location Bar has been modified, this command will synchronize the Location Bar with the defining File Collector.

Act As Drop Target

Optionally, the Location Bar can be used as a drop target, meaning that files may be dropped into the folders that the Location Bar items refers to. This option is disabled by default.

Load from Collector

This command enables loading the entire structure of the Location Bar from a File Collector. This may be used for backing up and restoring the structure of the Location Bar, copying a Location Bar structure to another computer, swapping between Location Bar structures etc.

Save To Collector

This command will save all items on the Location Bar (and it's popup bars) to a File Collector.

NOTE: After adding/moving/editing Location Bar items, it's structure may be saved to a File Collector. This makes it easy to restore the structure at a later time.

Frame Commands

These popup menu commands are shared by all frames, and described in the section Frames, Reference.

Some Hints

Organize by Subject

The shortcuts on a Location Bar need not refer to items located within the same folder within the storage. This provides a degree of freedom, so that shortcuts can be grouped by subject.

Popup Location Bars provide an efficient means for arranging shortcuts to the most important files and folders of a certain project.

An Example

An example of organizing a popup Location Bar for a specific project is shown in fig 16. The project is a software IP-telephone project. A number of folders and files within the project are accessed frequently:

  • Source-code for:
    • The Client
    • The Server
    • Common source-code
  • A text file containing a simple phone-book.
  • A Word document describing test procedures
  • A folder containing a presentation of the project
  • A folder containing HTTP uploads
  • An FTP-connection with the HTTP-server for the project
  • A folder for backing up the project

Shortcuts to all items above have been grouped together in a popup Location Bar in fig 16.

Fig 16: A Popup Location Bar for the IP-Phone project

LocBar17.gif (8717 bytes)

Edit the Location Bar in the Folder Browser

All items on the Location Bar, and on it's popup Location Bars, are stored in a File Collector. Through the command Go To Defining Collector (see The Location Bar Popup Menu), the active Folder Browser is jumped to that File Collector. Using Folder Browsers can be efficient when moving several items within the Location Bar.

Backing up the Location Bar

The structure of the Location Bar can be stored in a File Collector. This enables restoring a Location Bar after accidently closing the frame. The commands (see The Location Bar Popup Menu) Save to Collector and Load from Collector, the Location Bar is saved/loaded.

The Shortcut Icons (BMP) Directory

Most items on the Location Bar have an icon associated with them. For efficiency reasons, these icons are cached in the BMP subfolder of the directory of where Probe is installed. If the BMP files within this folder are lost, icons for the Location Bar may be missing or incorrect.

Also, if using a Location Bar created on a certain computer on another computer, icons are restored if the corresponding BMP files are copied.

Next: Link

Back: Link


The Disk Monitor

The Disk Monitor is a tool that provides single click access to the drives of your choice. It also presents information on drive free space and disk capacity.

  • Using the Disk Monitor
  • Starting a Disk Monitor
  • Disk Monitor Graphics
  • Using the Disk Monitor for Navigation
  • Disk Monitor Mouse Popup Hint
  • The Right Mouse Button Popup Menu
    • Drives
    • Startup Scan
      • Don't scan for drives
      • Scan at next startup
      • Scan always

Using the Disk Monitor

The Disk Monitor (see fig 1) contains a number of buttons, each representing a disk. The buttons are labelled with the drive letter corresponding to the drive they represent.

In order to point a Folder Browser (or a Tree Browser) to a certain disk, the corresponding button in the Disk Monitor is pressed.

To get information on the status of a disk, hold the mouse cursor still atop of the corresponding Disk Monitor button, and a popup window appears (see bottom of fig 1).

Fig 1: The Disk Monitor

TheDis9.gif (4812 bytes)

Starting a Disk Monitor

A Disk Monitor is started according to:

  • Create free window area for the new frame.
  • Bring up a popup menu in the free area (fig 2) an select New Disk Monitor.

More information on handling frames is available under Frames, Reference.

Fig 2: Starting a new Disk Monitor

TheDis14.gif (4986 bytes)

Disk Monitor Graphics

Each button on the Disk Monitor has three parts (see fig 3):

  • The letter in the center of the button ('C' in fig 3) indicates which drive it represents.
  • The lower part of the button, colored dark gray TheDis10.gif (857 bytes) , indicate the portion of the drive that is occupied.
  • The upper part of the button, colored light gray, indicate the portion of the drive that is free.

In fig 3, it can be seen that the disk C:\ is almost full, since it's button is mostly colored dark gray.

Fig 3: A Disk Monitor button

TheDis13.gif (1114 bytes)

NOTE: In the drive containing the Probe work directory, temporary files from remote sites and compressed archives are stored. The total size of these files are represented using red color in the Disk Monitor.

Using the Disk Monitor for Navigation

To point a Folder Browser or a Tree Browser to the current directory of a certain drive:

  • Activate a Folder or Tree Browser.
  • Click the corresponding drive button in the Disk Monitor.
  • The Folder or Tree Browser now displays the contents of the current directory of this drive.

Disk Monitor Mouse Popup Hint

To see how much free space there is in a certain drive, and the current directory of that drive:

  • Move the mouse cursor on top of the button in the Disk Monitor representing that drive.
  • Hold the mouse cursor still.
  • A popup window providing the information is now shown (see fig 4).

Fig 4: Displaying a mouse popup hint

TheDis08.gif (3068 bytes)

The Right Mouse Button Popup Menu

Pressing the right mouse button in the Disk Monitor brings up the popup menu for the frame, shown in fig 5. Click the menu items to jump to their associated help text.

Fig 5: The Disk Monitor popup menu

TheDis15.gif (4011 bytes)

Drives

This menu item invokes the Drive Selection dialog for the Disk Monitor. It allows for adding and removing drives that are display in the Disk Monitor.

Startup Scan

This sub-menu decides whether Probe will scan for drives to be shown in the Disk Monitor or not, on program startup. If it doesn't scan, the same drives as when the program was last shut down are displayed.

Don't scan for drives

This option is the default one. On program startup, the same drives that were displayed on the last shutdown are displayed in the Disk Monitor.

Scan at next startup

This option causes drives to be searched for the next time the program is started, but not after that. This option is used for installing new layouts.

Scan always

Using this option, drives are added and removed from the Disk Monitor each time Probe is restarted.

Frame Commands

More information on commands common to all Probe frame types is available under Frames, Reference.

Next: Link

Back: Link


The Log Window

The Log Window is a Probe Component that displays notifications, outputs and messages that are either generated internally by Probe, or by helper applications used by Probe.

The Log Window is a text-only output, presenting deeper detail on file operations than are suitable to present in progress or notification dialogs.

  • The Log Window Concept
  • Starting a Log Window
  • Selecting a Log Window
    • From a Folder or Tree Browser
    • From a File Operation Dialog
  • The Log Window Popup Menu
    • Save
    • Clear
    • Font
    • Line Spacing
    • Title
    • Buffer Size
    • Colors
    • Use Caption
  • The Hidden Log Window

The Log Window Concept

The Log Window presents text-only output that can originate from a variety of sources, such as:

  • Notifications of the start and the end of a file operation
  • Notification, warning and error messages generated by Probe
  • Command strings
    • To local helper applications (such as archive packers)
    • To remote hosts (for FTP)
  • Responses from external sources
    • Output helper applications
    • Responses from remote hosts

Fig 1: The Probe Log Window component

LogWnd01.gif (10245 bytes)

Probe can be used without any opened Log Window. The Log Window can sometimes provide complementary information to dialogs:

  • In so called 'Silent Operations' (file operations where dialogs suppressed), the Log Window can be inspected during, or after the file operation completes, to determine the success or failure of parts of, or the entire operation.
  • For FTP operations, the Log Window displays messages sent from the remote host, that may provide important information to the user, such as:
    • Login messages
    • Hints on directory contents
  • In the case of an unexpected behaviour from an external helper application (a packer), or when doing file operations on a remote host (FTP), the Log Window is likely to provide more information on the problem.

The Log Window uses text coloring to simplify browsing it's contents. Errors are displayed using red text, remote responses using gray text, ...etc.

At any one time in Probe, zero, one, two or more Log Windows can be opened. This is depicted in fig 2 and 3. Two types of objects can use Log Windows:

  • Folder Browser and Tree Browsers can be associated with a certain Log Window.
  • A file operations is tied to a certain Log Window for textual output.

If several objects in different threads of execution use the same Log Window, it can be difficult to read the output. For this purpose, multiple Log Windows can be used.

Fig 2: Several users and one Log Window

LogWnd02.gif (3936 bytes)

Fig 3: Several users and several Log Window

LogWnd03.gif (4447 bytes)

Starting a Log Window

A Log Window is started according to:

  • Create free window area for the new frame.
  • Bring up a popup menu in the free area (fig 4) an select New Log Window

More information on handling frames is available under Frames, Reference.

Fig 4: Starting a new Log Window

LogWnd04.gif (7695 bytes)

Selecting a Log Window

Tree Browsers and Folder Browsers have a default Log Window to which file operations they initiate send their textual output. But a file operation can also redirect it's output to another Log Window, in order to separate outputs.

In the case where only a single Log Window is active, there's little need to select a Log Window.

From a Folder or Tree Browser

Selecting a Log Window for a Folder or a Tree Browser is done as:

  • In the white area (background colored area) of the Folder Browser or the Tree Browser, bring up the right mouse button popup menu. In this menu, you'll find the item Select Log Window (under submenu Companion & Log for the Folder Browser). Invoke it.
  • The mouse cursor is changed to wpe1.gif (969 bytes) . Move this cursor to the Log Window to be selected and click the left mouse button.
  • The dialog of fig 5 is shown to confirm the selection.

NOTE: The selection can be cancelled, while in progress, by clicking in a non Log Window, or clicking the right mouse button.

Fig 5: Confirming selection of Log Window

LogWnd05.gif (9249 bytes)

From a File Operation Dialog

In most dialogs used to invoke a file operation, there's a button (see fig 6) labeled Select Log. The selection process is described above.

Fig 6: Selecting Log Window from file operation dialog

LogWnd06.gif (6054 bytes)

The Log Window Popup Menu

Settings and commands for the Log Window are available by right clicking the Log Window. It brings up the popup menu of fig 7. Click the menu items to jump to their help texts.

Fig 7: The Log Window popup menu

LogWnd07.gif (5375 bytes)

Save

This item saves the contents of the Log Window to a text file.

Clear

This command clears the contents of the Log Window.

Font

By invoking this menu item, the type and size of the font used by the Log Window can be changed.

Line Spacing

This command brings up a dialog to modify the spacing between lines within the Log Window.

Title

This modifies the title used by the Log Window, in the case when a caption is activate.

Buffer Size

This sets the size of the Log Window, that is, how many lines of text it can store. When full, the Log Window overwrites it's oldest contents.

Colors

Different colors are used for different types of messages in the Log Window. By default, the following message types are associated with these colors:

Type | Description | Default Color
Commands | To helper apps or to remote hosts | COLOR
Replies | From helper apps or remote hosts | COLOR
Notifications | File operation notifications | COLOR
Warnings | File operation warnings | COLOR
Errors | File operation errors | COLOR
File Op Start | Flags beginning of file operation | COLOR
File Op End | Flags end of file operation | COLOR
Comment | Misc. internal comments | COLOR

The default colors of the table above, can be modified by invoking the items on the sub-menu Colors.

Use Caption

This flips whether a window caption is used for the Log Window. A window caption displays the window name, and allows the window to be moved (dragged).

Frame Commands

More information on commands common to all Probe frame types is available under Frames, Reference.

The Hidden Log Window

In the case when no Log Window is displayed in the Probe main window, textual output from file operations is still sent to a text buffer. When opening a new Log Window (as described under Starting a Log Window), all text in that buffer is merged into the new Log Window.

If closing the last Log Window, textual notifications are sent to the text buffer, and available when a Log Window is opened anew.

Next: Link

Back: Link


The Command Prompt

The Command Prompt is used to access the DOS/CMD command-line environment. The idea is to have the DOS/CMD environment available quickly, without continuously consuming the screen area needed by an ordinary, separate DOS/CMD window.

  • The Probe Command Prompt (Ctrl-D)
  • Opening a Command Prompt
  • The Left/Right Indicator
  • The Command Prompt Popup Menu
    • Key press Wait
    • Pipe to More

The Probe Command Prompt (Ctrl-D)

The Probe Command prompt is not intended as a full replacement of the command line environment, but rather as a tool when one wants to execute a DOS/CMD command in the directory shown in a Folder Browser.

Assuming a Command Prompt to be opened (see fig 1), it is activated from a Folder Browser by pressing Ctrl-D, or by clicking in it. In the combo-box of the Command Prompt, a DOS/CMD command is entered. When Enter is pressed, the command is executed, and a DOS/CMD window will display the output of the command.

In fig 1, a command is about to be executed in the folder C:\vcpp\common.

In fig 2, Enter has been pressed, and the output from the command is displayed.

Fig 1: A Folder Browser and a Command Prompt

CmdPrmpt01.gif (5410 bytes)

Fig 2: After executing a DOS/CMD command

CmdPrmpt02.gif (8776 bytes)

Opening a Command Prompt

A Command Prompt is started according to:

  • Create free window area for the new frame.
  • Bring up a popup menu in the free area (fig 3) an select New Command Prompt.

More information on handling frames is available under Frames, Reference.

Fig 3: Starting a new Command Prompt

CmdPrmpt03.gif (5184 bytes)

The Left/Right Indicator

In the case when two Folder Browsers are active, DOS/CMD commands may be executed in the directory of either one of them. The button to the left in the Command Prompt wpe1.gif (850 bytes) indicate which of these two Folder Browsers the command will be executed in.

Clicking this button flips the directory to that of the second Folder Browser.

Fig 4: The Left/Right indicator

CmdPrmpt04.gif (1711 bytes)

The Command Prompt Popup Menu

Pressing the right mouse button in the background colored area in the Command Prompt brings up the popup menu of fig 5. Click the menu items of fig 5 to jump to their help texts.

Fig 5: The popup menu for the Command Prompt

CmdPrmpt05.gif (3228 bytes)

Key press Wait

With this option set, Probe will wait for a key to be pressed before closing the output of the Command Prompt.

Pipe to More

This option causes the output of the command to be sent through 'More', that is, the output will be displayed a page a time, waiting for a key press before displaying each page.

Frame Commands

More information on commands common to all Probe frame types is available under Frames, Reference.

Next: Link

Back: Link


The Function Bar

Most file operations in Probe can be invoked by keyboard accelerators such as F5, F6, F7, ...etc. This is usually more efficient than performing the corresponding operation using the mouse and/or the main window menu system.

The Function Bar is a tool that serves as a reminder for how the function keys F1 to F10, together with qualifiers Ctrl, Shift and Alt, are used.

  • Starting a Function Bar
  • Using the Function Bar
  • Adapting to Qualifiers
  • The Right Mouse Button Popup Menu
    • Short button name
    • Font height

Starting a Function Bar

A Function Bar is started according to:

  • Create free window area for the new frame.
  • Bring up a popup menu in the free area (fig 1) an select New Function Bar.

More information on handling frames is available under Frames, Reference.

Fig 1: Starting a new Disk Monitor

FunBar01.gif (5556 bytes)

Using the Function Bar

The Function Bar (see fig 2) has two functions:

  • It displays the function keys (F1, F2, ...F10) that are bound to file operation commands in Probe, together with the name of that command (Copy, Move, Rename, ...).
  • When pressing the button corresponding to a certain function key, the command is invoked in the active Folder Browser.

Fig 2: The Function Bar

FunBar02.gif (4346 bytes)

Adapting to Qualifiers

The keys Ctrl, Shift and Alt are termed qualifier keys. When pressed, they modify the commands invoked by the function keys F1, F2, ...F10. The Function Bar is sensitive to this, and displays the adequate commands.

To the left in fig 2, there's a bitmap: wpe13.gif (925 bytes) , indicating that none of the qualifier keys are pressed.

Pressing down the Ctrl key, the Function Bar shows the commands for the keyboard accelerators Ctrl-F1, Ctrl-F2, ...Ctrl-F10. Also, to the left in fig 3, one can see that the bitmap has changed to wpe14.gif (919 bytes) , indicating that the Ctrl key is pressed down.

Fig 3: Ctrl qualified function keys displayed in Function Bar

FunBar03.gif (4439 bytes)

The Right Mouse Button Popup Menu

When pressing the right mouse button in the Function Bar, the popup menu in fig 4 is displayed. Clicking it's menu items jumps to their associated help texts.

Fig 4: The popup menu for the Function Bar

FunBar04.gif (2965 bytes)

Short button name

This will cause only the function key itself to be used as label for the buttons in the Function Bar. Tool popup tips are still available though.

Font height

This menu allows the size of the font used in the Function bar to be modified. Using a smaller font means that the Function Bar can be made smaller, while still displaying the commands for all function keys.

Frame Commands

More information on commands common to all Probe frame types is available under Frames, Reference.

Next: Link

Back: Link


The Accelerator Guide

The Accelerator Guide is a button that, when pressed, lists all available keyboard accelerators.

  • The Accelerator Guide in Two Forms
  • Displaying Keyboard Accelerators
  • Adjusting to Keyboard Qualifiers

The Accelerator Guide in Two Forms

The Accelerator Guide is shown in one of two ways:

  • In a frame on it's own, see fig 1.
  • As part of the Function Bar, at the left or top side of it, see fig 2.

The operation of the Accelerator Guide is identical in both cases.

Fig 1: The Accelerator Guide in a separate frame

AccGuide01.gif (1288 bytes)

Fig 2: The Accelerator Guide as part of the Function Bar

AccGuide02.gif (1626 bytes)

Displaying Keyboard Accelerators

When the button in fig 1 (or fig 2) is pressed, a window pops up, displaying all currently available keyboard accelerators (see fig 3). The window is shown in the direction of the arrow of the button.

The popup window that lists the accelerators is closed either by:

  • Pressing Escape, or
  • By clicking the mouse somewhere outside the popup window.

Fig 3: A listing of Alt qualified accelerators

AccGuide03.gif (8229 bytes)

Adjusting to Keyboard Qualifiers

The Accelerator Guide adjusts to any qualifiers (Ctrl, Shift and Alt on the keyboard) that are held down when displaying the accelerators. In fig 3, the Alt key is held down, so the popup window displays all available Alt qualified keyboard accelerators.

Next: Link

Back: Link


Operation

In this section, concepts common to several Probe Components are documented.

  • Navigation
  • File Selection
  • Subfolder Handling
  • File Filters
  • File Operations
  • File Search

Next: Storage Specific

Back: Probe Components


Navigation

To speed up navigation within the storage tree, Probe provides several tools and helpers. Some of them are Probe components, residing in the main window, some are popup window helpers, and there are also quite a few keyboard accelerators, to help speed up navigation.

  • Toolbar Buttons
    • The Path History Function (Alt-Left)
    • The Go Up Button (Backspace, Ctrl-PageUp)
    • The go to Root Button
  • The Drive Selector Popup (Ctrl-F1)
  • The Folder Selector Popup (Alt-F1)
  • The Path History Popup (Ctrl-H)
  • The Location Bar (Ctrl-L)
  • The Disk Monitor
  • The Path Dialog (F10)
  • Using the Tree Browser-Folder Browser Connection
  • Keyboard Based Navigation
    • Go to Drive Letter (Shift-Drive Letter)
    • Setting the Folder of the Companion (Shift-TAB)
    • Typing the First Letters of a Filename

Toolbar Buttons

The toolbar of the Folder Browser window contains several buttons for navigation.

Fig 1: The toolbar of the Folder Browser

wpe1.gif (5428 bytes)

The Path History Function

Probe keeps track of recently visited folders, so that it's easy to go back to recently visited folders. Pressing ' wpe2.gif (845 bytes) ' will take you backwards in the path history. Pressing ' wpe3.gif (833 bytes) ' will take you forward.

These functions are available through the keyboard:

  • Alt-Left goes back.
  • Alt-Right goes forward.

The Go Up Button (Backspace)

To go to the folder above press the toolbar button with symbol ' wpe4.gif (901 bytes) '.

This function is also available through keyboard accelerator Backspace and Ctrl-PageUp.

In a Folder Browser, the topmost folder is usually the '..' folder, or a link to the folder above. Double-clicking it will move to the folder above.

The Go To Root Button (Ctrl-Backspace)

To go to the root of a drive, press the ' wpe6.gif (889 bytes) ' symbol of the toolbar in fig 1. If within a compressed archive, this will go to the topmost folder of the archive. If inside an FTP site, it will go to the root of the FTP site.

Pressing this button a few times will take you to the desktop. It is also available through keyboard accelerator Ctrl-Backspace.

The Drive Selector Popup (Ctrl-F1, Ctrl-F2)

To browse a specific local drive in a Folder Browser, use the Drive Selector:

  • Press Ctrl-F1. The Drive Selector appears (fig 2).
  • Select the drive using either mouse or keyboard.

There's also a keyboard accelerator to go to a certain local drive in the companion browser:

  • Press Ctrl-F2. The Drive Selector appears in the companion browser.
  • Select the drive using either mouse or keyboard.

Fig 2: The Drive Selector

wpe7.gif (8955 bytes)

The Folder Selector Popup (Alt-F1, Alt-F2)

If you quickly want to move to a certain folder in a Folder Browser, the Go To Folder dialog does the job:

  • Press Alt-F1. The Go To Folder dialog appears (fig 3).
  • Select the folder using either mouse or keyboard.

There's also a keyboard accelerator to go to a certain folder drive in the companion browser:

  • Press Alt-F2. The Go To Folder dialog appears in the companion browser.
  • Select the folder using either mouse or keyboard.

In the go to Folder dialog, the Page-Up, Page-Down keys can be effective when moving in the tree. To move towards the root of the tree, the Left-Arrow key is useful.

Fig 3: The Go To Folder dialog

wpe9.gif (10385 bytes)

The Path History Popup (Ctrl H)

The path history for a certain Folder Browser is available through the Ctrl-H accelerator. This brings up a popup window which displays recently visited folders (fig 4). Double-click any of them, or select it and press OK to jump there.

Fig 4: The Path History popup

wpeB.gif (8904 bytes)

The Location Bar (Ctrl-L)

The Location Bar is a Probe Component which resides in a frame in the Probe main application window. You put the folders (and files) which you use most often on the Location Bar. When you want to visit any of the folders on the Location Bar you just click the icon for the folder.

To navigate, using the Location Bar, make sure that a Folder Browser or a Tree Browser is active. As you move the mouse-cursor over the Location Bar, the items are hi-lighted. When the correct item is hi-lighted, then click it. The active browser will jump to the selected folder.

Fig 5: The Location Bar, horizontally oriented

wpe5.gif (2963 bytes)

To put a folder on the Location Bar:

  • Start by dragging the folder from either a Folder Browser or Tree Browser to the Location Bar.
  • As you move the folder over the Location Bar, a black slot (fig 6) indicates where the shortcut to the folder would be put on the Location Bar if dropped.
  • Drop the folder where you want to put it. A dialog (fig 7) appears.
  • Select the 'nick-name' to be used for the folder. This name is intended as a reminder of what folder the shortcut represents.
  • Press OK. A new entry has been created on the Location Bar (fig 8).

Fig 6: About to create a new entry on the Location Bar

wpeB.gif (3785 bytes)

Fig 7: Setting a nickname for the folder

wpeE.gif (6175 bytes)

Fig 8: A new entry has been created

wpeF.gif (4288 bytes)

The Disk Monitor

The Disk Monitor is a Probe Component residing in the Probe main application window. It can both be used as a tool for navigation and as a status indicator for your disk drives.

In fig 8, six buttons are visible. Each button has a letter on it, and represents the disk with the same drive letter. The dark grey area with blue lines (lower part of button), represents the space used on the particular drive, relative the total size of the drive. Apparently, the drives C:, E: and G: are close to full, and the drives D:, F: and H: have plentiful of space left.

When holding the mouse cursor still atop of a drive button, a popup window displays information about the drive. In fig 8 it can be seen that drive D: has 559 mb free space.

Fig 9: The Disk Monitor:

wpe11.gif (4343 bytes)

To use the Disk Monitor as a navigation tool:

  • Activate the Folder Browser or Tree Browser which you want to navigate.
  • Click the corresponding drive button in the Disk Monitor.

The Path Dialog (F10)

Probe also supports navigating to a folder through typing the relative/absolute path of it:

  • Make sure a Folder Browser is active.
  • Press F10. The Set Path dialog (fig 10) appears.
  • Type a relative or absolute path here. Press OK.
  • The active Folder Browser goes to this folder if it can resolve the path.

Some examples of valid paths are:

C:\Windows | A local drive relative path
..\.. | Two folders up from the current folder
Desktop\My Computer | A desktop relative path
\\SomeComputer | The root of a computer in the local/private area network
\\Server\SharedDrive | A shared drive on a server computer
~username | The home directory for a UNIX user (in FTP)

Fig 10: The Set Path dialog:

wpe14.gif (7558 bytes)

Using the Tree Browser-Folder Browser Connection

If you have a Tree Browser and a Folder Browser active in the main window, you can navigate the folder of the slave browser by clicking folders in the Tree Browser. Click here for more information on Tree Browser <-> Folder Browser relationships.

Keyboard Based Navigation

There are some useful keyboard accelerators available to navigate without switching between mouse and keyboard input. These accelerators all assume that you're active in a Folder Browser:

  • Go To Drive Letter (Shift-Drive Letter)
  • Setting the Folder of the Companion (Shift-TAB)

Go to Drive Letter

To go to the last folder visited on C:, press Shift-C. Similarly, press Shift-E to go to the E: drive.

Setting the Folder of the Companion (Shift-TAB)

To make the companion browser go to a subfolder of the active Folder Browser:

  • Move the cursor atop of the subfolder you want the companion to browse (fig 11).
  • Press Shift-TAB to make the companion go here (fig 12).

In fig 11 and 12, the idea is to make the companion browser (the right one) go to the folder C:\Dos.

Fig 11: Moving the cursor atop of C:\Dos

wpe17.gif (6119 bytes)

Fig 12: Pressing Shift-TAB takes the companion there

wpe1C.gif (7120 bytes)

Typing the First Letters of a Filename

When wanting to find a certain file in a folder with many files, one method is to use the keyboard and type it's name. Probe will then attempt to move the cursor to a file with matching name.

As an example, suppose we're trying to locate the file dpwsock.dll in the Winnt\System directory. To start with, the cursor is located at the topmost of roughly 900 files. We begin by pressing the first letter of the filename, d, and then p and finally w. In fig 13, 14, 15 we see that Probe indeed has navigated to the file.

NOTE: Pressing Shift and some other letter will make Probe jump to the drive with corresponding drive letter. Don not press Shift when typing filename prefixes!

NOTE: Probe will forget the characters typed after a while. If waiting to long with the second character, Probe believes it to be the first character of a new filename.

Fig 13: At the top of all files ....

wpeC.gif (3574 bytes)

Fig 14: ... after pressing d ...

wpeE.gif (3571 bytes)

Fig 15: ... the file is located after pressing p and w

wpeF.gif (3575 bytes)

Next: File Selection

Back: Operation


File Selection

Details relating to selecting files in a single folder, as well as recursive file selection in several folders, are discussed in this section.

File selections are always manipulated in a Folder Browser, so all commands on this page must be invoked when a Folder Browser has input focus..

  • The Selection Concept of Probe
  • When no File is Selected
  • Selecting/Deselecting All Files (Ctrl-A, Ctrl-Q)
  • Globally Deselecting All Files in All Folders (Ctrl-G)
  • Inverting the Selection within the Current Folder (Ctrl-I)
  • Selecting Files Using the Keyboard
  • Selecting Files Using the Mouse
  • Selecting Files Using Wildcards (Num+)
    • The Simple Wildcard Selection Dialog
    • The Advanced Selection Dialog
  • Deselecting Files Using Wildcards (Num-)
  • Selection Information Dialog (F9)
  • Size of Directory Contents (Ctrl-F9)
  • Selection Algebra (Shift-F6)
  • Hints on Selections
    • With Subfolder Handling
    • With Selection Information (F9)
    • An Example

The Selection Concept of Probe

If a file in a Folder Browser is selected, it is selected in all Folder Browsers of Probe. The selection state is associated with the file rather than with the browser.

When going out of a folder and later coming back to that same folder, the selection state will remain as when the folder was last visited.

An important aspect of file selections in Probe is that the file operations can be performed with individual selections on each folder level being handled. This concept is called 'recursive selections'. This is in contrast with most file managers, which only support selections within a single folder.

Tools for handling advanced selections are:

  • The Selection Information dialog for detailed and intuitive feedback on the current selection.
  • The Advanced Selection dialog, for performing detailed, recursive selections.

When No File is Selected

When invoking a file operation when no object of the current folder is selected, the file under the Folder Browser cursor is treated as selected. This makes file operations involving a single file simple to perform.

Selecting/Deselecting All Files

All files can be selected and deselected using the toolbar of the Folder Browser. The symbol *.* suggests a wildcard matching all files.

All files can also be selected through Ctrl-A. Similarly, all files can be deselected through Ctrl-Q.

Fig 1: The Select/Deselect all files tool

wpe1.gif (3946 bytes)

Globally Deselecting All Files in All Folders (Ctrl-G)

To deselect all files in all folders known by Probe, that is, a global deselect operation, use Ctrl-G. All files and all folders from the desktop and down are deselected after confirming this. This command is also available in the Edit pull-down menu.

To deselect all files in only the current folder, use Ctrl-Q.

Inverting the Selection within Current Folder (Ctrl-I)

By pressing Ctrl-I, the selection state of all items in the active Folder Browse is toggled. This command can also be found in the Edit pull-down menu.

Selecting Files Using the Keyboard

Table 1, using the keyboard for file selection

Space | Toggle the selection state of the file at the cursor.
Insert | Toggle the selection state of the file at the cursor and advance the cursor to the next file.
Shift-Arrows | Move the cursor, and select all files in a region between the cursor and the file where the Shift key was pressed.
Ctrl-Arrows | Move the cursor, and deselect all files in a region between the cursor and the file where the Ctrl key was pressed.
Ctrl-A | Select all files and folders.
Ctrl-Q | Deselect all files and folders.

Selecting Files Using the Mouse

Files are selected with the mouse by drawing a dotted rectangle around the files to be selected:

  • (Fig 2) Position the mouse slightly above the topmost file to be selected. Move the mouse horizontally so that no text appears under the tip of the mouse-cursor. It should have the shape of a up-left arrow.

NOTE: If the name or another field is under the mouse-cursor, a Drag&Drop operation will start.

  • (Fig 3) Press the left mouse button and move the mouse. A dotted rectangle appears over the files to be selected. The files are selected as they come in the range of the rectangle.
  • Release the left mouse button.

Fig 2: Positioning cursor to select two files

screen4.bmp (44886 bytes)

Fig 3: Moving the mouse, selecting files

screen6.gif (4797 bytes)

To deselect files using the mouse, repeat the procedure above, this time press the Ctrl button while moving the selection rectangle in fig 3.

To cancel mouse selection in progress, minimize the selection rectangle, and release the mouse button.

Selecting Files Using Wildcards (Num+)

There are two different dialogs for selecting files using wildcards, the simple wildcard selection dialog, and the advanced selection dialog.

  • The Simple Wildcard Selection Dialog
  • The Advanced Selection Dialog

The first one is a basic dialog for matching filenames in the active Folder Browser. It only uses filename as criterion.

The advanced selection dialog let's you select files recursively in many different ways:

  • With filename wildcards
  • Using filename length
  • File dates: Modified, Creation, Access
  • File size
  • File attributes
  • Selecting recursively into no/some/all subfolders
  • Recursing across VDrive roots (across storage type boundaries)

When you invoke the file selection dialog, the one (simple/advanced) used the last time is activated. From the advanced dialog, you can always jump to the simple dialog and vice versa.

The Simple Wildcard Selection Dialog

The simple wildcard selection dialog let you select/deselect files using a wildcard pattern. Here's how to do it:

  • Press the numeric keypad symbol Num+.
  • The dialog of fig 5 appears. Edit the wildcard(s) to be used, separated by ','.
  • Press OK. Filenames matching the wildcard are now selected.

The Select Files dialog is also available in the Edit menu (fig 4) of the main window.

To deselect files using wildcards, press the numeric keypad symbol Num-

Fig 4: 'Select...' in Edit menu invokes 'Select files' dialog

wpe26.gif (4830 bytes)

In the dialog of fig 5, click the various controls to jump to their associated help text.

Fig 5: The Select Files dialog

wpe22.gif (3738 bytes)

Select files

If this options is checked, files matching the wildcard will be selected.

Deselect files

With this options is checked, files matching the wildcard will be deselected.

Recursively select in subfolders

With this option cleared, only files matching the wildcard in the current folder of the active Folder Browser are selected.

With this option checked, files in this subfolders, and all it's subfolders (recursively) are checked against the wildcard, and selected if found matching.

Case sensitive

When using this option, the filename matching mechanism will distinguish between upper and lower case letters.

Filename wildcard

In this edit-box, you edit the wildcard to be matched by the filenames:

  • A '*' symbol will match any string of characters. For example *.doc will match all filenames ending on '.doc', and *a* matches all filenames containing an a.
  • A '?' symbol matches exactly one character of any type. For example ?.txt would match a.txt, 9.txt etc.
  • A '+' sign matches copies of the previous character. The wildcard 1+.txt would match 1.txt, 11.txt, 111.txt etc.
  • The combination '?+' matches one or more character of the same type. For example ?+.txt matches a.txt, aa.txt, 3333.txt etc.
  • Multiple wildcards are separated using a comma: *.txt,*.doc

Advanced

Pressing this button will jump to the advanced file selection dialog described below.

OK

Press OK to apply the wildcard selection in the current folder.

The Advanced Selection Dialog

The advanced selection dialog is invoked from the simple file selection dialog:

  • Press the numeric keypad symbol Num+.
  • The simple file selection dialog appears. Press 'Advanced', and the dialog of fig 6 appears.
  • Modify the settings of the advanced selection dialog and invoke it by pressing OK.

The idea of the dialog in fig 6 is to edit set of criterions which a file must match in order to be selected, such as:

  • Files with extension *.exe, larger than 100 kb, created less than one month ago. (Name criterion, Size criterion and Date criterion)
  • Files matching *dat*, with file attribute H,S or R. (Name criterion, and File Attribute criterion)

For a file to be selected, it must match all given criterions. The criterion can be applied in one of three basic ways:

  • Onto all files in the current folder.
  • Onto all files in the current folder, then into the subfolders which are hi-lighted in the current folder. The process will then iterate recursively into lower subfolders.
  • Onto all files in the current browser, and then recursively into all subfolders of the current folder.

Using this technique, it's easy to select all files in an entire folder structure, matching a set of criterions.

Click the controls of the dialog in fig 6 to jump to the associated help text.

Fig 6: The advanced file selection dialog

wpeB.gif (10919 bytes)

Filename tab

ln this section of the dialog, you optionally construct a filename wildcard to be included in the file selection criterion:

All files (No wildcard restriction)

If you don't want a filename wildcard to be included in your selection criterion, use this setting.

Explicit wildcard

To include a filename wildcard in the selection criterion, check this option.

Case sensitive wildcard matching

Selects case sensitive wildcard character matching.

Filename wildcard

Edit the wildcard to be used here. For description, see the simple dialog section, Filename Wildcard.

Filenames shorter than

Check this box and edit the maximum length a filename can have to be selected.

Filenames longer than

Check this box and edit the minimum length a filename must have to be selected.

Excluding extension

If you don't want the length of the filename extension to be included with filename length, in the two options above, use this setting.

File Menu

Fig 7: The File menu of 'Advanced ...'

wpeA.gif (1743 bytes)

Save settings

The current criterions of the advanced selection dialog can be saved to a file. Use this if you want to be able to apply a similar selection criterion in the future.

Load settings

Criterions for a selection is loaded from a set of saved criterions (see above).

Clear settings

Reset all settings of the advanced selection dialog.

Go to simple

Jumps to the 'simple selection' dialog

Recursive selections

This setting decides whether the selection will be applied in the current folder only, or in some or all of it's subfolders.

Only in visible folder

With this setting, the selection criterion is only applied in the current folder.

In hi-lighted subfolders

Using this setting, the selection criterion is applied to the current folder, and all subfolders within it that are hi-lighted. If such a folder has subfolders, it recursively applies the criterion in those subfolders in turn.

In all subfolders

To apply the selection criterion to the current folder and all it's subfolders, use this alternative.

Recurse into VDrives

Using recursive selections, as outlined above, the recursion may encounter a storage type boundary, also termed a VDrive (Zip, Arj, FTP, Ctr, ... ). In this case Probe has a choice of either applying the selection recursively into the VDrive or not:

Stop the recursion

Use this setting to stop the recursion from entering a VDrive.

Enter one VDrive level

With this setting, the recursion may enter VDrives a single level. This can be used to search, for example, all compressed archives in a given sub tree for a specific filename. In that case, this setting will prevent the recursion from going into compressed archives located within the first level of compressed archives.

Perform full recursion

The recursion will not stop when encountering any VDrives.

NOTE: Using this setting may involve expensive file extraction, if nested compressed archives are encountered.

Silent Selection

With this option, all dialogs, such as error messages, cancel dialogs, login prompts, ...etc, are disabled while the selection is in progress. This may be useful when a selection is applied recursively and expected to take some time. The selection process will proceed without waiting for user response.

OK

Press OK to apply the current selection criterion as defined by the settings in the dialog.

Simple...

Press this button to jump to the simple selection dialog.

Date tab

ln this section of the dialog, you optionally include a date interval to be matched by file dates, in the file selection criterion.

Click the controls of the dialog in fig 7 to jump to the associated help text.

Fig 7: The Date tab

wpeC.gif (6863 bytes)

All files, (No date restriction)

With this setting, no date criterion is used for file selection.

Files newer than X days

Use this setting to include only files newer than X days in the selection.

Files newer than X months

Use this setting to include only files newer than X months in the selection.

Explicit dates

This setting enables editing one or both ends of a time interval, which the date of the files included in the selection must be within.

Only files newer than

Edit a time/date limit of how new files included in the selection at least must be.

Only files older than

Edit a time/date limit of how old files included in the selection at least must be.

Date type

With MS Windows, a file has three dates associated with it:

  • Creation date
  • Last modify date
  • Last access date

When using a date interval for file selection, Probe must use one of these types of date.

Creation date

Probe will apply the time interval to file creation dates.

Last modify date

Probe will apply the time interval to last file modification date.

Last access date

Probe will apply the time interval to last file access date.

Size tab

ln this section of the dialog, you optionally include a file size interval to be matched by files, in the file selection criterion.

Click the controls of the dialog in fig 8 to jump to the associated help text.

Fig 8: The Size tab

wpeD.gif (5467 bytes)

All files, (No size restriction)

With this setting, no date criterion is used for file selection.

Explicit size

Checking this box includes a file size criterion for files to match. You can choose a one sided size interval by only giving one of the 'larger than' or 'smaller than' limits.

Only files larger than

Specify the lower limit for the size of the files included in the selection here.

Only files smaller than

Specify the upper limit for the size of the files included in the selection here.

Attributes tab

ln this section of the advanced selection dialog, you can specify a certain pattern of attributes that files included in the selection must satisfy.

Click the controls of the dialog in fig 9 to jump to the associated help text.

Fig 9: The attributes tab

wpeF.gif (5446 bytes)

All files, (No attribute restriction)

With this setting, no attribute criterion is used for file selection.

Explicit attributes

Checking this box will include an attribute pattern that must be matched by files to be selected. This pattern has two parts:

  • Only including files which have certain attributes (Must be set part)
  • Only including files which don't have certain attributes (Must be clear part)

NOTE: For the attribute criterion to be effective, at least one check box on either the 'Must be set' or 'Must be clear' line has to be checked.

Must be set

Select the attributes which files to be included in the selection must have.

Must be clear

Select the attributes which files to be included in the selection must not have.

Deselecting Files Using Wildcards (Num-)

To deselect files using wildcards, press the numeric keypad symbol Num-. The dialog that follows is similar to the one described above under Selecting files using wildcards.

Selection Information Dialog (F9)

By pressing F9 you invoke the Selection Information dialog of fig 10. It provides detailed information on the current selection. It also displays a graphical tree view of the selection, showing all files and folders included in the selection.

This dialog is also available from file popup menus.

The contents of subfolders can be handled in four different ways in file operations. The Selection Information dialog is aware of this, and displays details on the current selection exactly as they would be used within a file operation.

In the dialog of fig 10, click the controls to jump their associated help text.

Fig 10: The 'Selection Information' dialog

wpe24.gif (15649 bytes)

Path

The path to the base folder of the current selection.

Current folder

Displays the number of select files, folders and VDrives in the current folder.

Lower folders

Displays the number of select files, folders and VDrives, for all subfolders of the current folder, which are included in the current selection.

Size summary

Here a summary of the total disk space used by the current selection is displayed. The following data is displayed for both source and target folders:

Size of files | This is how many bytes the selected files use.
Cluster loss | Files are stored to disk using clusters. Cluster size varies with disk space and file system. A file usually won't use it's last cluster fully. The result is a loss of disk space. The total size of this loss is displayed here.
Total | The sum of above two sizes.
Source free | How much free disk space there are.

Source

This section of the dialog displays information of the source side, that is, the folder from which the dialog was invoked.

Target

This section displays information from the perspective of the target of a file operation. If the source don't have a default Folder Browser companion, this section is disabled.

Subfolders

Subfolders can be handled in four basic ways during file operation. If any subfolders are included in the selection, the result may be a different file selection for each of these four ways. More information on subfolder handling is available at Subfolder Handling.

Changing this setting will cause the dialog to reevaluate the current selection after a small delay.

Treat as none selected

The selection as it would appear with no subfolder contents included in a file operation.

Treat as fully selected

The selection as it would appear with all contents of subfolders included in file operations.

Recursive selections

Recursive selections means that subfolder selections are based on the selection status of each individual subfolder item.

Recursive filters

A file-filter is used to display only files matching a certain criterion. This option would have a file operation apply the file-filter criterion recursively.

Use selections in VDrives

When using recursive selections or recursive filters, there's a choice of how to handle the contents of for example compressed archives. This setting toggles whether to let each file within such archives be individually selected, or treating the archive as fully selected.

Flip to partner browser

If the Selection Information dialog was invoked from a Folder Browser, and this browser has a companion browser, pressing this button will cause the selections of the companion browser to be evaluated.

Target subfolders

These options have to do with how the folders/VDrives are handled in the target of Copy/Move operations. These settings may have some effect on the disk space used by Copy/Move operations.

Flat target

Using this setting, no subfolder structure is created in the target directory. In a Copy operation, all files would be copied to the same directory.

VDrive in source becomes folder in target

If a compressed archive is included as part of a selection, a file operation such as Copy/Move has a choice of how handle that archive in the target folder.

This option causes any VDrive of the selection to be recreated as an ordinary subfolder in the target folder.

VDrive in source becomes VDrive in target

This option causes any VDrive to be recreated as a VDrive of the same type in the target folder.

The selection tree view

This part of the dialog displays a tree representing the current selection. Only files which would be included in a potential file operation (using the current folder as source) appears in the tree.

Expand the folders to view which subfolder items are included.

When changing subfolder handling, this tree is reevaluated.

OK

Press OK when done viewing selection information.

Size of Directory Contents (Ctrl-F9)

This functionality enables finding out the sum of the sizes of all files and folders within a given subfolder. It is invoked from a Folder Browser according to:

  • Select the folders for which you want to know the total size of their contents.
  • From the file popup menu, select the item Sum Contents Size, see fig 11. Pressing Ctrl-F9 achieves the same thing.
  • The total size of all subfolder contents is now displayed in the size column of the Folder Browser (fig 12).

If you only want to know the contents size of a single subfolder, placing the cursor on top of it, and pressing Ctrl-F9 does the job.

NOTE: This functionality counts the size of all contents of subfolders, whether the individual items are selected or not.

Fig 11: The menu item Sum Contents Size'

FileSe18.gif (8492 bytes)

Fig 12: After invoking the command Sum Contents Size (Ctrl-F9)

FileSe19.gif (5986 bytes)

Selection Algebra (Shift-F6)

Selection algebra is a method to relate selected files and folders in one subfolder with those of another subfolder. It can be used to track similarities and differences of two directories, to uncover modifications of a certain folder-structure during a given time period, for selective file backup, etc.

The idea of the Selection Algebra functionality is to search for matching filenames in two directories, and affect it's selection state with optional constraints for:

  • File dates
  • File sizes
  • File attributes

to be identical or different. The source and the target folder have different roles in this operation. Only files selected in the source are searched for in the target folder. And the selection state of a file is only modified in the target folder.

The Selection Algebra operation can be invoked in a single subfolder only, or recursively on an entire or selected subfolder structure.

Some examples with Selection Algebra are available below fig 13:

  • Example 1
  • Example 2

You invoke the Selection algebra dialog through Shift-F6. The dialog of fig 13 appears. Press the various controls of fig 13 to jump to their associated help text.

Fig 13: The Selection Algebra dialog

wpeB.gif (11476 bytes)

Case Sensitively/Insensitively

This decides whether filenames of source and target are matched case sensitively or insensitively.

Use file dates

If this check box is clear, file dates are not compared. If checked, file dates for files with matching names in the source and target are compared.

File dates Identical/Different

This control decides if dates must be same or different for the selection action to triggered.

Date only / Date & Clock

This decides if only the date part or both the date and clock field are compared.

Use file size

If this check box is clear, file sizes are not compared. If checked, file sizes for files with matching names in the source and target are compared.

File size Identical/Different

This control decides if file sizes must be same or different for the selection action to triggered..

Use File attributess

If this check box is clear, file attributes are not compared. If checked, file attributes for files with matching names in the source and target are compared.

File attributes Identical/Different

This control decides if file attributes must be same or different for the selection action to triggered.

Select/Deselect/Toggle

This decides what to do with the target file in the case when all criteria (name, and optionally date, size and attributes) has been fulfilled:

Select | The target file is selected (hi-lighted)
Deselect | The target file is deselected ('un-hi-lighted')
Toggle | The selection state of the target file is toggled.

Subfolders in source

This decides which files in the source folder to include in the Selection Algebra operation. More information on subfolder handling is available at Subfolder Handling.

Treat as none selected

No subfolder contents in the source is included in the Selection Algebra operation.

Treat as fully selected

All subfolder contents in the source is included in the Selection Algebra operation.

Recursive selections

Subfolder contents in the source is included in the Selection Algebra operation based on the selection status of each individual item

Recursive filters

A file-filter is used to include subfolder contents in the source in the Selection Algebra operation.

Use selections in VDrives

When using recursive selections or recursive filters, there's a choice of how to handle the contents of for example compressed archives. This setting toggles whether to let each file within such archives be individually selected, or treating the archive as fully selected.

Date type

Under MS Windows file systems, three types of dates are stored with each file. They are:

Creation Date | This is the date the file/folder was created
Last Modify Date | This is the last time the file/folder was modified
Last Access Date | This is the last time the file/folder was accessed

This control decides which of these three dates to use for the Selection Algebra operation.

Example 1

Suppose we have a project that was backed up a while ago. Now we want to refresh this backup:

  • Copying files not existing in the backup directory.
  • Overwriting files in the backup directory that have been modified since the last backup.

Selection Algebra can be used for this:

  • Navigate a Folder Browser to the directory to be backed up.
  • Select all files in this source directory.
  • Navigate the companion browser to the backup directory. This is a previous backup, where we want to replace files that has been modified in the source.
  • Select all files in the backup directory.
  • Invoke the selection algebra dialog from the backup directory (Shift F6).
  • The dialog is used to recursively deselect all files in the source folder that have not been modified since the last backup operation.
  • Set subfolder handling to recursive selections.
  • Do a file copy from the source directory to the backup directory. The modified files, and the new files have now been sorted out and copied.

NOTE: This operation could also have been performed using file clash settings, in the Basic File Operation Dialog.

Example 2

In this case we have a program that is not working properly on a certain computer, while it's working correctly on another computer. We suspect that some DLL file in the X:\Windows\System directory used by the program is old or corrupted. Using Selection Algebra we can track these differences:

  • Navigate the companion Folder Browser to the X:\Windows\System directory of the computer having problems.
  • Navigate a Folder Browser to the X:\Windows\System directory of the computer that the program works well for.
  • Select all *.dll files through Num+ in this folder.
  • Press Shift-F6 to invoke the Selection Algebra dialog.
  • Use the following settings of the dialog:
    • Use file dates, file dates different (or alternatively file size)
    • Select the file in the target browser

    and invoke it by pressing OK.

Only the DLL files which are different in the computer having problems are hi-lighted now, and can be further examined.

Hints on selections

Handling file selections is central in large/advanced file operations. Understanding how selection tools and subfolder handling interact is central for using Probe optimally.

With subfolder handling

When wanting to perform a file operation selectively on a folder structure, it's done in a two step procedure:

  • The selection process. This is usually done with the Advanced Selection dialog. A file selection criterion is created. This criterion is iterated on a subfolder structure, and all files matching it are selected, appearing hi-lighted in Folder Browsers.
  • When invoking the file operation, subfolder handling must be set to the 'Recursive selections' option. This assures that only the hi-lighted items of a folder structure are included in the file operation.

With Selection Information

When performing selections in different folders, the Selection Information dialog provide details on the selection. All files included in the selection, information on numbers and size, are can be viewed from this dialog.

An Example

An extensive backup example where the Advanced Selection dialog, recursive selections, the Selection Information dialog, and more, are used is available here. It helps in clarifying how these concepts are connected and can be used together.

Next: Subfolder Handling

Back: Navigation


Subfolder Handling

When doing a file operation, there's always a 'base folder' for it, the folder where the file operation is started from. In this folder, files are included in the file operation only if they are hi-lighted.

When some subfolders of this base folder is included in the file operation, the question arises how the subfolder contents should be handled.

  • An Example Illustrating Recursive Selections
  • The Subfolder Contents Concept
  • Four Different Settings
    • Treat as None Selected
    • Treat as Fully Selected
    • Recursive Selections
    • Recursive File Filter
    • Use Selections/Filters in VDrives

An Example Illustrating Recursive Selections

To help clarify the concept of subfolder handling, let's use an example. Suppose we have a subfolder structure where we want to know how many/large bitmap files (*.bmp) there are in it.

To select all bitmap files recursively within the subfolder structure, we specify a filename wildcard in the Advanced Selection dialog, and apply it recursively to the subfolder structure. The result is in fig 1. Apparently there's five subfolders containing bitmap files.

Fig 1: After applying wildcard *.bmp recursively

wpe1.gif (6437 bytes)

When going into one of the hi-lighted subfolders above, we see that Probe has selected all the *.bmp files in the subfolder (fig 2). Apparently, there are some more bitmap files in the res subdirectory, since it's also hi-lighted.

Fig 2: Checking the PInstall directory

wpe3.gif (7207 bytes)

We go back to the original folder (C:\vcpp, as in fig 1), and use the Selection Information (F9) dialog in it. Details on the currently files are now available.

A tree view of the files, as they would appear to a file operation is part of the Selection Information dialog (fig 3). In this case, all files of the subfolders are assumed to be included in the file operation. This does not match our intent though, we only want the *.bmp files to be included in a file operation!

Fig 3: Selection Information, subfolders treated as fully selected

wpe2.gif (6981 bytes)

To have Probe only use the selected *.bmp files of the subfolders in a file operation, we have to change the Subfolders setting, from

  • Treat as fully selected

to

  • Recursive selections

When doing so, Probe will only treat those subfolders items that are actually selected as part of a file operation. In fig 4, we see the effect of this setting in the tree view. The result is as intended, the only files included within the subfolders are the *.bmp files!

Fig 4: Selection Information, Recursive selections

wpe6.gif (6983 bytes)

The Subfolder Contents Concept

In Probe, there are four distinct ways of handling subfolder contents during file operations:

  • Treat as none selected
  • Treat as fully selected
  • Recursive selections
  • Recursive file filter

There's a global flag, which all Probe Components share, remembering which of these methods should be used. So if you use 'Recursive selections' in one Folder Browser, it will be activated in all others as well.

There's an indicator on the Probe status bar, saying which mode is currently activated (fig 5). A popup menu appears (fig 6) when right clicking this indicator, letting us select some other method. This indicator can also be changed by double-clicking it.

This setting is also available when invoking file operations (fig 7).

Fig 5: The subfolder setting indicator on the status barr

wpe7.gif (2982 bytes)

Fig 6: Popup menu for changing subfolder setting

wpe8.gif (3309 bytes)

Fig 7: Subfolder settings available in the File Operation dialog

wpe9.gif (5976 bytes)

Four Different Settings

There are four different settings for how subfolders are handled during file transfers.

Treat as None Selected

With this setting, file operations will not go into subfolders. If any subfolders are part of for example a Copy operation, only empty directories will be created in the target folder.

Treat as Fully Selected

When this setting is used, a file operation will operate on all files in the subfolders. This is the setting that most traditional file managers implement.

When wanting to Copy/Move/Delete entire folder structures, this setting should be used. It is also the default setting when Probe is installed.

Recursive Selections

Recursive selections means that a file within some subfolder is included in a file operation depending on it's selection status. This enables operating on selected items in a large subfolder structure.

NOTE: There must be a hi-lighted folder path from the base folder of the file operation to the selected item in order to include the file in a file operation.

Recursive File Filter

A file filter is a criterion for filename, file size, file date and file attributes. When the file filter is activated, only files matching all criterions in the file filter are displayed in a Folder Browser.

The file filter can also be used with file operations. In this case, only the files of the subfolders matching the filter are included in the selection. Some more information on file filters and file information is here.

For this option to be available, the global file filter must have some contents. You edit the file-filter using Ctrl-F4.

Use Selections/Filters in VDrives

If a storage type boundary (a VDrive), such as a ZIP archive, is encountered in some subfolder during a file operation, there's a choice how the VDrive should be treated:

  1. It can be treated as a single, ordinary file.
  2. Each file that it contains can be treated individually.

For 1, we make sure that this setting is disabled.

For 2, this setting should be enabled.

If wanting to delete all text files from a set of compressed archives (and keeping all other files), this setting should be used.

Next: File Filters

Back: File Selection


File Filters

With file filters activated, Folder Browsers display only files fulfilling a given criterion. This criterion is termed the file filter. Also, file operations can be invoked, using the same file filter recursively on all subfolders.

  • The File Filter Concept
  • Editing the File Filter (Ctrl-F4)
  • Toggling the File Filter On/Off (Ctrl-F3)
  • Browsing with the File Filter
  • The File Filter under File Operations

The File Filter Concept

A file filter is a selection criterion which is used in Folder Browsers to show only files matching the criterion. The criterion has the following components:

  • A filename wildcard
  • A date interval
  • A size interval
  • A file attribute pattern

For the criterion to be valid, at least one of those four components must be specified.

After the file-filter has been edited, it can be activated in a Folder Browser. Then only the files matching the criterion are displayed.

The file filter is global, that is, all Folder Browsers share the same file filter. It can be activated in none, some or all of the Folder Browsers though.

When doing file operations, subfolder handling can be set to 'recursive file filter' provided that the file filter is nonempty. In this case, a file operation will only operate on subfolder contents that match the file filter.

Editing the File Filter (Ctrl-F4)

To edit the file filter, press Ctrl-F4, or select the item 'Edit File Filter' under the Browser pull-down menu (fig 1) or the white area popup menu.

The 'File Filter Edit' dialog (fig 2) is a subset of the Advanced File Selection dialog. It has four tabs for editing the criterions for filename, file date, file size and file attributes. Go to the Advanced File Selection dialog on the File Selection page for more information on this dialog.

Fig 1: The Edit File Filter command

FileFi1.gif (9182 bytes)

Fig 2: The File Filter Edit dialog

FileFi2.gif (8136 bytes)

Toggling the File Filter On/Off (Ctrl-F3)

Once the file filter has been edited, so that at least one of the four tabs has a nonempty criterion, the file filter can be activated in a Folder Browser.

Press Ctrl-F3 to toggle the file filter on/off. When turning the file filter on, the Folder Browser cursor turns yellow instead of blue as default. The files in the current Folder Browser which don't match the file filter are not visible now.

The file filter can also be toggled from a pull-down menu (fig 1) or the white area popup menu.

In fig 3 and 4, the Folder Browser is located in the C:\Windows\System folder. In fig 3, no file filter is active. In fig 4, a file filter matching only the filenames a*.exe has been activated. So only filenames beginning with a and ending on .exe are displayed.

Fig 3: The C:\Windows\System directory, viewed without file filter

wpe4.gif (5039 bytes)

Fig 4: The C:\Windows\System directory, viewed with file filter a*.exe

wpe5.gif (5132 bytes)

Browsing with the File Filter

Folders are browsed as usual when the file filter is active. The file filter will not hide any directories, only files.

Selections are done as usual. If invoking a Select/Deselect all files command (Ctrl A, Ctrl Q), or a wildcard selection, only files visible in the Folder Browser are affected.

File operations also behave as usual, with one exception, the file filter can be applied recursively during a file operation.

The File Filter under File Operations

When invoking a file operation when a file filter is active, only visible and selected files within the source browser will be operated on. If subfolders are included in the selection, they will be treated according to the following :

Subfolder setting | Effect
Empty subfolders | As usual, no subfolder contents included in the file operation.
Full subfolders | As usual, all subfolder contents is included in the file operation, the file filter is only used in the folder where the file operation starts from.
Recursive selections | For files in subfolders to be included in the file operation, they must BOTH pass the file filter, and be selected.
Recursive file filter | The contents of subfolders are only included in the file operation if it passes the file filter. The selection status of subfolder items is ignored.

File filters makes it easy to perform selective file operations on an entire subfolder structure. The Selection Information tool is aware of file filters and can be used to verify that the file filter is working as expected.

Next: File Operations

Back: File Selection


File Operations

This page deals with the file operations of Probe. They have been designed to provide maximal flexibility, but they're still easy to get started with, since they default to settings that are compatible to other file-managers.

  • File Operations under Probe
  • Keyboard versus Mouse Operation
  • Mouse Based File Operations
    • Drag&Drop
      • Left Mouse Button
      • Right Mouse Button
      • Drag, Jump! & Drop
      • External Applications as Source/Target
    • Editing the Name of a File (F2, Ctrl-N)
    • Changing File Attributes of a File (Ctrl-B)
  • Basic File Operations Using the Keyboard
    • Basic File Operation Dialog
      • Current Selection
      • Subfolder Handling
      • Inspect Selection
      • Select Log
      • File Clash Settings
      • Advanced
    • Copy (F5)
    • Move (F6)
    • Recycle (F8, Delete)
    • Delete (Shift-F8, Shift-Delete)
  • Advanced Settings for Basic File Operations
    • Attribute Alert
    • Silent Mode
    • Separate Thread
    • Flat Target
    • VDrive Re-Creation
  • File Clash Settings
  • The File Operation Progress Dialog
    •
  • Creating New Folders (F7)
  • Creating New Files (Ctrl-F7)
  • Editing Files as Text (F4)
  • Selection Information (F9)
  • Size of Directory Contents (Ctrl-F9)
  • Setting the Current Path (F10)
    •
  • Changing Attributes of Many Files (Shift-F3)
  • Changing File dates of Many Files (Shift-F4)
  • Invoking Custom Disk Commands on Many Files (Shift-F5)
  • Selection Algebra (Shift-F6)
  • Creating Directory Text Listings (Shift-F7)
    •
  • Extracting Compressed Archives (Alt-F9)
  • Realizing Compressed Archives (Alt-F10)
    •
  • Some Hints
    • Deleting Files Instead of Recycling
    • Disable Editing Name by Mouse Click
    • Using the Function Bar
    •

File Operations under Probe

File operations is the primary focus of Probe. Several concepts interact to provide flexibility and power in setting up, verifying, executing and logging file operations. They are:

  • File Selection. Probe has advanced tools for selecting files, both in a single subfolder and in entire subfolder structures.
  • Subfolder Handling. This enables subfolder contents of the file operations to be treated in four basic ways.
  • Selection Information. With this dialog, the details on the current single or multi-folder selection is available. The selection as perceived by a file operation is presented visually.
  • Advanced Settings allows for threaded, silent file operations and gives access to more settings.
  • The File Operation Progress Dialog. Once the file operation has started, full progress information is displayed here.
  • The Log Window provides further progress information and details on any problems that occurs during file transfers.

File operations can be of two complexity types:

  • Simple. Operations in this category are typically run within the main thread of Probe, since they usually take negligible time. Renaming files, opening folders belong to this category.
  • Complex. These are operations that involves transferring data, such as copying, moving, extracting and downloading files.

File operations of the complex type are always executed in a separate thread. This means that when the operation has been started, the Probe main window is still responsive. You can keep browsing folders while file transfer jobs are processed in the background.

Keyboard versus Mouse Operation

A file operation is typically invoked using either the mouse or the keyboard. The mouse may be more intuitive to start with. Also, when transferring files between Probe and some other application, in either direction, the mouse (or the clipboard) is the only choice.

There are a few advantages to using keyboard accelerators to start file operations:

  1. There will always be a dialog to confirm the operation. This dialog also controls all settings for the file operation, and the files to be included in the operation can be inspected.
  2. The concept of two ###companion Folder Browsers allows for working tightly with source and destination Folder Browsers.

For point 1 above, it can be noted that when dragging and dropping files using the right mouse button, there's an explicit choice of which operation to invoke when dropping. Also, Probe have alternatives for bringing up the File Operation dialog (fig 1) when dropping files, providing access to advanced file operation settings.

NOTE: The Settings pull-down menu, item 'Browsers', has an option to make Drag&Drop operations invoke the file operation dialog by default.

Fig 1: Using the right mouse button gives better control in Drag&Drop

wpe1.gif (5304 bytes)

Mouse Based File Operations

The mouse based file operations of Probe are very similar to those used in the MS Windows desktop.

To move the cursor to an item, single click it. To edit the name of the item, click the name. Selecting items is done by drawing a rectangle around the items. File transfers are started by dragging either a single or a group of files with the left or the right mouse button.

Drag&Drop

Files can be copied and moved, shortcuts can be created, using Drag&Drop. Probe extends this concept by introducing a 'Jump!' step that can be used to navigate to a target folder while files actually are being dragged.

NOTE: A Drag&Drop operation can always be cancelled while in progress by keeping the mouse button used for dragging down, and clicking the other mouse button, or by pressing Esc on the keyboard.

Left Mouse Button

Copy, move and shortcut creation can be carried out with the left mouse button. At drop-time, no confirmation is asked for before starting the operation. If no other key is pressed while dragging files, the operation defaults to:

Move | The target folder (where files are dropped) is on the same drive as the source folder. Probe extends the concept of 'same drive' to 'same VDrive'.
Copy | The target folder is on a different drive than the source folder.

To force a certain file operation when using the left mouse button, the keyboard qualifiers Ctrl and Shift can be used when dropping the files:

Shift | The operation defaults to a file move.
Ctrl | The operation defaults to a file copy.
Ctrl + Shift | The operation defaults to shortcut creation.

The mouse cursor indicates what operation is triggered by the drop:

wpe24.gif (1166 bytes) | The mouse cursor indicates file copy.
wpe14.gif (1152 bytes) | The mouse cursor indicates file move.
wpe12.gif (1174 bytes) | The mouse cursor indicates shortcut creation.

Right Mouse Button

When dragging files using the right mouse button, a popup menu (fig 2) appears at drop-time. This gives an explicit choice of which operation to start, and a chance to cancel the operation.

Fig 2: Popup menu appearing when dropping with right mouse button.

wpe2.gif (4433 bytes)

The three topmost alternatives of the menu in fig 2 are equivalent to the Copy, Move and Create shortcut operations described in the section above.

"Dialog, Move here", "Dialog, Copy here", opens the Copy/Move dialog before starting the operation. This dialog gives access to Advanced File Operation Settings.

Drag, Jump! & Drop

With Probe, browsing for a target folder while the Drag&Drop operation actually is in progress is possible. This allows for grabbing some files in one Folder Browser, jumping the same Folder Browser (or another) to some target directory and then dropping the files.

The 'jump' is triggered by holding the dragged files over some directory so that it's hi-lighted, and then pressing the spacebar to jump into that directory. In this way a target folder can be browsed for. It works in both Folder and Tree Browsers.

Fig 3: Opening a folder in the Tree Browser while dragging...

wpe3.gif (5358 bytes)

Fig 4: ...by pressing the spacebar

wpe4.gif (5128 bytes)

External Applications as Source/Target

Dragging files from Probe to other applications usually works fine. It depends on Probe and the other application knowing the same formats for shell data transfers.

Probe also accepts files dragged from other applications.

When transferring files from/to other applications, subfolder handling always defaults to 'treat as fully selected'.

Editing the Name of a File (F2, Ctrl-N)

To edit the name of a file using the mouse, make sure the cursor is located atop of the file, then single click the filename. The filename is turned into an edit control. Edit the name, then press Enter or click outside the filename to rename the file. Press Esc to regret the new name.

The name of a file can also be edited by either F2 or Ctrl-N.

Changing File Attributes of a File (Ctrl-B)

You edit the file attributes of a file in the same way as the name is edited. Make sure the cursor is on the file whose attributes are to be edited, then click the attributes with the left mouse button. Edit the name, then press Enter or click outside the attributes to change them. Press Esc to regret the attribute modification.

The file attributes can also be edited using Ctrl-B.

Basic File Operations Using the Keyboard

With basic file operations is meant Copying (F5), Moving (F6), Recycling (F8) and Deleting (Shift-F8) files. These operations all display the basic file operation dialog in fig 5.

From this dialog, the files included in the operation can be inspected, target space can be checked, a Log Window can be selected, subfolder handling and advanced settings can be manipulated.

Copy and Move operations started by F5/F6 requires two Folder Browsers to be attached to each other as companions. If they are, you can switch between the two by pressing TAB. A file operation started in one of the Folder Browsers will use the companion browser as target folder.

If they're not companions, you can make them so by using the wpe6.gif (973 bytes) button on the toolbar. When the mouse cursor changes, click on the Folder Browser to be made the companion.

Basic File Operation Dialog

The window caption of the dialog in fig 5 indicates a Copy operation. For a Move, Recycle or Delete operation, the window caption will change accordingly.

Click the various controls of fig 5 to jump to the associated help text.

Fig 5: The basic file operation dialog

wpe5.gif (5955 bytes)

Current Selection

The number of selected files and subfolders in the folder where the file operation is started from is displayed here. Contents of any subfolders are not counted here.

Subfolder Handling

This control decides on how contents of selected subfolders of the source folder is to be handled during the file-transfer. Go to the Subfolder Handling section for more information on this.

Inspect Selection

Pressing this button will invoke the Selection Information dialog which provides detailed information on the selection as used by the file operation. The selected files can be browsed in a tree control.

Select Log

This button allows for a Log Window to be selected for this particular file operation. This avoids mixing log information from several sources.

Progress information, notifications, warnings and error messages are always sent to a Log Window during file transfers in Probe. There's always at least one Log Window but it need not be visible.

If no Log Window is selected, the output goes to the default Log Window, whether visible or not.

File Clash Settings

Pressing this button brings up the File Clash Settings dialog. It allows for setting what default action to take when a name clash in the target folder occurs (an attempt is made to copy a file with identical name as one already existing).

When this happens Probe will stop to query on how to resolve the problem. When using Silent Mode file transfers, the default setting is automatically used.

Advanced

Clicking this button opens the Advanced Settings half of this dialog. Further options relating to the file transfer are available here.

Copy (F5)

F5 copies selected files and folders from a source browser to a target browser.

Move (F6)

F6 moves selected files and folders from a source browser to a target browser.

Recycle (F8, Delete)

F8 or Delete sends the selected files and folders in the current browser to the recycle bin.

NOTE: Under the 'Settings' pull-down menu, item 'Browsers', there's an option 'Delete key defaults to...'. When this option is set, the Delete key will invoke file deletion instead of recycling.

Delete (Shift-F8, Shift-Delete)

Shift-F8 or Shift-Delete deletes the selected files and folders from the particular storage device. After doing this, the information deleted cannot be restored, and disk space is released.

Advanced Settings for Basic File Operations

Further settings for file operations are available when opening the advanced section of the basic file operation dialog. Fig 6 is the rightmost part of the dialog in fig 5, after the advanced section has been opened.

Click the controls of fig 6 to jump to associated help text.

Fig 6: The advanced settings of the basic file operation dialog

wpeA.gif (5449 bytes)

Attribute Alert

When attempting to move or delete a file which has any of the file attributes R(=ReadOnly), H(=Hidden), S(=System), Probe usually will query if the operation should be completed. You can disable this by clearing these three check boxes.

Silent Mode

Silent mode means that Probe suppresses all dialogs that are shown when problems occur during a file operation. Instead default actions are taken. This means that file transfers can happen without user interference in case of any problems. The Log Window can be used to check for any problems during or after a silent file transfer.

The silent mode is intended for file transfers that progress without an operator being present at all times. Before using silent transfers, settings for File Clash Handling and attribute alerts should be setup. The Log Window can be used to verify that the file transfer performed as expected, when a silent file operation has completed.

Separate Thread

This check box is normally checked, meaning that file operations can happen at the same time as the main window of Probe is used for browsing.

To disable this threaded operation, clear this check box.

Flat Target

With this setting, all files in the source are copied to a single destination folder regardless of how the files are organized in the source folder and its subfolders.

VDrive Re-creation

When doing file operations that includes both individually selected files inside a compressed archive, and files above this archive in the folder hierarchy, there's a choice of how to implement the target folder:

  • VDrive in source becomes folder in target. The compressed archive will be re-created as an ordinary subfolder in the target.
  • VDrive in source becomes VDrive in target. The compressed archive will be re-created as a compressed archive of the same type in the target.

For these options to be enabled, subfolder handling must be set to either 'Recursive selections' or 'Recursive filters'. In addition, the option 'Use selections/filters in VDrives must be checked.

File Clash Settings

A file clash refers to an attempt to create a file whose name is already in use in the target folder. Through comparing the existing file with the clashing file, Probe can handle this in a number of ways:

  • Keep the newest/oldest file
  • Keep the smallest/largest file
  • Always keep the existing file
  • Always keep the clashing file
  • Rename one of the existing/clashing files

When the file clash happens, Probe brings up a dialog to resolve the situation. When silent file transfers are used (Probe don't display dialogs during silent transfers), default file clash settings are used instead. The dialog for file clash settings (fig 7) is available from the basic File Operation Dialog, through the button 'File Clash Settings'.

The file clash setting is quite useful in for example backup operations. It gives detailed control of what action to take when a filename with identical name already exists in the target folder. Using silent mode file transfers and file clash settings, backup operations can be automated.

Click the various controls of fig 7 to jump to their associated help text.

Fig 7: The File Clash Settings dialog:

wpe1.gif (9958 bytes)

Use the newest file

After comparing the dates (Creation/Modified/Accessed) of the existing and clashing files, Probe will keep the newest file.

Use the oldest file

After comparing the dates (Creation/Modified/Accessed) of the existing and clashing files, Probe will keep the oldest file.

Date type

Under MS Windows file systems, three types of dates are associated with each file:

  • Creation date
  • Last modify date
  • Last access date

This setting decides which type of date to use in the date comparison.

NOTE: In compressed or FTP storage, only a single date type is available.

Use the largest file

Probe compares the size of the clashing file with that of the existing file, and then keeps the largest of them.

Use the smallest file

Probe compares the size of the clashing file with that of the existing file, and then keeps the smallest of them.

Rename the existing file

When a file clash occurs, Probe defaults to renaming the existing file. Since this requires user interaction, the option is not available with silent file transfers.

Rename the clashing file

When a file clash occurs, Probe defaults to renaming the clashing file. Since this requires user interaction, the option is not available with silent file transfers.

Replace the existing file

When using this option, Probe will delete the existing file and replace it with the clashing file. Using normal file transfers (not silent) Probe will confirm this with the user before deleting the file.

Keep the existing file

When using this option, Probe keeps the existing file and skips copying/moving the clashing file. Using normal file transfers (non-silent) Probe will query before skipping the file.

The File Operation Progress Dialog

The file operation progress dialog gives detailed information on the progress of a file operation in progress. When this dialog i minimized to the taskbar (fig 8), you can still monitor the progress by checking the percentage complete.

Fig 8: The progress dialog (middle), minimized at the taskbar

wpeE.gif (1609 bytes)

Click the controls of fig 9 to go to associated help text.

Fig 9: The file operation progress dialog

wpeC.gif (4090 bytes)

Source, Target

This shows the source and target file being handled presently.

Bytes Left

This count how many bytes are left to handle. In the parenthesis, the total size of the file transfer is shown.

Files Left

This indicates how many files are left to do. In the parenthesis, the total number of files in the file operation is shown.

Rate

This is the measured average rate so far in the file transfer.

Estimated Time Left

This is a rough estimate of remaining time for the file operation.

Time Passed

This indicates how much time has elapsed since the file transfer started.

Progress Bar

The progress bar shows an estimate of how much has completed of the file operation.

Abort

Pressing this button will query if the file operations should be aborted.

Creating New Folders (F7)

Ordinary disk folders, packed archives, remote connections, etc, are all regarded as different types of folders in Probe. The new folder dialog is invoked by the F7 keyboard accelerator. It can also be invoked using the corresponding wpeF.gif (960 bytes) button on the toolbar, or by using the storage specific menu of fig 10.

Fig 10: The storage specific menu, New Folder item

wpe10.gif (3413 bytes)

The New Folder dialog is shown in fig 11. Creating a new folder is a two stage process:

  1. Specifying the type of the folder.
  2. Editing a name for the new folder.

If an ordinary disk folder is created, stage 1 above can be ignored since this dialog defaults to ordinary disk folders. After creating the new folder, the Folder Browser will move the cursor to the new folder.

For information on compressed archives, remote sites and collector folder types, go to the Storage Specific section.

Fig 11: The New Folder Dialog

FileO11.gif (5568 bytes)

Creating New Files (Ctrl-F7)

New empty files are created using the Ctrl-F7 keyboard accelerator. It can also be invoked using the corresponding wpe13.gif (955 bytes) button on the toolbar, or by using the storage specific menu of fig 10.

The New File dialog is displayed in fig 12. A new empty file is created as:

  • Edit the name of the new file.
  • Press Done to close the dialog and create the file or press Open to open the new file with the default tool.

NOTE: The type of the file is determined by the filename extension. To create a file of a given type, the filename, in the edit box, must have that extension.

Fig 12: The New File dialog

wpe14.gif (3386 bytes)

Editing Files as Text (F4)

To view/edit a file as text, press F4. This opens the file in Notepad by default.

To direct the F4 function to another text editor, use the 'Paths' alternative under the pull-down menu 'Settings'. Then press the button 'Browse for editor'.

Selection Information (F9)

The selection information dialog is invoked by the F9 keyboard accelerator. It displays summary information on currently selected files as viewed from the active browser. Detailed information on this dialog can be found at the Selection Information Dialog section.

This dialog is a valuable tool when carrying out file operations. It allows for verifying that exactly those files intended to be in the file operation actually are included. It also gives feedback on disk space used by the files in source folder and the potential destination folder.

This dialog can also be invoked from the basic file operation dialog, invoked by F5 (Copy), F6 (Move), F8 (Recycle) and Shift F8 (Delete), before starting the file operation.

Size of Directory Contents (Ctrl-F9)

This functionality enables finding out the sum of the sizes of all files and folders within a given subfolder. For more info, see the File Selection section, Size of Directory Contents.

Setting the Current Path (F10)

Probe supports navigating to a folder through typing the relative/absolute path of it:

  • Make sure a Folder Browser is active.
  • Press F10. The Set Path dialog (fig 13) appears.
  • Type a relative or absolute path here. Press OK.
  • The active Folder Browser goes to this folder if it can resolve the path.

Some examples of valid paths are:

C:\Windows | A local drive relative path
..\.. | Two folders up from the current folder
Desktop\My Computer | A desktop relative path
\\SomeComputer | The root of a computer in the local/private area network
\\Server\SharedDrive | A shared drive on a server computer
~username | The home directory for a UNIX user

Fig 13: The Path Dialog

wpe15.gif (2977 bytes)

Changing Attributes of Many Files (Shift-F3)

To change the file attributes for a number of files, do as follows:

  • Select the files to be manipulated using standard selection tools.
  • Press Shift-F3. The dialog of fig 14 appears.
  • Edit a pattern for how the attributes should be modified.
  • Adjust settings for subfolder handling, operation, ...etc.
  • Press OK to invoke the operation.

The dialog of fig 14 is very similar to the Basic File Operation Dialog regarding settings such as Subfolders, Operation etc. Two sections are unique to this dialog though:

Specify Attribute Modifications

This section edits how each attribute (A,H,S,R,C) is manipulated by the file operation. Each attribute for each file can be either kept / cleared / set / flipped.

File/Folder Handling

This setting decides whether only the attributes of files should be modified, or if the attributes of both files and folders should be manipulated, when subfolders are included in the selection.

Fig 14: The File Attributes Modifications Dialog

wpe17.gif (10551 bytes)

Changing File Dates of Many Files (Shift-F4)

NOTE: Modifying the dates of files may have consequences for backup programs and other applications.

To change the file dates for a number of files, do as follows:

  • Select the files to be manipulated using standard selection tools.
  • Press Shift-F4. The dialog of fig 15 appears.
  • Edit how the file dates of the selection are to be modified.
  • Adjust settings for subfolder handling, operation etc.
  • Press OK to invoke the operation.

The dialog of fig 15 is very similar to the Basic File Operation Dialog regarding settings such as Subfolders, Operation etc. One section is unique to this dialog though:

Specify Date Modifications

This section of the dialog specifies how the file dates of the selected files are to be modified. One or more of the three dates associated with a file can be modified:

  • Creation Date
  • Last Modified Date
  • Last Access Date

Each such date can be:

  • Kept (setting Keep)
  • Set to an absolute date
  • Made older (with a relative time offset)
  • Made newer (with a relative time offset)

NOTE: The date of folders cannot not be modified.

Fig 15: The File Dates Modification Dialog

wpe18.gif (9466 bytes)

Invoking Custom Disk Commands on Many Files (Shift-F5)

NOTE: This command is only available in local/networked disks.

Probe allows for selecting a set of files, then invoking a custom DOS/CMD command onto each of the selected files. As an alternative, a single command for all files can be constructed.

This can be used to speed up repetitive command line work:

  • To rename a set of files, possibly located in several directories, with a single command.
  • To apply some transformation to a set of files, for example bmp2gif.exe would transform selected BMP images into GIF images.
  • To compress selected files using a compressor not supported by Probe.

The custom disk command combines intuitive GUI selection with command line control. Invoking the custom command function is a three step process:

  1. Selecting files with standard selection tools.
  2. Invoking the custom disk command dialog (fig 16) by Shift-F5, editing the command and setting options. The command can also be found under the storage specific menu: 'Disk Custom Command'.
  3. Probe parses the command, applies this to all selected files, then creates a batch file for execution. Before running this batch file, it can be inspected and modified, see fig 17.

Detailed documentation on fig 16, and some examples are available below fig 16:

  • Details on Disk Custom Commands
  • Example 1
  • Example 2
  • Example 3
  • Example 4
  • Example 5

Fig 16: The Custom Disk Command Dialog

wpe3.gif (11042 bytes)

Details on Disk Custom Commands

The dialog of fig 16 is very similar to the Basic File Operation Dialog regarding settings such as Subfolders, Operation etc. Some sections are unique to this dialog though:

Command Line Edit Box

You edit a one or multiline command to be invoked here. Type the command as you would in the DOS/CMD prompt, but instead of using filenames, directory names, use symbols %f, %d, %c:

Symbol | Expanded to in command
%f | One of the selected files (iterates through all)
%d | The directory the command was invoked from (source)
%c | The current directory of the companion browser

Each of the symbols above can be modified to include only a range of the basic string, by appending a [begin,end] section according to:

Symbol | Expanded to in command
%f[0,4] | The first five letters of a filename
%f[r2,r0] | The last three characters of a filename
%f[1,r1] | All but the first and the last characters of a filename

In the table above, using only a number points that many characters into the string. Using r together with a number points that that many characters from the end of the string. These modifiers may be applied to the %c and %d symbols as well.

Extracting sub strings of filenames can be useful when renaming a selection of files.

Load Command

This allows for loading a previously saved command into the command line edit box. (*.ccd file)

Save Command

This will save the contents of the command line edit box to a (*.ccd) file.

Multiple/Single Invocation

The custom command can be built in one of two ways:

  • One command is built for each file in the selection. This case is used for example when renaming a set of files:

    move file1.txt old_file1.txt

    move file2.txt old_file2.txt

    move file3.txt old_file3.txt

    This example is invoked by commandline: move %f old_%f and selecting 'Invoke once for each file'.

  • One command is built for all the files. This is the case when putting multiple filenames onto a single command line:

    arj.exe a file.arj file1.txt file2.txt file3.txt

    This example is invoked by command line: arj.exe a file.arj %f and selecting 'Invoke only once for all files'.

Example 1

To rename a set of selected files

  • filename1 -> filename1.old
  • filename2 -> filename2.old
  • ...

use the command line

  • move %f %f.old

and the option 'Invoke once for each file'.

Example 2

To apply the transform bmp2gif.exe onto selected image (*bmp) files, use the command line:

  • bmp2gif.exe %f

and the option 'Invoke once for each file'.

NOTE: 'bmp2gif.exe' is not a DOS/CMD nor a Probe utility. It can be found through FTP though.

Example 3

To copy selected files to the companion browser, removing the first four letters of filenames:

  • mt16CmdCtrl.cpp -> CmdCtrl.cpp
  • mt16Engine.c -> Engine.c
  • mt16Doc.txt -> Doc.txt
  • ...

use the command line:

  • copy %f %c\%f[4,r0]

and the option 'Invoke once for each file'.

Example 4

To compress selected files to a single ARJ archive, use the command line:

  • arj.exe a MyArchive.arj %f

and the option 'Invoke once only for all files'.

NOTE: Compressing files to an ARJ archive is normally done using the Alt-F7 functionality.

Example 5

DOS/CMD prompts cannot be used in networked (UNC) paths (paths such as \\SomeServer\SomeDrive\...). But Disk Custom Commands can actually be invoked on files within such paths, by prefixing the filenames with their full paths.

To prefix the names of a set of files with an '_', in such a networked path, use the command line:

  • move %d\%f %d\_%f

and the option 'Invoke once for each file'.

Fig 17: Inspecting and modifying command before execution

wpe4.gif (7289 bytes)

Selection Algebra (Shift-F6)

Selection algebra is a method to relate selected files and folders in one subfolder with those of another subfolder. It can be used to track similarities and differences of two directories, or to uncover modifications of a certain folder structure during a given time period. For more information, go to the Selection Algebra section of the File Selection page.

Creating Directory Listings (Shift-F7)

A directory text listing is a text file containing a list of all selected files and folders within a given subfolder structure in the storage tree. This functionality is available in all sorts of storage: local, compressed, remote and also in file collectors.

As an example, this is a directory listing created from within an FTP subfolder of Probe with the Shift F7 function:

Selected files in: C:\ftp\sigma.ftp\auto/bart/v4/d94/asn
11/26/96 DRWXR_XR_X [matlab]
11/27/96 DRWXR_XR_X [smd023]

Contents of: C:\ftp\sigma.ftp\auto/bart/v4/d94/asn\matlab
365 b 11/18/96 _RW_R__R__ dbplot.m
301 b 11/17/96 _RW_R__R__ lpw.m
386 b 11/17/96 _RW_R__R__ nwplot.m

Contents of: C:\ftp\sigma.ftp\auto/bart/v4/d94/asn\smd023
11/28/96 DRWXR_XR_X [lab1]
12/2/96  DRWXR_XR_X [lab2]

Contents of: C:\ftp\sigma.ftp\auto/bart/v4/d94/asn\smd023\lab1
2,33 kb 11/28/96 _RW_R__R__ Calcengine.class
1,41 kb 11/28/96 _RW_R__R__ Calcstack.class
669  b  11/28/96 _RW_R__R__ Calctoken.class

Contents of: C:\ftp\sigma.ftp\auto/bart/v4/d94/asn\smd023\lab2
3,19 kb 11/28/96 _RW_R__R__ Calcdisplay.class
2,69 kb 11/28/96 _RW_R__R__ Calcengine.class

NOTE: The attributes listed are UNIX attributes. On a Windows machine this field would contain FAT/NTFS file attributes.

You invoke the function from a Folder Browser, by pressing Shift-F7. A dialog as in fig 18 appears. The dialog of fig 18 is very similar to the Basic File Operation Dialog regarding controls such as Subfolders, Inspect Selection etc. A few items of this dialog are unique though:

Directory Listing Output File

After Probe has generated a text listing of all selected files, this listing is saved to a file using the path in this edit box.

Directory Listing Order

A folder structure is a type of a tree. Trees can be traversed in two different ways, either 'breadth first' or 'depth first'. In the first case, all items located at a certain depth of the storage tree are listed before all items at a deeper level. Using 'depth first', the text listing will finish listing a complete subfolder branch before starting to list the next subfolder at the top level.

Fig 18: The Directory Text Listing dialog

wpe8.gif (10090 bytes)

Extracting Compressed Archives (Alt-F9)

Compressed archives such as ZIP, ARJ, RAR, TAR, ...etc, are expanded to a target folder using the Alt-F9 function, or by selecting 'Extract Archive' from the file popup menu of a compressed archive.

Go to Compressed Archives for more information on this.

Realizing Compressed Archives (Alt-F10)

In order to access the contents of compressed archives, they need not be expanded, they may be realized instead.

Realizing archives means Probe extracting and managing temporary files automatically. After realizing an archive, programs may be run from within them.

To realize a compressed archive:

  • Go inside the archive in a Folder Browser, so that you can see the contents of the archive.
  • Press Alt-F10, or select Realize Archive from the storage specific menu.
  • Press OK in the Archive Realization dialog.

Go to Compressed Archives for more information on this.

Some Hints

Below are some hints and fixes to some common problems.

Deleting Files Instead of Recycling

If you'd rather delete files by default than sending them to the recycle bin, there's a setting to achieve this:

  • Under the main window menu 'Settings', select 'Browsers'.
  • Check the 'Delete key defaults to file deletion...' option.

Now the Delete key will delete files. The F8 key still recycles them.

Disable Editing Name by Mouse Click

Filenames can be edited by single clicking them. You can disable this through:

  • Under the main window menu 'Settings', select 'Browsers'.
  • Check the 'Don't edit filename by...' option.

Using the Function Bar

To get started using keyboard accelerators for file operations, the Function Bar (fig 19) can be of help. Most file operations are mapped to accelerators using the function keys (F1..F10).

The Function Bar provides the following:

  • It displays the available function keys for the current combination of Ctrl, Shift and Alt qualifiers.
  • File operations can be invoked by pressing the buttons of the Function Bar.
  • Popup help tips are displayed when holding the mouse over the button.
  • All keyboard accelerators for the current combination of Ctrl, Shift and Alt qualifiers are available through the Accelerator Guide ( wpe1.gif (922 bytes) ).

Fig 19: The Function Bar

wpe2.gif (3252 bytes)

Next: File Search

Back: File Filters


File Search

The File Search Dialog of Probe is a versatile tool for searching any of the storage types browsable with Probe. It is invoked from the Edit Menu (item Find Files) or by keyboard accelerator Ctrl-F.

  • Searching for Files using Probe
  • The File Search Dialog (Ctrl-F)
    • Filename, File Size, File Date, File Attributes Tabs
    • The File Contents Tab
    • The Caption Bar
    • The File Menu
    • The Search Tab
      • Start now
      • Pause
      • Silent Search
      • Go to in Probe
      • Save Results
      • Select results in Probe
      • Clear Results
      • Search Base Folder
      • List/Tree Selector
      • The Search Result Browser
        • List View
        • Tree View
    • Recursive Search
      • Only in visible folder
      • In hi-lighted subfolders
      • In all subfolders
    • Recurse into VDrives
      • Stop the recursion
      • Enter one VDrive Level
      • Perform full recursion
    • Done

Searching for Files using Probe

Using Probe, searching files within local disks, compressed archives, the local/private area network and remote connection, is done using the File Search Dialog of Probe (Ctrl-F).

A set of search criterions is similar to a selection criterion. It must contain at least one of the following items:

  • A filename wildcard criterion
  • A file date criterion
  • A file size criterion
  • A file attribute criterion
  • A file content criterion

The difference between a search criterion and a selection criterion is that for the search criterion, a file contents criterion can also be used. This adds the sort of functionality available through UNIX 'grep' style command line utilities.

The File Search Dialog allows for searching a single folder, searching a folder structure recursively, and also for searching a selected subset of all subfolders recursively. Furthermore, it is easy to specify, for example, a set of compressed archives, or a set of FTP connections to be searched.

File search take place in separate threads, leaving the Probe user interface responsive. This also allows for having several search processes in progress at once.

Finally, Probe allows for presenting the output from the search process in two different ways:

  • A flat listing of all matches in a Folder Browser.
  • A tree presenting the folder structure of the search matches, relative the base folder of the search.

Once the search has been performed, the found files may be selected in Probe to be part of a file operation, or the search results may be saved for later use, through the concept of file collectors.

The File Search Dialog (Ctrl-F)

The File Search Dialog is invoked by either selecting the Find Files item, see fig 1, in the Edit menu, or by pressing the keyboard accelerator Ctrl-F.

Fig 1: The Find Files item

FileSh01.gif (5266 bytes)

Fig 2 shows the File Search Dialog. It contains six tabbed dialog pages (Filename, Date, ..., Search). The leftmost five of them, up to and including Contents, are used to specify a set of search criterions. The sixth tab, Search, is used to start the search, control it's progress, and to view and access the search results.

NOTE: Not all five tabbed dialog pages for the search criterion must be used. It it is sufficient to use only a single search criterion, such as filename, file size or file contents.

NOTE: A short presentation of the active search criterion is available in the caption bar of the dialog.

Click the controls of the dialog in fig 2 to jump to their associated help texts.

Fig 2: The File Search dialog

FileSh02.gif (14525 bytes)

Filename, File Size, File Date, File Attributes Tabs

These tabbed dialog pages function as described under the Advanced File Selection dialog section.

The File Contents Tab

This tabbed dialog (fig 3) allows for specifying a file contents criterion to be matched in the search. The criterion may be one of:

  • A plain string. To search for files containing the word Generator:
    • Check the topmost radio-button (Only files containing a certain plain string)
    • Enter the word Generator in the edit-box.
  • A text wildcard (regular expression). To search for a line of text containing a word such as electricity or electrical, and the word generator:
    • Check the second radio-button from the top (Only files that have a line ... a wildcard)
    • Enter the word electri*generator in the edit-box.
  • A hexadecimal sequence. To search for an occurrence of the sequence 0xBF37AC40:
    • Check the third radio-button from the top (Only files ... binary hex sequence)
    • Enter the hexadecimal number BF37AC40.

NOTE: When specifying a contents criterion, and some other criterion such as a filename, the contents criterion will be tested last of all criterions, since it is the slowest one to evaluate.

Fig 3: The File Contents Tab

FileSh03.gif (6974 bytes)

The Caption Bar

The caption bar recapitulates the current search criterion. An example is seen in fig 4.

Fig 4: The Caption Bar displaying the search criterion

FileSh04.gif (3210 bytes)

The search criterion is abbreviated according to:

Criterion | Example
Filename criterion | *.doc,*.txt,*.pdf
Date criterion | Date>5/23/98
Size criterion | Size>500 kb
Attribute criterion | Attrib +R
Contents criterion | {STR: generator} or {WC: electri*generator} or {HEX: BF37AC40}

The File Menu

The File menu lets you save, load, and clear file search criterions.

Fig 5: The File Menu

FileSh05.gif (2734 bytes)

The Search Tab

The search tab is activated after a file search criterion has been edited, as described above. This tabbed dialog page is used for:

  • Starting, stopping and pausing the search process.
  • Browsing the output of the search process in one of
    • A List View
    • A Tree View
  • Interaction with the Probe main window such as
    • Selecting the found items
    • Navigating to the found items

Start now

Press this button to start the search. After doing so, the button changes to a Stop Now button, which can be pressed to abort a search in progress.

Pause

If you temporarily want to halt a search in progress, use this button. After pressing it, it turns into a Resume button.

Silent Search

This button will disable all dialogs that normally may occur during a search. They include:

  • Notifications, Warnings and Error dialogs, in cases where some problems happens while opening or listing the contents of a folder.
  • Cancel Dialogs for folders taking long time to open.
  • Logon dialogs for remote connections and networked folders.

The idea is to let a lengthy search process proceed without manual assistance. The Log Window provides information on any problems occurring during the search.

NOTE: In Silent Search, in case of any problems occurring while opening a folder, the particular folder, and its subfolders, will not be searched. The search proceeds in the parent folder though.

Go to in Probe

By putting the cursor of the Result Browser on a certain file/folder and pressing the 'Go to in Probe' button, Probe will navigate a Folder Browser to the particular file/folder. This works with both List and Tree output modes.

Save Results

The search results can be a saved to a File Collector. This enables browsing and accessing the search results at a later point.

Select results in Probe

Through this functionality, the selection state of all found items can be set/cleared/toggled. This makes it easy to apply a file operation onto all found items.

Clear Results

This will clear all items from the search result browser.

Search Base Folder

This sets the folder where the search starts in. It can be any folder browsable by Probe, such as a desktop folder, a local disk folder, an FTP connection, a packed archive, a computer available through the local/private area network.

NOTE: The Search Base Folder cannot be modified while a search is in progress.

List/Tree Selector

This toggles how the results of the search is presented, see fig 6. In the List View mode, all items are presented as a single listing. In the Tree View mode, the folder structure of the found items, relative the search base folder can be browsed.

NOTE: The List or Tree mode should be selected before starting the search. If in List View mode and wanting to browse the results in Tree View mode, select Tree Mode, clear the current results and and restart the search.

Fig 6: The List View /Tree View selector

FileSh06.gif (1866 bytes)

The Search Result Browser

This area of the File Search dialog lets you browse the found items. Items are dynamically added to this browser while the the search is in progress. You can start accessing the search results as soon as the first item has been added, there is no need to wait for the search to complete before doing so.

The Search Result Browser can be in one of two modes, described below:

List View

In this mode (fig 7), all search results are output to a single folder and therefore browsed as a flat listing. This list browser has the same functionality as the Folder Browsers of the Probe main window, so files are accessed the same way, meaning that Drag&Drop, file popup menus and the Windows clipboard can be used.

Fig 7: The Search Results Browser in List View

FileSh07.gif (5616 bytes)

Tree View

Putting the Search Results Browser in Tree Mode provides a better overview of which folders the search results are located in. This can be valuable in a recursive search, where the search results may be scattered in several deeply branching subfolders.

The Tree View browser does not provide the same rich UI as the List View browser though, meaning that Drag&Drop mechanisms, file context menus, and the Windows clipboard cannot be used from within it.

In order to access the contents from within the Tree View browser, one can temporarily go into List View, using the control of fig 6.

Fig 8: The Search Results Browser in Tree View

FileSh08.gif (5076 bytes)

Recursive Search

This control specifies whether only a single folder is to be searched, or if all subfolders are to be searched recursively.

Only in visible folder

With this setting, only the File Search Base Folder (see fig 9) is searched. The search process will not go into any of it's subfolders.

Fig 9: The File Search Base Folder (left)

FileSh09.gif (1836 bytes)

In hi-lighted subfolders

This setting causes the search process to go into the Search Base Folder, and all selected subfolders of that folder. Within those folders in turn, the search process will enter all subfolders.

Example:

When pressing Ctrl-F in fig 10, and activating the 'In hi-lighted subfolders' setting, the following folders will be searched:

  • C:\vcpp
  • C:\vcpp\CabFci and all its subfolders
  • C:\vcpp\common and all its subfolders
  • C:\vcpp\download and all its subfolders

Fig 10: Preparing for searching hi-lighted subfolders

FileSh10.gif (4995 bytes)

In all subfolders

With this setting, the Search Base Folder, and all its subfolders are searched recursively.

Recurse into VDrives

As a recursive search process traverses subfolders, it may encounter storage type boundaries (VDrives, such as compressed archives, remote connections, ...etc). In that case the search process has a choice of either searching the contents of the VDrive, or ignoring the contents of the VDrive.

In some situations, when for example wanting to search multiple compressed archives, it can be handy to control what the search process does in such situations.

Stop the recursion

This is the default setting. When activated, and the search process encounters a VDrive, it will not search the contents of that VDrive.

Enter one VDrive Level

This setting enables the search process to enter a VDrive. However, if within that VDrive, any nested VDrives are encountered, it will not go into those.

Example 1

In fig 11, when wanting to search the drives C:, D:, E: the settings:

  • 'Enter one VDrive level'
  • 'In hi-lighted subfolders'

should be activated.

The items C:, D:, E: are VDrives, since they are a different browsing space, relative the desktop relative shell structure.

Fig 11: Preparing to search three drives

FileSh11.gif (3466 bytes)

Example 2

In fig 12, we want to search six compressed archives, but in the case when any of these archives contains a nested archive or remote connection, we don't want to search them.

The settings:

  • 'Enter one VDrive level'
  • 'In hi-lighted subfolders'

should be activated.

Fig 12: Preparing to search six archives

FileSh12.gif (4311 bytes)

Perform full recursion

This setting will cause a search process to recursively go into all VDrives encountered, also nested VDrives. If, for example, a remote connection is encountered within a compressed archive, it will searched.

NOTE: This setting can potentially result in a very time-consuming file search process.

NOTE: Before activating this setting, it is good to be aware of which nested VDrives exist within the subfolders of the Search Base Folder.

Done

Exit the search dialog using this button.

Next: Storage Specific

Back: File Operations


Storage Specific

Probe can handle many different types of storage in a uniform way, they are accessed almost as ordinary subfolders.

Subfolders such as compressed archives, remote connections, networked computers, ...etc, all have in common that they imply a change of storage type relative their parent folders. The term 'VDrive' is sometimes used as a group name for these types of folders.

Usually a VDrive will have an icon that is different than the ordinary subfolder icon.

The documentation of storage specific details is available in this section.

  • File Realizations
  • Compressed Archives
  • The FTP Client
  • File Collectors

Next: Settings

Back: Operation


File Realizations

With Probe, you can access contents of compressed archives or remote sites almost as if they were local disk folders. Of course, Probe will have to perform some background processing to accomplish this.

When you double-click a file inside a packed archive or within a remote site, Probe will provide a local version of this file to another program, such as an image viewer, a text editor, etc. How this is done vary depending on the type of storage, for a remote file, some sort of 'GET' command must be executed, for a compressed archive, an expansion process must be spawned.

Probe puts the local version of this file into the 'Probe work directory', and the file is said to be 'realized' at this stage. The local version of the file is called it's 'realization'. Although this process happens transparently, it can be good to know about some details of this mechanism.

  • The Probe Work Directory
  • File Realizations
    • Implicit Realizations
    • Explicit Realizations (Alt-F10)
  • Monitoring Realized Disk Space
  • Freeing Realizations
    • Freeing Realizations for a Single Archive
    • Freeing All Realizations
  • Startup Notification of Old Realizations
  • Some Hints

The Probe Work Directory

Probe maintains a path to it's work directory. In this folder, and it's subfolders, Probe will store all temporary local versions of files extracted from compressed archives or remote sites.

The work directory path can be viewed/edited through the the command 'Paths' under the 'Settings' menu (fig 1).

Each time Probe is closed down, all temporarily realized files will be removed. When Probe is started this directory will be scanned for old realizations, and the user will be prompted whether to remove such files.

Fig 1: About to invoke the 'Paths...' command

wpe10.gif (5689 bytes)

File Realizations

To be able to view, for example, a text file in a compressed archive, Probe has to provide the text editor with a local copy of the file, that is, a realization of the file. Such files are stored in the work directory when they're actually requested by the user.

Local realizations can also be created by an explicit 'Realize' (Alt-F10) command. The purpose of this is to be able to run or install programs from within a compressed archive. Probe automatically takes care of making the files available, and deleting them at a later point, when explicitly realizing an archive.

Implicit Realizations

Implicit file realizations are created when accessing a file inside a compressed archive, or within a remote site. This is triggered for example when double-clicking such a file, or when moving/copying such files to some other storage.

Probe will free the space taken by such realizations when the particular folder not has been accessed for a predefined time interval, or when the program closes down.

Explicit Realizations (Alt-F10)

Suppose you want to run a program that is stored inside a compressed archive. This can be done by double-clicking it's icon, as described in the section above. But if that program expects to find some associated files relative it's own path, what happens then?

One way to let that program find the files it needs, would be to expand the archive into some temporary directory, and start the program here. With Probe, there's another solution, explicit realizations.

Using this concept, Probe realizes an entire folder of an compressed archive, or the entire archive. The program will thus find the files needed relative it's own path.

When closing the program, or when explicitly 'un-realizing' the archive, Probe will free the temporary file realizations.

Explicit realizations are invoked either by the Alt-F10 keyboard accelerator, or through the item Realize Archive found on the storage specific menu of the archive (Fig 2).

The dialog of fig 3 appears. Here you can either select to expand the current folder of the archive or the full archive. When having realized the archive, programs can be started by double-clicking their icons in the Zip file. The program will find it's related files as it expects.

Fig 2: The Realize Archive command (storage specific menu)

wpe11.gif (4797 bytes)

Fig 3: The 'Realize' dialog

wpe12.gif (12483 bytes)

Monitoring Realized Disk Space

In the Disk Monitor of the drive where the Probe work directory is located, the space occupied by file realizations will be displayed using a red pattern instead of the ordinary blue pattern indicating used disk space (fig 4). In this way, one can keep track of when file realizations occupy to much space.

Fig 4: Realized space indicated by red pattern

wpe1.gif (2682 bytes)

Freeing Realizations

All file realizations are automatically deleted at program termination. Implicit realizations are usually deleted after some period of inactivity in the specific folder has elapsed.

In addition to this, realizations can be explicitly deleted. The command can be invoked for either one full archive, or for all archives currently known by Probe.

Freeing Realizations for a Single Archive

The command to free the realizations of a single archive is available in the storage specific menu of a compressed archive (Fig 5), after some files in it have been realized.

Fig 5: The Free Realizations command

wpe2.gif (8430 bytes)

Freeing All Realizations

By selecting the command 'Realization' in the 'Settings' pull-down menu (fig 6) information on currently realized files is available.

Fig 6: The 'Realization' settings

wpe4.gif (5785 bytes)

When invoking this command, the 'Realizations' dialog (fig 7) appears. This dialog displays how many files that currently are realized, and the sum of their sizes.

To free the disk space currently used for file realization, press the 'Un-realize all files now' button.

Fig 7: The 'Realizations' dialog

wpe5.gif (11046 bytes)

Startup Notification of Old Realizations

Under some circumstances, there can be files in the Probe work directory when the program is started. Probe will detect this and query the user on what to do with these files (fig 8).

Files may be located in this directory for some different reasons:

  1. When Probe closed down the last time, some files within the work directory were in use by other programs and could not be removed.
  2. In the case of a program or a computer crash, the contents of the work directory will not be deleted.
  3. Some other program/user has put the files in this folder.
  4. There's another instance of Probe running, and the files belong to the other instance of Probe.

In the dialog of fig 8, you should agree to delete the work directory contents if you think that one of case 1,2 above is true.

Fig 8: Startup notification

wpe6.gif (13459 bytes)

Some Hints

If you're downloading compressed archives, such as Zip, Arj, etc, which contains program you want to run, it's a good idea to use the 'Archive realization' (Alt-F10) command. This will save you the trouble of inventing temporary directory names, and later on manually deleting them. Read more about this under Explicit Realizations.

If you want to uncompress all files in a compressed archive to your disk, it's better to use the 'Archive expansion' function than to copy all files from the archive using F5 or Drag&Drop. 'Archive expansion' will bypass the realization mechanism, and avoids temporarily having two copies of the expanded files on local storage. More on this is available at Compressed Archives, Reference.

Next: Compressed Archives

Back: Storage Specific


Compressed Archives

Probe handles a number of common compressed file formats, such as ZIP, ARJ, RAR, TAR, Z, GZ, CAB, etc. Most compressed file formats have three features in common:

  • They can store many files inside a single 'archive file'.
  • They may have a subfolder organization within them, just as local disks have.
  • They apply some sort of compression algorithm to the files stored in the archive file.
  • They have some command line tool for file expansion/extraction, which syntax varies with each format.

These features are useful, for example when storing files for long term backup, or when transferring a file using some network connection. It's a lot simpler to transfer a single large file than to transfer many small files and having the receiver recreate the folder structure.

Probe has a lot of features to simplify handling of compressed files. The way such files are handled in Probe is quite different compared to the command line style handling of the same files. Fortunately, the process is much simplified when using Probe.

  • Reference
  • Which Format to Use

Next: The FTP Client

Back: File Realizations


Compressed Archives, Reference

In this section, handling of compressed archives with Probe is described in detail. Information on file operations with compressed archives, archive extraction, archive creation, etc, is presented.

  • The Command-line Way of Handling Compressed Files
  • Handling Compressed Files Using Probe
    • Double-click to Open
    • Viewing Files Inside Archives with Any Tool
    • Navigating Folders, Selecting Files
    • File Operations
      • Drag&Drop or Copy/Move (F5/F6)
      • Subfolder Creation (F7)
      • Deleting Files (Shift-Delete)
    • Creating New Archives with 'New Folder' Function (F7)
  • Operations Specific to Compressed Archives
    • Archive Expansion
    • The Extract Dialog (Alt-F9)
    • Archive Realization
    • The Realization Dialog (Alt-F10)
    • Edit/View Archive Comment
  • Threaded Operation of Big Jobs
  • Handling Nested Archives
  • The Progress Indicator
  • Together with the Log Window
  • Testing if Compressed Archive (Ctrl-T)
  • Some Hints
    • When to Use Archive Realizations (Alt-F10)
    • Archive Extraction (Alt-F9) Versus Copy (F5)

The Command-line Way of Handling Compressed Files

Most compression utilities are based on text mode command-line programs. Each format will have it's own set of such programs which have separate syntax. As an example, extracting some files from a ZIP archive could be done with:

  • C:\Tools\Packers\Unzip.exe -o -C MyZipfile.zip -d C:\MyTargetFolder ZipDirectory1\file_name1.txt ZipDirectory2\file_name2.txt

Typing such command-lines takes a lot of time and is error prone. When wanting to extract, say 50 files out of 500, matching a certain name criterion, this way of working is next to impossible.

Remembering the syntax for listing, extraction, modification, etc, for a number of different compression utilities can be difficult.

Handling Compressed Files Using Probe

With Probe, you don't have to remember a lot of syntax for each compressed format. Listing archive contents, modifying, extracting and adding to archives is done the same way for all archive types.

Moreover, the usual navigation and selection tools apply within compressed archives, and Probe uses multitasking when processing big archives, to keep the user interface responsive at all times.

Double-click to Open

To view the contents of a compressed archive (Fig 1), you double-click it's icon, or press Enter in a Folder Browser. Probe will run it's associated compression utility in the background, and display the contents of the archive in the Folder Browser (Fig 2).

Fig 1: A compressed archive in the Folder Browser

wpe2.gif (5309 bytes)

Fig 2: The contents of the compressed archive

wpe3.gif (8542 bytes)

Viewing Files Inside Archives With any Tool

Opening a file inside a compressed archive is done as you would open any file in a local disk. Probe takes care of the details of running a de-compressor in the background. This process is referred to as file realization. After doing this, Probe provides the realized file to the default tool for the selected file.

Navigating Folders, Selecting Files

You navigate the internals of the compressed archive by double-clicking it's subfolders. When going down into subdirectories in the compressed archive, Probe adds the local path within the compressed archive to the path within the disk drive (fig 3). The compressed archive is treated as an extension of the ordinary folder structure of the disk.

Fig 3: The current path inside an archive

wpe4.gif (6769 bytes)

Navigation tools, such as the Tree Browser, the 'Go to folder' tool (Fig 4), Path history and the Location bar will all function inside compressed archives.

File selection is performed as usual. You can use wildcard selections within compressed archives, or even recursive selections across compressed archive borders.

Fig 4: The Go to folder tool in a compressed archive

wpe6.gif (9319 bytes)

File Operations

File operations within compressed archives are handled the same way as within any other type of folder, with some limitations.

NOTE: Some types of compressed archives cannot be modified. On the page Which Format to Use page, some differences between the formats are discussed.

Drag&Drop or Copy/Move (F5/F6)

You can drop files onto a compressed archive, and Probe will take care of the compression process. Similarly, dragging files of out of a compressed archive will make Probe extract these files in the background.

Copying/Moving files between two associated Folder Browsers is done with F5/F6 as usual.

Subfolder Creation (F7)

New subfolders within compressed archives are created using the 'New Folder' function (F7) or by pressing the new folder button wpe1.gif (971 bytes) . Subfolders of any type can be created within a compressed archive.

NOTE: Some formats don't understand the concept of an empty subfolders. In this case Probe will create a 'dummy' file located in the new subfolder, to force a new subfolder to appear.

Deleting Files (Shift-Delete)

Selected files within a compressed archive are deleted through the keyboard accelerators Shift Delete or Shift-F8.

Creating New Archives With 'New Folder' Function (F7)

New compressed archives are created using the New Folder' function (F7) or by pressing the new folder button wpe1.gif (971 bytes) . When doing so, the New Folder dialog appears (Fig 5). First, a name to be used by the new archive must be edited, and then a type for it selected. In fig 5, a new ZIP archive is created with the name TestArchive.zip.

After pressing OK, Probe will create the ZIP file, and the Folder Browser cursor will be placed on the new archive (Fig 6). After this files and folders may be copied to it.

NOTE: Probe will automatically suffix the correct extension to a new archive if no filename extension is given.

Fig 5: The 'New Folder' dialog used for archive creation

wpe7.gif (9772 bytes)

Fig 6: After creating the archive TestArchive.zip

wpe8.gif (4249 bytes)

Operations Specific to Compressed Archives

There are some file operations which are unique to compressed archives, such as archive expansion, archive realization and testing for compressed archive type.

Archive Expansion (Alt-F9)

Expanding a compressed archive will extract all files within the archive to some disk folder. To expand one or several compressed archives, do as follows:

  • Select the archives to be expanded. The archives themselves should be visible in the Folder Browser, not their contents.
  • Press Alt-F9 or select Expand Archive(s) from the file popup menu of the selected items (Fig 7).
  • If the active Folder Browser is not associated with a companion browser, you'll be asked to browse for a destination folder, where to put the expanded files. Otherwise files will be extracted to the companion browser.
  • The 'Extract' dialog appears (fig 8).
  • After inspecting the options in the dialog, press OK to start the expansion process.

Archive expansion can also be started when a Folder Browser is located inside a compressed archive, by selecting the 'Expand Archive' from it's storage specific menu.

NOTE: Expansion can only be run with a disk folder as target.

NOTE: If expanding several archives, all of them must be of the same type.

Fig 7: The 'Expand Archive(s)' command

wpe6.gif (5202 bytes)

The Extract Dialog (Alt-F9)

Click the various controls in the dialog below to jump to it's associated help text.

Fig 8: The 'Extract' dialog

wpeB.gif (6914 bytes)

Run expansion in own thread

With this option you can keep working in Probe, while the expansion is in progress. Unchecking it will cause Probe to wait until the expansion has completed before being responsive.

Expand in local directory

This option causes file expansion to happen to the directory where the compressed archive itself is located. This option will only be enabled when the archive is located in a disk folder.

Silent expansion

Using this option Probe will suppress all dialogs that would normally be shown in case of problems during expansion.

Use the Log Window to find out about any archive expansion problems when using silent expansion.

Check expanded files when done

With this option, Probe will scan the expansion target folder for all files supposed to have been expanded. If there are some files missing, or some files appear to be incorrectly expanded, Probe will display a dialog listing such files.

Options

In this part of the dialog, various options specific to certain compression formats are listed. For more information on such options, consult the help available from the specific command-line compression / decompression program.

Select log

This button enables selecting a private Log Window for the expansion operation. In this way, output of the de-compressor program will not be mixed with the log of other Probe activities.

When pressing the button, point the mouse cursor to a Log Window and click on it. Output from the expansion process will be directed to the selected Log Window.

Add this before filename

If you want to invoke some option for the specific de-compressor program, which is not available in the 'Options' section, do so here. The text in this edit-box will be inserted in front of the archive filename on the command-line.

Add this after filename

If you want to invoke some option for the specific de-compressor program, which is not available in the 'Options' section, do so here. The text in this edit box will be inserted after the archive filename on the command-line.

Archive Realization (Alt-F10)

Archive realization provides an alternative to archive expansion in many cases. The idea here is to let Probe handle all the details of creating temporary directories, and extracting files.

After realizing an archive, a program can be started from within it, and will find the folder structure and associated files just as they appear within the compressed archive.

This so called 'realization' will be removed by an explicit 'un-realize' command, or when the Probe is terminated.

To explicitly realize a compressed archive, follow these steps:

  • Navigate a Folder Browser so that it's located inside a compressed archive.
  • From the storage specific menu (Fig 9), select the item 'Realize Archive'.
  • The Realization dialog appears. Verify the settings and click OK.

Fig 9: The 'Realize Archive' command

wpe1.gif (4461 bytes)

The Realization Dialog

Click the various controls in the dialog below to jump to it's associated help text.

Fig 10: The 'Realize' dialog

wpe2.gif (4521 bytes)

Realize the entire archive

With this option, Probe will realize the entire archive, so that the full file/folder structure of the archive is available. A program started from within the archive will find any other file within the archive after realizing with this option.

Realize only this folder

Only the current folder of the compressed archive will be realized using this options. After running the realization process, a program located in this folder will find all other items in the same folder, but it will not find any subfolder items.

Run realization in separate thread

With this option you can keep working in Probe, while the realization process is in progress. Unchecking it will cause Probe to wait until the realization has finished before being responsive.

Select Log

This button enables selecting a private Log Window for the realization operation. In this way, output of the de-compressor program will not be mixed with the log of other Probe activities.

When pressing the button, point the mouse-cursor to a Log Window and click on it. Output from the realization process will be directed to the selected Log Window.

Edit/View Archive Comment

Some compressed archive formats allows for storing a comment within the archive. Probe supports this for the formats:

  • Zip, Cab, Arj, Rar

The archive comment can be viewed/edited through the item View/Edit Comment available under the storage specific menu, see fig 11.

After invoking this item, the dialog of fig 12 appears. The archive comment can now be viewed and edited.

Fig 11: The View/Edit Comment menu item

Compr42.gif (7614 bytes)

Fig 12: The dialog used with Archive Comments

Compr43.gif (4298 bytes)

Threaded Operation of Big Jobs

When a large compression/decompression job is started, Probe uses a separate thread of execution for this. The result is that you can keep working with Probe, with this process running in the background.

The desktop area used by Probe is not 'dead' during this time, as would have been the case with a single threaded approach.

Handling Nested Archives

Probe has no problem with handling 'nested' compressed archives, that is, when some archive contains another compressed archive. Say that a ZIP archive is located within an ARJ archive. To browse the ARJ file you double-click it. Double-clicking the ZIP archive, inside the ARJ archive, let's you browse it as any other folder.

As another example of this, in the UNIX world, TAR archives are often kept inside Z or GZ compressed archives. In Probe, the contents of the TAR file can be browsed by two double-clicks, the first going into the Z/GZ archive, the second one into the TAR archive.

NOTE: To browse a compressed archive located inside another compressed archive, Probe will have to extract ('realize') that first archive from the second one to be able to display it's contents.

The Progress Indicator

When doing file operations in compressed archives, Probe will display the usual progress indicator (Fig 13). To keep track of the progress, Probe uses two different methods:

  • Capturing text output from the compressor/de-compressor, and parsing it.
  • Monitoring the state of the target directory, tracking which files are being changed.

The second method above works best under Windows NT.

In some situations, the progress report may be delayed. When compressing individual large files, the progress indicator cannot be updated until a single large file has been fully processed, since Probe receives no textual output until this time.

Fig 13: The progress indicator when during expansion

wpe3.gif (4024 bytes)

Expanding multiple archives

When selecting multiple archives of the same type for expansion, the index of the archive currently expanded is displayed in the group box title. In fig 13, it says 'Expanding archive #1'.

Expanding a multivolume archive

Some formats, such as ARJ, RAR support compressed archives distributed over several files. The purpose of this is to be able to transfer that archive using media that is smaller than the archive itself.

When expanding such archives in Probe, the progress group box in the progress indicator will indicate the archive and volume currently being processed (Fig 14) as

  • #Archive nr - Volume nr

In fig 14, this has the form 'Expanding archive #1-006'.

Fig 14: Progress indicator for multivolume archive

wpe4.gif (4247 bytes)

Together With the Log Window

Probe will always send the textual output it receives from helper applications, such as compressors and decompressors, to the Log Window. If there are any problems when handling compressed archives, you can study the output in the Log Window to pinpoint the problem.

Fig 15: The Log Window during file compression

wpe5.gif (5608 bytes)

Testing if Compressed Archive (Ctrl-T)

When a file which is a compressed archive uses it's associated filename extension, Probe will know which format it is, and display the correct icon for it.

Say that a file which is really a ZIP archive, has had it's filename extension modified. Probe will not recognize this as a ZIP archive. To solve this problem, Probe has a command which attempts to analyze if a certain file is a compressed archive of any type, independently of it's filename extension.

To check if a file is a compressed archive of any type, do as follows:

  • Select the archives to be tested.
  • Press Ctrl-T.

Probe will process each archive in turn. In the Log Window the output of this activity can be seen.

Some hints

Below follows some hints of when to use the different methods for accessing the internals of compressed archives.

When to use archive realizations (Alt-F10)

Archive realization is practical when you're only interested in using the contents of a compressed archive temporarily, say for running a setup program located inside a compressed archive.

This saves the trouble of manually creating a temporary directory, extracting the archive here, and later on deleting it. Probe handles such details automatically when using archive realization (Alt-F10).

Archive extraction (Alt-F9) versus Copy (F5)

When copying files from a compressed archive using Drag&Drop or F5, they will first be 'realized', that is, a copy of the file will be stored in the Probe work directory. Read more on file realizations here.

If your intention is to expand the the entire compressed archive to the disk, it will be more effective to use the archive extraction command (Alt-F9) than to copy the files using F5 or Drag&Drop.

Next: Which Format to Use

Back: Compressed Archives


Compressed Archives, Which format to use

Which Format to Use

Normal text

RAR 2.00, 2.01, 2.04 (2.02,03?)

  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7

Next: The FTP Client

Back: Compressed Archives, Reference


The FTP Client

FTP is an abbreviation for 'File Transfer Protocol'. It is a standard defining how files can be transferred between two computers, both connected to the Internet. It originated in the UNIX world, but since it's a network protocol, it can be used between any two hosts implementing the server and client end of the FTP protocol.

As a client of an FTP server, you're expected to present a username, and a password, when establishing the connection. In this way, some level of security is achieved. On public FTP servers, you can usually login with the 'anonymous' user name, and use an email address as password.

Probe implements an FTP client that is accessed just as ordinary subfolders are. You navigate it as you would navigate any other folder in your computer, with Probe taking care of all the details regarding the connection and the protocol.

  • The Probe FTP Client Concept
  • Creating a New FTP Connection
  • FTP Operation
  • FTP Specific Commands
  • Some Hints on FTP Use

Next: File Collectors

Back: Compressed Archives


The Probe FTP Client Concept

Here's a brief overview of how Probe implements it's FTP client.

  • Accessed as a Subfolder of VDrive Type
  • Operated and Navigated as Ordinary Folders
  • A Non-blocking, Multi-threaded Approach
  • Advanced Probe FTP Features

Accessed as a Subfolder of VDrive Type

an FTP connection appears just as a subfolder in a Folder Browser, but with a different icon. The file itself is just a plain text file containing login information and settings for the connection. The private information within it is encrypted though.

A folder which represents a change of storage type, relative it's parent folder, is termed a VDrive in Probe. An FTP connection folder is a VDrive, since remote FTP storage is different from local disk storage, or the organization of a Zip file. All such VDrives have in common that they may have an internal folder structure though.

Fig 1: FTP sites in a Folder & Tree Browsers

wpe45.gif (8181 bytes)

To enter the remote site, we open it as we would with any other folder. Depending on the connection information stored with the connection we may have to provide login data.

Fig 2: Entering the Mathworks FTP site as a subfolder

wpe46.gif (8974 bytes)

Operated and Navigated as Ordinary Folders

Once connected to the FTP site, we operate it as we would with any other subfolder. We can copy files to the remote site, download files from it, create new subfolders, remove files etc. It's up to the remote site to decide on our permissions. Probe will provide feedback in the case when operations won't succeed.

Inside the FTP site we can also used the advanced selection and sorting capabilities of Probe. The concept of file-filters and recursive selections apply within FTP sites.

A Non-blocking, Multi-threaded Approach

Data throughput on the Internet varies a lot, depending on the local Internet connection, the remote connection and the traffic on the net between them. In short, file operations may take a long time.

To compensate for this, Probe uses private threads for each FTP connection. While an FTP file transfer is in progress, we may keep browsing files with Probe. We can even browse the same site as we're transferring files from. To do this, Probe automatically does a second login on the remote FTP server, if the remote server allows for this.

Advanced Probe FTP Features

In addition to supporting multiple logins to several FTP servers at the same time, Probe supports features such as:

  • Resumed uploads and downloads
  • Server to server transfers
  • Transfers within a single server
  • Optional, detailed, protocol level log.
  • UNIX file system link resolution.
  • UNIX file attributes visible.
  • Custom FTP commands.
  • Resolution of paths such as '~username', '~' etc through the F10 path function.
  • Several modes of automatic disconnect.
  • Detailed ASCII/Binary type resolution.
  • Fine tuning of transfer buffers and timeout values.

Next: Creating a New FTP Connection

Back: The FTP Client


Creating a New FTP Connection

A new FTP connection is created in two steps, first the 'New Folder' dialog is invoked, after this the 'FTP Settings' dialog appears.

  • Creating the FTP Connection (F7)
  • The FTP Settings Dialog
  • The Performance Dialog
  • The ASCII,Binary Type Dialog
  • The Unmatched Extension dialog
  • The Remote Connection Dialog

Creating the FTP Connection (F7)

an FTP connection is created with the 'New Folder' dialog. It can be invoked either by F7, or through the new folder button wpe1.gif (971 bytes) or through the white area popup menu of a Folder Browser.

In this dialog, we select the type 'FTP Folder'. We also have to edit a name to be used for the connection. This name is not used in the login process, we can select a shorter nickname for the site. When pressing OK, the FTP settings dialog appears.

Fig 1: The 'New Folder' dialog

wpe1D.gif (9433 bytes)

The FTP Settings Dialog

This dialog handles login data and all settings related to the FTP connection. In the image below, click on a field of the dialog to jump to the associated help.

Fig 2: The FTP Settings dialog

wpe1E.gif (8632 bytes)

Connection Data

Site addresss

This is the Internet address of the remote site, either as a string, or as an IP address. For example ftp.mathsoft.com, ftp.microsoft.com, 127.0.0.1, 130.240.72.85.

Username

This is the login name to be used on the remote site. Many FTP servers accept the username 'anonymous' for public FTP.

Password

To login, a password must be used. In case of anonymous login, the email address is often used as password. Otherwise you must have an account on the remote site.

Port-number

The port-number is used to let several applications share an underlaying TCP/IP connection. Different applications are associated with different port-numbers, and FTP servers are often located on port 21. If you know that the server listens on a different port, type the port-number in this field.

Start folder

On connection, Probe checks for the existence of this folder. If so, the browser is placed above the particular folder when connecting.

If no start folder is given, Probe goes to the folder that the remote server reports as the current folder.

Case aware filenames

Using case aware filenames, the file test.txt can be treated in another way than Test.TXT during file-transfer. PC file systems are usually not case aware, but UNIX systems are.

If you see no reason for treating files with identical extensions but different case differently, then use the 'No' setting.

This setting relates to ASCII,Binary resolution.

Local Options

Storing Login Data

You may choose to store the login information for the site in the FTP connection file, or you may enter this information manually each time the site is opened.

When storing the login information in the FTP connection file, it is encrypted. Probe also supports a single password protecting all remote resources in Probe. Read more about this under Remote Settings. Using this concept, the login information is protected, but you only have to go through a single password check for the first remote resource used when starting Probe, or after a period of long inactivity has elapsed.

Remember user

The username is stored in the FTP connection file. If not checking this option, the username must be provided manually at each login.

Remember password

The password is stored in the FTP connection file. If not checking this option, the password must be provided manually at each login.

Encrypt login data, protect with master password

Using this option, the login information is encrypted using the 'master password' (see Remote Settings). If you change this master password at a later time, the FTP connection data remains encrypted by the old password.

Remote Subfolder Report

If you're not using Tree Browsers this section is a non-issue.

When sending directory listings with the FTP protocol, the server will usually inform on how many subfolders a given folder has. This information is used by Probe when presenting the folder structure of the remote site in the Tree Browser.

If it has one or more subfolders, a folder can be opened and should look like wpe21.gif (992 bytes) in the Tree Browser. If it has no subfolder it should look like wpe22.gif (972 bytes) , that is, without the '+' button.

Some FTP servers don't provide this information, or gives incorrect information. In such cases, another method is needed for the Tree Browser.

Safe subfolder report

In this case the subfolder information given by the server is trusted to be correct. The Tree Browser use this to figure out which folders can be opened.

Scan for subfolders

With this setting, the Tree Browser explicitly scans a folder until it can decide if it has subfolders or not. This can cost quite some time on slower connections and a wide directory tree.

Assume subfolders always

Using this option, the Tree Browser will assume all folders to have subfolders, at least until the folder is opened. As a result the Tree Browser lets each folder be opened, and removes the '+' button when detecting the the folder actually has no subfolder.

This method avoids having to query the server for the contents of unopened folders at the cost of hinting subfolders when none really exist.

ASCII,Binary Resolution

Different computer platforms have different ways of representing text files, in particular the ASCII codes used to signal end of line within the text. When transferring such files from one platform to another the file may end up unreadable.

As a cure for this, the FTP protocol allows for converting the text file to a established network format before transferring the file, and the receiver can convert it to it's local text format.

Files such as images, programs, compressed files, html files, etc, are termed binary files. These files should not be modified by the file transfer. Applying text conversion to a binary files, is likely to make it unusable.

Obviously some method is needed to decide on which files are to be transferred as text, and which are transferred as binary.

Binary transfer

With this option all files are transferred as binary, that is, they're not modified by the FTP protocol.

ASCII transfer

Using this setting, all files are treated as text during file transfer, and the appropriate conversions are performed on the files.

Mixed ASCII,Binary

With this option, files are treated on an individual base, depending on it's filename extension. Look in the Edit ASCII,Binary mix section for more info.

Edit ASCII,Binary Mix

Press this button to invoke the FTP ASCII,Binary type dialog.

Performance

Press this button to invoke the Site Performance dialog

The Site Performance Dialog

This dialog keeps track of FTP performance related numbers. The read/write rates are used when estimating the time left for FTP file operations.

In fig 3, you can click on the dialog items to go to their associated descriptions.

Fig 3: The Site Performance dialog

wpe23.gif (4325 bytes)

Transfer rate, buffers

Read rate

This is the average read rate from the remote site. When the connection is created, it is set to a very low value. It is updated as a sliding average over the 10 last read operations from the site.

Write rate

This is the average write rate to the remote site. As the above number, it's a conservative guess when the site is created. After a few transfers, it will converge towards a true average.

Max read/write buffer size

This is the maximum size (in bytes) the read/write buffers can grow to. It seems like the performance is not much affected by this value.

Msec before timeout

This is how long, in milliseconds, Probe will wait for response of a command. If the server don't answer within the timeout limit, a timeout happens.

On a slow (modem type) connection a higher value is beneficial.

On a better connection, a lower value allows for giving up a connection attempt faster.

NOTE: During the connection setup phase, the Probe main window is not responsive to user input.

Max nr of timeouts

In some situations, an FTP command is aborted if no server response arrives within a certain number of timeouts.

Server to Server Capabilities

FTP Server to Server operation refers to connecting two FTP servers on the Internet, using an FTP client for controlling file transfers in between the servers. More information is available at the Server to Server Transfers section.

Can be source in server to server...

This option is checked if the server has the capability of being the source of a server to server operation.

NOTE: This option is set by default. When Probe detects that a certain server cannot act as source in S2S transfers, it is cleared.

Can be target in server to server...

This option is checked if the server has the capability of being the target of a server to server operation.

NOTE: This option is set by default. When Probe detects that a certain server cannot act as target in S2S transfers, it is cleared.

FTP ASCII,Binary Type Dialog

NOTE: For the setting in this dialog to have affect, the setting Mix Binary/ASCII in the FTP settings dialog must be checked.

This dialog allows for detailed control of which files are treated as ASCII files, and which are treated as Binary files.

The idea of this dialog is to create two lists of file extensions, one for ASCII and one for Binary, which can be used to determine how to transfer a given file.

In fig 4, you can click on the dialog items to go to their descriptions.

Fig 4: The FTP ASCII,Binary type setup dialog

wpe24.gif (9171 bytes)

ASCII list

This is the list of extensions which decide which files are treated as ASCII files during file-transfer.

Use the 'Add' buttons to enter new file extensions, a single at a time, or several separated by commas.

The 'Clear all' button clears the ASCII list.

With 'Delete', only the selected items of the list are removed.

Binary list

This is the list of extensions which decide which files are treated as Binary files during file-transfer.

This list is controlled similarly to the ASCII list described above.

The transfer buttons

Using these two buttons, selected extensions can be moved from the ASCII list to the Binary list and vice versa.

Unmatched file defaults

When a file-transfer encounters a file extension not in any of the two lists above, the following settings are used to decide on how to handle the file.

Assume unmatched to be Binary

The file for which no match was found is assumed to be a binary file.

Assume unmatched to be ASCII

The file for which no match was found is assumed to be a text file.

Query on unmatched

In case of an unmatched file, a dialog is displayed to let the user decide on it's category. When using silent file-transfers, this setting is ignored. Instead one of the two assumptions above will be used.

Copy settings from other ftp fil e

This button allows for importing settings for ASCII,Binary type resolution from another Probe FTP file. When pressing this button, a 'Browse for file' dialog appears.

The Unmatched File Extension Dialog

When the option Query on unmatched is indicated in the FTP Binary,ASCII type dialog, and the Mix Binary,ASCII setting has been checked in the FTP Settings dialog Probe will display this dialog when it encounters a filename extension not matched by the ASCII,Binary type lists described above.

Click the items in the dialog of fig 5 to view it's associated help text.

Fig 5: The Unmatched file extension dialog

wpe2B.gif (4463 bytes)

ASCII transfer

The file is to be transferred with the FTP protocol performing remote and local text format conversions.

Binary transfer

The file is to be transferred with no conversions taking place.

ASCII transfer, add to ASCII type list

The file is to be transferred with the FTP protocol performing text format conversions. The filename extension is added to the list of filename extensions treated as text files.

Binary transfer, add to Binary type list

The file is to be transferred with no conversions taking place. The filename extension is added to the Binary type list.

Keep this setting for rest of transfer

The current setting for unmatched files are used for all subsequent unmatched files in the transfer, with no query.

The remote connection dialog

This dialog appears when opening a remote connection where not all login information is stored with the connection data.

Click the items of the dialog in fig 6 to go to their associated help text.

Fig 6: The Remote connection dialog

wpe22.gif (2943 bytes)

Username

Enter the username for the remote connection here.

Password

Enter the password for the remote connection here.

Next: FTP Operation

Back: The Probe FTP Client Concept


FTP Operation

An FTP connection is established by double-clicking an FTP subfolder in Probe, and optionally providing login information. After this, it is handled very much as any other folder.

  • File Operations
  • Navigation
  • FTP and the Log Window
  • No VDrives in FTP Sites

File Operations

The remote server usually have different level of permissions for different users. Different restrictions may apply to different folders on the remote server. There's often no way of knowing if a particular file operation will succeed, except by trying it. In case of failure, Probe will provide feedback.

The following file operations are available on remote FTP sites:

  • Download. This operation is triggered when copying files to another folder in Probe, using F5 or Drag&Drop.
  • Upload. When you copy a file to an FTP site, it is uploaded. With many FTP sites, users are only allowed to upload to certain folders.
  • Renaming. Editing the filename with the F2 or Ctrl-N function renames the file on the server.
  • Moving. When files are moved within an FTP site, the file is not transferred on the Internet. Instead, the remote server receives a move command.
  • Folder creation. New folders are created on the remote machine through the F7 or the 'New Folder' command in the storage specific menu.
  • File/Folder deletion on the remote server. This is invoked by pressing Shift-Delete or Shift-F8.

NOTE: The operations Upload, Rename, Move, Folder create, Delete, on the remote server require write permission for the user.

Navigation

You navigate the FTP site as you navigate local storage, double-clicking folders, or by pressing Enter on the folders which you want to browse.

NOTE: To view the contents of a remote folder, read permission is required for that particular folder.

The navigation tools, such as the Tree Browser, the Location Bar, the Alt-F1, Alt-F2 functions all work in remote FTP sites.

Many FTP servers have user specific paths, which simplify navigating a complex folder structure for a particular user. To access these, the Path function, invoked by F10, can be used. Examples of such paths are ~, ~username, ~cdrom etc.

Fig 1: The Path dialog

operat2.gif (2914 bytes)

To minimize the directory listings that must be fetched from the remote server, Probe sometimes uses 'multi-folder paths'. A remote path involving several subfolders may be represented as a single folder in Probe. More information on this is available in FTP Specific Commands.

Fig 2: A multi-folder path in an FTP site

wpe24.gif (2016 bytes)

FTP and the Log Window

Many FTP sites provide a login message when connecting, and sometimes a message is sent when entering certain directories. To view these messages, the (###)Log Window is used. Probe echoes commands, output of helper programs, remote server response, ...etc, to the Log Window.

After opening a Log Window frame in the Probe main window, you can monitor the interaction with the remote server, and read the messages from the server. Click Frames for more info on frames handling in Probe.

Fig 3: The Log Window during FTP connection setup.

wpe25.gif (5680 bytes)

No VDrives in FTP Sites

The term 'VDrive' in Probe refers to subfolders where the storage type changes relative its parent folder. For example a Zip file represent a change of storage method compared to its parent folder, the same holds for an FTP connection.

Probe support nested VDrives, that is, Zip files may be located inside for example a RAR archive, or FTP connections can be inside Zip files, etc.

With FTP connections, this sort of nesting is not supported, that is, you cannot view the contents of for example Zip files as long as it's on the remote server. The reason behind this, is that there is no way of asking the FTP server what the contents of a Zip file is. Automatic retrieving of the Zip file before browsing it is regarded as to expensive.

When handling compressed files such as Zip, Tar, Gz, Z, Rar, Arj over FTP, you must download the files, and browse the contents of the local copy of the file.

Next: FTP Specific Commands

Back: Creating a New FTP Connection


FTP Specific Commands

There are some Probe commands that are unique to FTP connections:

  • FTP Settings
  • Disconnect
  • Resumed Uploads/Downloads
  • Server to Server Transfers
  • Server Intern Operations
  • ASCII,Binary Transfer Handling
  • Multi-folder Paths
    • Folder Directly Above
    • Folder Immediately Below
  • Custom FTP Commands

FTP Settings

The FTP settings dialog can either be invoked from the file popup menu of an FTP connection, or from the storage specific menu when a Folder Browser or Tree Browser is located inside the FTP connection.

The FTP Settings dialog is invoked when the connection is created the first time. It can be opened at any time after this as well.

go to the FTP Settings Dialog for more information on FTP settings.

Fig 1: The item FTP Settings in the file popup menu.

wpe27.gif (5093 bytes)

Fig 2: The item FTP Settings in the storage specific menu

wpe29.gif (4592 bytes)

Disconnect

The connection to a remote FTP site can be explicitly disconnected through this command. It is available either through the storage specific menu (fig 2) or through the file file popup-menu of a connected site (fig 3).

For automatic disconnect of remote sites, see Remote Settings

Fig 3: The Disconnect command on the file popup menu

FTPSpe16.gif (7099 bytes)

Resumed Uploads/Downloads

An FTP file-transfer may sometimes be aborted before completed. The reason may be a failing network connection, or that either the client or server side cancels the operation.

If this is the case, part of the file that was being uploaded/downloaded exist on the remote/local side. Rather than transferring the entire file again, only the part of the file that was not transferred needs to be sent over the network connection. This concept is therefore termed 'Resumed Upload' or 'Resumed Download'.

Almost all FTP-servers support the concept of 'Resumed Upload'. When Probe detects that a file with the same name as the file being uploaded, exist on the remote server, it queries whether to append the tail of the local file to the end of the remote file (fig 4).

Many FTP-servers also support the concept of 'Resumed Download', although some does not. When a file with the same name as the one being downloaded, exist in the local target folder, Probe queries whether to append the tail of the remote file to the local file.

Fig 4: About to resume a previously aborted upload

FTPSpe17.gif (5208 bytes)

Server to Server Transfers

Say you want to copy some large files from one computer to another one at your office. The problem is that you're only connected to the office using a phone-line. Downloading the files over the phone-line from the first computer, and then uploading them again, to the second computer seems like an awkward solution.

In this type of situation, the concept of FTP Server to Server transfers is useful. Probe implements this concept. The above situation could be resolved by starting the file-transfer between the two remote computers over the phone-line. The data connection will be established between the two remote computers though. Only control data is actually sent on the slower phone-line, while the file-data is transferred using the most efficient path between the two remote computers. This is depicted in fig 5.

Fig 5: The FTP Server to Server concept

FTPSpe18.GIF (3485 bytes)

When a file-transfer between two FTP connections is initiated, Probe will attempt to use the more efficient Server to Server method transparently. Since not all servers implements this functionality, Probe will try the normal method in case of either one of the servers not supporting Server to Server transfers.

NOTE: Some servers may accept to be the source, but not the target of a Server to Server transfer, and vice versa.

NOTE: Since the file-data does not go through the Probe FTP client, no progress information for individual files is available. Probe is notified at the end of each file transferred though.

Server Intern Operations

A special case of Server to Server transfers is when files are transferred (copied or moved) within a single FTP-server. This provides an efficient method for managing the contents of a remote computer. The situation is depicted in fig 6.

Fig 6: Server Intern Transfers

FTPSpe19.gif (2900 bytes)

When a file operation (copy/move) within a remote computer is attempted, Probe will use the following strategy to perform it:

  • If it is a Move operation within the remote server, transform it into a rename operation.
  • If it is a Copy operation, or if the method above failed, try establishing a Server to Server operation, where a single server plays the roles of the two servers.
  • If none of the previous methods succeeds, copy the file to the Probe FTP client, and then Copy back to the remote server.

NOTE: Probe automatically tries the most efficient transfer method first. Server to Server transfers and Server Intern operations happen transparently.

ASCII,Binary Transfer Handling

ASCII, Binary type resolution is covered in detail in the FTP Settings Dialog section. You can modify the settings for the ASCII,Binary type resolution while the connection is active.

To force binary file-transfer, click the 'Binary transfer' option in the FTP Settings dialog, and then 'Done'.

To force ASCII file-transfer, click the 'ASCII transfer' option in the FTP Settings dialog, and then 'Done'.

Multi-folder Paths

Often users connect to locations in FTP sites that are deep down in the folder hierarchy of the remote site. Similarly, when clicking remote links, long jumps in the remote folder structure may be performed.

Since Probe is capable of giving a tree presentation of the remote site, the question arises on how to handle the unvisited folders between the root and that of the target folder. One method is to retrieve directory listings for all such folders to be able to present the tree structure.

Probe solves the problem by another approach, it creates a subfolder which represents several steps in a remote folder hierarchy. In this way, communication with the server is minimized, while a true presentation of the remote tree is maintained.

Example:

Suppose we're connecting to a remote site with default start directory auto/bart/v4/d94/asn. To correctly represent this in a Tree Browser we'd need to retrieve the contents of the folders:

  • / (The UNIX root)
  • auto
  • auto/bart
  • auto/bart/v4
  • auto/bart/v4/d94

This can potentially be time consuming. To cope with the situation, Probe represents the five subfolders in the path with a single virtual folder:

  • auto/bart/v4/d94/asn

This situation is apparent in fig 7. Using this approach Probe avoids having to retrieve directory listings for five possibly widely branching subfolders.

Fig 7: A multi folder path in the Tree Browser

wpe2A.gif (4123 bytes)

Folder Directly Above

Suppose a Folder Browser is located in the auto/bart/v4/d94/asn folder above as in fig 8, with the tree structure as in fig 7. We want to go up only a single folder within the remote site, that is to the folder:

  • auto/bart/v4/d94

To achieve this, we use the item Folder Directly Above (fig 8) in the storage specific menu.

The Folder Browser moves to the folder above, and in fig 9 the tree structure of the remote site is displayed after this command.

This command can also be invoked through the keyboard combination Ctrl-Shift-PageUp.

Fig 8: The Folder Directly Above command

wpe2B.gif (8645 bytes)

Fig 9: A single folder has been 'chopped off the end' of the multi folder path, as compared to fig 7

wpe2C.gif (4470 bytes)

Folder Immediately Below

Suppose we'd like to examine the folder auto of the multi folder path:

  • auto/bart/v4/d94

To achieve this, there's the Folder Immediately Below (fig 10) function available through the file popup menu. After invoking this command, the Folder Browser moves into the auto subfolder. This situation in the Tree Browser is depicted in fig 11.

This command is also available through the keyboard combination Shift Enter.

Fig 10: The Folder Immediately Below menu item

wpe2D.gif (5660 bytes)

Fig 11: The Tree Browser after invoking Folder Immediately Below'

wpe2E.gif (4623 bytes)

Custom FTP Commands

Some FTP servers allows for commands which are not in the basic FTP protocol. These commands may implement functions such as changing the UNIX file attributes of a file, listing the current users of the server etc.

an FTP custom command can be invoked when a Folder Browser or Tree Browser is located inside an FTP connection. The item is found in the storage specific menu, see fig 2.

When invoked the dialog of fig 12 appears. Click the dialog items in fig 12 to view the related help text.

Fig 12: The FTP Custom command dialog

wpe26.gif (9145 bytes)

Command line

Edit the command line to be sent to the FTP server here. If you want to iterate a command on the currently selected files, use the %f parameter where the filename would have been inserted. Probe will then run the command once for each file in the selection. Subfolders are treated in accordance with the subfolder handling flags.

When finished editing the command, press 'Invoke command now' to send the command string to the server.

The FTP custom commands are expected to be command strings that are sent to the server, and strings are returned from it. Commands which need to setup data sockets will not function in this dialog.

Invoke command now

Press this button to send the command string to the FTP server. Probe will wait for a reply from the server, which is echoed in the Remote response text box.

Return to main program

When finished with the remote command, press here to return to the main window of Probe.

Remote response

The response of the command sent to the remote server is echoed here.

Next: Some Hints on FTP Usage

Back: FTP Operation


Some Hints on FTP Usage

Below are some examples on how FTP connections can be used within Probe, and hints on how to solve some FTP related problems.

  • With Collectors
  • Using Collectors as FTP Bookmarks
  • Multiple Logins
  • With the Location Bar
  • FTP together with the Log Window
  • Problems
    • AsciiBinResolution - Assume Binary
    • Automatic Subfolder Scanning
    • Remote Archives not Transparent
    • Folder Names with '/' in them

With Collectors

Probe supports offline FTP browsing, through the concept of File Collectors. Two applications of this are:

  • When the Internet connection is of dial-up type, it is not very well utilized while you're browsing the folders of the remote site. Doing offline browsing, and reconnecting after deciding on what to download can be more effective.
  • It's easy to keep local copies of the folder structures of remote sites using Collectors. Searching a File Collector is a lot faster than searching a remote site. Also the remote server may be temporarily down or too busy with other clients.

To do offline browsing, follow these steps:

  • Open the FTP site you want to browse offline, in a Folder Browser.
  • Navigate to the folder you want to have as root folder in the offline Collector.
  • Select the files to be in the offline Collector, with usual selection mechanisms.
  • In a second Folder Browser, create a File Collector through F7, and then selecting 'Collector Folder' as folder type. Give it a name name that you associate with the FTP site.
  • Now, copy 'file references' from the FTP site to the Collector, either by Drag&Drop, or through keyboard accelerator F5. Note that only the folder structure and file information is copied to the Collector, not the actual contents of the FTP files.
  • You can now disconnect the FTP site, and browse the Collector. When you try to access files within the Collector, Probe will automatically attempt to connect to the remote site to retrieve the file.

Using Collectors as FTP Bookmarks

File collectors can be a good tool to keep track of the same subject located at different remote sites.

Since items within a Collector Folder need not be located in the same physical folder, you can maintain pointers to information with a folder structure based on subject instead of actual local/remote location.

Both remote folders, and individual remote files can be placed within a single Collector Folder, so that pointers to information resources can be categorized by subject.

Fig 1: Using a Collector as a collection of FTP bookmarks

wpe4.gif (6101 bytes)

Multiple Logins

Some FTP servers allows for multiple logins by a single user. Using this, you can download a file, and browse other folders of the same site simultaneously.

Another use of multiple logins, is to download shorter files at the same time as downloading a larger file in the background. Readme:s, index files and hints to the user is often stored as small text files on the remote server.

Probe also supports multiple connections to several different sites at the same time.

With the Location Bar

The Location Bar can store paths to any file/folder object that Probe knows about. Using this, you can drop folders within remote sites onto the Location Bar for single click access. Probe will automatically connect to the remote site and browse to the particular folder.

Also, when configuring the Location Bar as a Drop Target, you may upload files to the FTP with Drag&Drop onto the Location Bar.

FTP together with the Log Window

The Log Window of Probe is useful when connecting to remote sites. Here you can monitor the actual FTP protocol level communication with the remote server.

You open a Log Window through the 'Frames' pull-down menu of the Probe main window:

  • Prepare space for the new frame. Information on how to do this is available at Frames, Reference.
  • Open the 'Frames' pull-down menu.
  • Open the 'New Frame' submenu.
  • Select 'New Log Window'.
  • Enter a title for the new log window.

Some uses of Log Windows with FTP sites are:

  • View logon messages echoed from the server
  • View messages that some servers send when entering certain directories.
  • Monitor file transfer progress.
  • In case of FTP failure, to diagnose the cause of the problem.

Problems

  • AsciiBinResolution - Assume Binary
  • Automatic subfolder scanning
  • Remote archives not transparent
  • Folder names with '/' in them
  • Connection problems

AsciiBinResolution - Assume Binary

If you're unsure of whether to use ASCII or Binary file transfer, it is safer to do Binary file transfer. You find the setting for binary transfers under 'FTP settings', and 'Local options'. More information on ASCII/Binary type resolution is available under the FTP Settings Dialog section.

When transferring a text file (ASCII) as binary, the line-feed information in the file may become invalid, making the file appear on a single line in a text editor. There are tools to correct this, and some editors are insensitive to this. Also, the text information is still available, although on a single line.

When transferring a binary file as ASCII, the problem is worse. The file will usually become corrupted and it's difficult to undo the changes.

Automatic Subfolder Scanning

If you use the option 'Scan for subfolders' in the FTP settings dialog, you may experience low performance when opening remote folders.

The standard setting for remote subfolders is 'Safe subfolder report'. If a server sends incorrect subfolder information (a sign of this is that the Tree Browser indicates that a subfolder can be expanded when it actually has no subfolders), you use the 'Scan for subfolder option' to make Probe explicitly check if folders can be expanded.

If you find that the 'Scan for subfolders' gives a performance hit, change the setting to 'Assume subfolders always'. The drawback is that the Tree Browser will falsely indicate that folders have subfolders.

Remote Archives not Transparent

Files which have an internal folder structure in Probe, (Zip, Arj, FTP, CTR, ...), that is VDrives, cannot be opened while they're located on the remote server. You must first copy the file to a local drive before browsing it's internals.

Folder Names with '/' in them

A folder name such as auto/bart/v4 represents several subfolders on a remote server. It's possible to breakup such paths into it's components. More information on this is available under Multi-folder Paths.

Connection Problems

If you're having trouble connecting to a remote site:

  • Check the username and password.
  • If the server is very busy you'll get timeout messages. You can increase the timeout value under the 'Performance Settings' in the FTP Settings dialog. Under such circumstances it can be quite time consuming to do FTP.
  • Open the Probe Log window. (FTP with the Log Window). See if any hint on what goes wrong appears within the Log Window.
  • It may be that Probe has difficulties in parsing the responses from the remote server program. To confirm this, run the DOS FTP client and attempt to connect to the same site, using the same user and password combination. Use the DOS command line FTP mysite.area.com to attempt this.

If the problem is not solved by above procedures, send a bug reportt.

Next: File Collectors

Back: FTP Specific Commands


File Collectors

A 'File Collector' is basically a file containing a collection of shortcuts to other files and folders. These shortcuts (within the Collector) are often called 'references' or 'file references', or even shorter 'filerefs'.

No part of the contents of the actual files is stored in the Collector file. Instead, information such as filename, location, file size, attributes, ...etc, is stored in it.

Collectors provides a way to browse a storage structure, even when the files themselves are not directly available.

When the files referenced within a collector are physically available, files may be opened, copied etc, from within the Collector.

When browsing a collector, the referenced path can either be shown or hidden (Fig 1,2). Also, if Probe thinks that a certain file is accessible, it's name will be drawn with the default color. If Probe don't think that the file is accessible, it'll be drawn using gray color.

  • Collectors, When to Use
  • Collectors, Reference
  • Collectors, File Format

Fig 1: A Collector with references shown

wpeA.gif (7114 bytes)

Fig 2: The same Collector with references hidden

wpeF.gif (6087 bytes)

Next: Settings

Back: The FTP Client


Collectors, When to Use

Even though the concept of grouping together a collection of shortcuts to other files in a single file may seem simple, it's quite a valuable tool in file managing.

The collector representation have some important properties:

  • A storage structure can be browsed even when the actual storage is not available.
  • Browsing the Collector is done exactly as any other folder in Probe. This implies that powerful selection and navigation tools work as usual.
  • Collectors are space efficient. References to 15 000 files can be kept in 1 MB of disk space.
  • Collectors are loaded and searched very efficiently.
  • Collectors allow for folder organization different than that on the actual storage.

Here are some examples of how File Collectors can be used:

  • Offline Browsing of a Remote Site
  • Accessing CD-Rom Folder Structure
  • As a Bookmark Collection
  • When Communicating a Folder Structure
  • To make Snapshots of Local Disks
  • Fast Searching
  • With Selection Algebra

Offline Browsing of a Remote Site

In a dial-up situation, or when when a remote site is not continually available, a Collector can be created to mirror the contents of selected parts of the site. The directories of the site can then be browsed and searched when the server is unavailable.

More information is available at the section using FTP with Collectors.

If there are several remote sites which you access regularly, their structure can be stored in a single or several Collectors. Collectors containing references to 100 000 files are likely to consume less disk space than 10 MB.

Browsing and searching such a Collector is many times faster than connecting and searching the actual site.

Accessing CD-Rom Folder Structure

Creating a Collector for the contents of a CD is easy. When doing so, one can browse and search CD:s without having to physically access them. Only after locating the file being searched for, the specific CD can be inserted into the CD-player. A lot of media swapping is eliminated.

As a Bookmark Collection

Since a single folder within collector can contain references to many different directories located on local/remote storage, one can group file references on subject rather than on it's physical location.

More information on this is available at using Collectors as FTP bookmarks.

When Communicating a Folder Structure

Collectors can be used when wanting to communicate a folder structure to someone else. Say someone has installed a program which not functions correctly, and that you suspect that some file is missing. If that person sends a Collector containing the file structure to you, you can determine if files are missing.

To Make Snapshots of Local Disks

Making a Collector that is a snapshot of a local disk containing, say 10 000 files, takes less than a minute. Since Collectors can have a comment associated with it, you can store a remark about the state of that disk at Collector creation time.

Using Collectors this way, you can decide what program installations are responsible for installing certain system files.

Fast Searching

Loading and un-parsing Collectors is typically done at a rate of 10 000 files/s. As a consequence, searching a Collector is a magnitude faster than searching a local disk, and several magnitudes faster than searching remote storage.

With Selection Algebra

Assume we're working in a project that has many types of files in it. We're interested in finding out which files have been added and modified to the project for a given time-period. With Collectors, we can do that as follows:

  • At the beginning of the period make a snapshot of the project:
    • Create a Collector a the target folder
    • Select all files and folder in the root of the project
    • Copy them into the collector
  • At the end of the time-period we want to see what has changed:
    • With one Folder Browser:
      • Go to the root folder of the project.
      • Select all files and folders of the project recursively:
        • Num-Add - brings up the Simple Selection Dialog.
        • Wildcard * (match any file/folder).
        • Option 'Recursively select in all subfolders'.
    • With the other Folder Browser:
      • Go to the root of the collector created above.
      • Select all files and folders in it, using accelerator Ctrl-A.
      • Use Shift-F6 to bring up the Selection Algebra Dialog:
        • Make sure the 'File date' and 'File size' options are checked, and set to the 'Identical' setting.
        • The target action should be deselect.
        • Press OK to invoke this.
    • Now, in the project root folder, only the files that have been added to the project, or modified, during the time-period remains selected.
    • Use Selection Information (F9) and 'Recursive Selections' to view precisely the files that remain selected.

Next: Collectors, Reference

Back: File Collectors


Collectors, Reference

In this section, File Collectors are described in detail. Information on Collector creation, Collector settings, file operations and other operations specific to Collectors is given.

  • Creating a Collector (F7)
  • Collector Settings Dialog
    • Collector Status
    • Collector Options
      • Delay Disk Update as Long as Possible
      • Update 'FileExist' Flag on Access
      • Expand Folder Structure of Packed...
    • Collector Comment
    • Path Mappings
      • Enable Pathmapping
      • Case Sensitive Mapping
      • Mapped String Ends with '\'
      • Path Prefix
      • Maps To
      • New Mapping
      • Edit Mapping
      • Delete Mapping
    • Save Settings
  • File Operations with Collectors as Destination
    • Creating File References - Copy (F5)
    • Moving File References (F6)
    • Deleting File References (Shift-Delete, Shift-F8)
    • Making subfolders (F7)
  • File Operations with Collectors as Source
    • Copying Files (F5)

    • Accessing Files

  • Collector Specific Operations
    • Show References
    • Validate Contents
    • Collector Settings
    • Save Collector
    • Go to Referenced
  • Collectors and other VDrives
    • Explicit Expansion of VDrive Structure
    • Implicit Expansion of VDrive Structure

Creating a Collector

A File Collector is created with the 'New Folder' dialog. It can be invoked either by F7, or through the new folder button wpe1.gif (971 bytes) or through the white area popup menu of a Folder Browser.

In this dialog, we select the type 'Collector Folder'. We also have to provide a name for it. When pressing OK, the Collector settings dialog appears.

Fig 1: The 'New Folder' dialog

wpe2.gif (5601 bytes)

Collector Settings Dialog

This dialog presents Collector parameters and handle various Collector settings. In the image below, click on a control to jump to the associated help-text.

Fig 2: The Collector Settings dialog

wpe3.gif (13794 bytes)

Collector Status

Here some statistics on the Collector is presented.

The item 'Collector size' refers to the size of the Collector file itself.

The item 'Sum of filerefs size' refers to the sum of the sizes of all files referenced by the Collector.

Collector Options

Some options regarding access/file operations within the Collector are controlled from here.

Delay Disk-update as Long as Possible

Using this option, Probe will delay updating the Collector disk representation as long as possible.

This can be useful when doing small modifications to large Collectors, but a drawback is that a program or computer crash would cause changes to the Collector to be lost.

Update 'FileExist' Flag on Access

The name of a file in a Collector is colored black if Probe knows that the item exists. If Probe thinks that the item is not accessible, the name is colored gray.

If you don't want Probe to do this when accessing the Collector, clear this option.

NOTE: Probe will not uncompress files or connect to remote sites to check for existing files when browsing a Collector.

Expand Folder Structure of Packed...

When making file references to compressed archives, Probe can either make a single reference to the compressed archive, or it can make references to each file within the compressed archive.

With this option checked, Probe will automatically expand the archive structure into the Collector. As a result, the archive may be browsed from within the Collector.

Only a single level of archive folder structure expansion is performed, that is, the folder structure of a compressed archive within another such archive is not available.

NOTE: Collector size will increase with this option. Creating the Collector will also take longer.

Skip Fancy Icons

This option will skip extracting specific icons for programs etc. Instead it will use simpler icons, only based on filename extensions. It can speed up collector browsing slightly.

Collector Comment

Edit a comment regarding the collector here. The comment can be modified after Collector construction.

Path Mappings

With path mappings you can keep file references valid even after the path to the files have changed. This is done by substituting prefixes of paths with some other string.

As an example, suppose we've created a Collector with references to a CD-Rom with drive letter F:. At a later time, we want to use the Collector on a computer where the CD-Rom is located at G:. We accomplish this by mapping the path prefix F: to G:. Doing so, we can access the files from within the Collector.

Enable Path Mapping

Turns the path mapping on/off. The buttons for creating new/editing old path mappings will only be enabled with this option checked.

Case Sensitive Mapping

If the referenced files are located on a UNIX file system, it may be important to distinguish upper and lowercase paths. With this option, a prefix is only substituted if all letters in a filename match the prefix with identical case.

Mapped String Ends With '\'

Suppose we have a mapping, C:\Text to C:\Old\Text. With this option checked, the prefix C:\Texts would not be modified.

If this option was unchecked, C:\Texts would be substituted with C:\Old\Texts.

Path Prefix

This box contains a listing of all prefixes to search for in file references. The 'Maps to' alternative on the same line, to the right in the dialog, contains what the prefix should be substituted with.

Maps to

This is a listing of how the matched prefixes should be mapped.

New Mapping

Press this button to create a new path mapping (Fig 3). This button is only active after checking the 'Enabling path mapping' option.

Fig 3: The New Mapping dialog

wpe4.gif (3686 bytes)

Edit Mapping

Pressing this button invokes the 'Edit path mapping' dialog for the pair selected in the 'Path prefix' and 'Maps to' boxes. This dialog is similar to fig 3.

Delete Mapping

Pressing this button will delete the currently selected path mapping in the 'Path prefix' and 'Maps to' boxes.

Save Settings

This button will exit the dialog and force the Collector to be updated to disk. It's useful after modifying a Collector or it's settings when the option 'Delay disk update as long as possible' is activated.

NOTE: A Collector is automatically updated to disk if the check box 'Delay disk update as long as possible' is cleared.

File Operations with Collectors as Destination

A Collector cannot contain any actual files, it can only contain references to other files and folders, potentially accessible with Probe. In this sense, when a Collector is used as a destination, there are no file operations, only file reference operations.

Creating File References - Copy (F5)

By using F5 or Drag&Drop, references to files and folders can be created. (Fig 4)

The source can be any folder containing files, such as a local drive (C:, D:, ...), a network drive (\\MyServer\Path,...), a folder within a compressed archive, a folder in an FTP site etc.

NOTE: Some objects in the Win32 Shell space, such as Control Panel items, printers, 'MyComputer' etc, do not have a file representation, and cannot be referenced in a File Collector.

Fig 4: Creating references in a Collector

wpe5.gif (6285 bytes)

Moving File References (F6)

File references can be moved between two Collectors, or within a single Collector. It is not possible to move a file from disk to a Collector, since the Collector only contains pointers to files.

Deleting File References (Shift-Delete, Shift-F8)

File references within a Collector are deleted through Shift-Delete, or Shift-F8.

Making Subfolders (F7)

New subfolders in a Collector are created through the F7 (New Folder) function. The folders created in this way don't reference any physical folder, they are pure virtual folders.

Creating folders in this way enables categorizing information independently of the folder structure of the information itself. Files located in many different physical folders may be referenced in a single Collector folder, and files in a single physical folder can be referenced in several different Collector folders.

NOTE: Only ordinary subfolders may be created in Collectors. No folders such as Zip, Tar, ...etc, can be created within a Collector, since the Collector cannot hold any file contents.

File Operations with Collectors as Source

When a File Collector is used as source for a file operation, Probe will attempt to locate each file referenced in the selection, and access this file if found. This may involve connecting to several remote sites, and expanding archives in the background, so predicting the time consumption by such file operations is difficult.

Copying Files (F5)

You copy files from a Collector by F5, or by Drag&Drop.

If subfolders are included in the selection, the usual subfolder handling rules applies. Probe will attempt to create a Folder structure in the destination folder, identical to the Collector folder representation of the files.

Accessing Files

Files in Collectors can accessed by double-clicking or pressing Enter to open the file with the default tool, F4 for text edit etc. Probe will attempt to locate the files and create local realizations of them if needed.

Collector Specific Operations

There are some operations which only apply to Collectors, and not to ordinary disk folders. You'll find these commands in the storage specific menu of a Collector (Fig 5), or in it's file popup menu (Fig 6).

Some commands are only available in certain situations, and are not displayed on these menus at all times.

Fig 5: The storage specific menu for a Collector

wpe6.gif (6981 bytes)

Fig 6: A file popup menu for a file reference in a Collector

wpe9.gif (7258 bytes)

Show References

This option toggles whether the path of the referenced items is visible or not (Fig 7) when browsing the Collector.

Fig 7: A Collector with visible references

wpeA.gif (7114 bytes)

Validate Contents

This command will cause Probe to iterate through the entire Collector to check for whether the referenced items can be found or not. Items that cannot be found are displayed with their names in gray color. In fig 8, Probe was unable to find the file 'htmlhelp.exe' so it's displayed with gray color.

NOTE: Invoking this command for collectors containing references to remote sites or compressed files may be time consuming.

Fig 8: One reference could not be resolved (grayed)

wpeC.gif (5297 bytes)

Collector Settings

This will bring up the Collector Settings dialog.

Save Collector

If the option 'Delay disk update as long as possible' has been checked in the Collector Settings dialog, this command will be available in the storage specific menu after some modification of the Collector has been performed.

Invoking the command will save the state of the Collector to disk.

go to Referenced

This command is available in the file popup menu of a Collector file reference. Probe will attempt to locate the specific item, and jump the active Folder Browser to this location.

Collectors and other VDrives

A Collector may contain references to files located either in local compressed archives, or within remote sites, as well as references to local files.

When copying a compressed archive to a Collector folder, Probe has a choice of either making a single reference to the compressed file, or to make references to all files inside the compressed archive. In the first case, the icon of the compressed archive will appear 'dimmed' (fig 9) in the Folder Browser, and in the second case it'll be solid, indicating that it's a subfolder within the Collector, containing further references.

Fig 9: A 'dimmed' archive that cannot be entered in the Collector

wpeD.gif (3104 bytes)

Explicit Expansion of VDrive Structure

In the file popup-menu of a reference to a compressed archive there will be a command 'Expand Archive(s) Structure' (Fig 10) as long as it's internal structure is not expanded in the Collector (that is, the icon of the archive is 'dimmed').

Invoking this command will 'un-dim' the icon and expand it's folder structure into the Collector. After this, the compressed archive can be browsed from within the Collector.

Fig 10: The 'Expand Archive(s) Structure' command

wpeE.gif (6803 bytes)

Implicit Expansion of VDrive Structure

Checking the option 'Expand folder structure of packed archive ...' in the Collector Settings dialog will make Probe do expansion of compressed archive structures automatically.

NOTE: Probe will only do this a single level. If a packed archive is located within another packed archive, it's content will not be visible in the Collector. It can be expanded explicitly though.

NOTE: Checking this option will make file operations involving Collectors and compressed archives take longer time, and will produce larger Collectors.

Next: Collectors, File Format

Back: Collectors, When to Use


The Collector File Format

### Not implemented

  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7

Next: Settings

Back: Collectors, Reference


Settings

Most settings for file operations and file browsing are available under the Settings pull-down menu (fig 1) of the Probe main window.

Settings are available for:

  • Browsers (Folder Browsers and Tree Browsers)
  • File Operations (Settings used during file operations)
  • Paths (Paths used by Probe)
  • Compression (Which types of compressed archives to handle etc)
  • Remote (Settings for remote(FTP) sessions)
  • Realization (How to handle local caching of remote/compressed files)
  • Performance (Performance issues for file operations)

Fig 1: The Settings pull-down menu

SettingsMenu.gif (5137 bytes)

Next: Examples

Back: Storage Specific


Settings - Browsers

The Browser Settings dialog displays settings that affect all browsers (Folder Browsers and Tree Browsers).

There are also many settings that are individual to each instance of a Folder or Tree Browser. Such settings are accessed by clicking the right mouse button in the background area of that particular browser, so that the popup menu for that browser is shown.

Click the items of the dialog in fig 1 to access their help texts.

Fig 1: The Browser Settings dialog

SettingsBrowser.gif (10260 bytes)

Recycling Settings

These settings relate to recycling files, that is, deleting files so that they can be recovered from the Recycle Bin.

'Delete' key defaults to file deletion...

Pressing the Delete key when files are selected usually results in sending the selected files to the Recycle Bin.

By checking this option, the files will be fully deleted, rather than moved to the recycle bin, when the Delete key is pressed.

Show file operation dialog when recycling files

When recycling files, Windows will (outside the control of Probe) display a dialog to confirm the action. If also the ordinary file operation dialog is shown, the recycling must be confirmed twice.

By clearing this option, only a single confirmation is needed.

Misc Settings

Display file operation dialog when dropping files

Checking this option causes Probe to display the file operation dialog when dropping files, using either the left or right mouse button. This gives the option of inspecting the files being moved/copied, and controlling other aspects of the file operation.

When clearing this option, the file operation is started with no confirmation.

Allow multiple instances of Probe

When this check-box is set, several instances (different processes) of Probe can be started at the same time.

With this checked cleared, only a single instance of Probe can be started. Attempting to start a new instance will results in the first instance being activated.

Shell Folder OLE Browsing

Some folders in the Win32 browsing space do not contain file objects, but rather different types of services. Examples of such folders are:

  • Control Panel folder
  • Printers folder
  • Internet History folder
  • Recycle Bin folder

The folders above are also called 'Shell Folders', in contrast with 'File Folders', in which the items are stored files, rather than services.

The items in Shell Folders often have different fields of information, as compared to file folders. To accommodate this, Probe can incorporate an OLE object within the Probe main window, when browsing a Shell Folder.

Disable shell folders in fixed drives

This settings disables showing any shell folders in disk drives (C:\, D:\, ...,\\AServer\ASharedDrive, ...). Shell folders located higher in the storage tree (as compared to drives) are still available though (Control Panel, Printers,...).

This option is useful when wanting to view the actual file contents of Shell Folders in disk drives.

Disable OLE browsing of shell folders

This disables using OLE objects to browse Shell Folders. Instead, the ordinary Folder Browser of Probe is used to display the contents of Shell Folders, resulting in only the name of the objects being shown.

Browse 'My Computer' as OLE folder

This option causes the folder My Computer to be browsed as an OLE object, that is, it appears as it would within the MS Explorer.

Filenames Handling Details

These settings affect how filenames are presented/modified in Folder and Tree Browsers.

Don't edit filename...

Usually, a filename can be edited by putting the cursor atop of the filename and then clicking it once. Sometimes this can be experienced as annoying, and this check box disables filename editing using the mouse.

Display 8+3 names in...

In FAT16 drives (FAT16 is file system preceding FAT32), files can have both a short filename (8 letters + 3 letters for file type extension) and a long filename.

When checked, this setting causes the short (8+3) filename to be displayed when browsing FAT16 drives.

Don't prettify filename case

When a filename only contains upper case letters:

  • AFILE.TXT

it will be presented as:

  • Afile.txt

Checking this option disables the conversion above.

Filename Coloring

Filename coloring is used to indicate the state of a file or folder. If the file has no particular state, it's name is usually painted using black color.

Use different colors...

This enables/disables filename coloring to emphasize file state.

Edit Colors

To edit the colors used for emphasizing states, use this button. It will invoke the Filename Coloring dialog.

Next: Settings - File Operations

Back: Settings


Settings - File Operations

The dialog for settings relating to file operations is a tabbed dialog, containing five dialog pages:

  • Subfolder Settings
  • Operation Settings
  • Notification Settings
  • File Attributes Settings
  • File Clash Settings

Fig 1: The tabbed File Operation Settings dialog (clickable)

SettingsFOPFileOperations.gif (2250 bytes)

Next: Settings - File Operations - Subfolders

Back: Settings - Browsers


Settings - File Operations - Subfolders

When subfolders are included in a file operation, they can be handled in one of four basic ways in Probe. More information on this is available under Subfolder Handling.

The dialog in fig 1 sets the default choice for subfolder handling. Click the items of the dialog to jump to their help texts.

NOTE: In the dialogs that are shown before starting a file operation, the subfolder setting is usually available.

Fig 1: The Subfolders dialog page

SettingsFOP_Subf.gif (8382 bytes)

Treat as none selected

When selected, this option causes subfolders to be copied without any of their contents included. As a result, only files in the base folder of the operation are included in the file operation.

Treat as fully selected

When selected, this option causes all files and all subfolders of the base folder of the file operation to be included. This setting is used when copying entire folder structures.

This option is implicit in file managers such as MS Explorer.

Recursive selections

The contents of subfolders is included depending on the selection status of individual items within it. This makes it possible to do a file operation including many subfolders, but only include a subset of all files within those subfolders in the operation.

Recursive filters

A file filter is a file criterion that can be used to display only files matching the criterion in a Folder Browser. The file filter can also be applied on the subfolders of a file operation. In that case, only the subfolder contents that matches the file filter criterion is included in the operation.

Use selections/filters in nested VDrives

Usually when a compressed archive is included in a file operation operation, we want the entire archive to be included in the operation. That is the case when this option is cleared.

Sometimes we may want to copy only a subset of all files within a number of compressed archives. In other words, from a number of compressed archives, we only want to copy a subset of files. In that kind of situation, this setting should be checked.

Next: Settings - File Operations - Operation

Back: Settings - File Operations


Settings - File Operations - Operation

The settings in this dialog page relate to how the file operation proceeds once started. Click the items of the dialog to jump to their help texts.

Fig 1: The Operation dialog page

SettingsFOP_Oper.gif (8228 bytes)

File operation in separate thread

With this option set, Probe will launch all file operations in separate threads of execution. As a result, Probe may be as usual while the operation is in progress.

Clearing this option will force Probe to wait until a file operation completes before entering a responsive state again.

Silent mode (Operate without dialogs)

Usually when Probe encounters a problem, or want to display some notification, this is done in a dialog, and the operation cannot continue until the user responds.

In silent mode, all such dialogs are suppressed and the file operation will not pause for input until completed.

To verify the success of a file operation in silent mode, use the Log Window.

Handle files in ... order

This decides the order within a file operation the that files are handled. There are three possibilities:

  • Don't care which order files are handled in
  • Sorted, Ascending order The file aaa.dat is handled before bbb.dat.
  • Sorted, Descending order The file bbb.dat is handled before aaa.dat.

This setting can prove valuable when the files being copied/moved are immediately processed on the target side, and the order of the processing of the files matters.

NOTE: Using the Don't care setting is slightly faster when handling many files, since a sorting step is eliminated.

Next: Settings - File Operations - Notify

Back: Settings - File Operations - Subfolders


Settings - File Operations - Notify

When doing lengthy file operations, such as large backup operations, or transfers over a slow network connection, it may be good to receive a notification when the operation completes.

The dialog in fig 1 controls how to notify the user at the completion of a lengthy file operation. Click the items of the dialog to jump to their help texts.

Fig 1: The Notification dialog page

SettingsFOP_Notify.gif (7080 bytes)

Number of seconds

If a file operation take longer time than the number in this edit box (in seconds), the user is notified on completion of the file operation.

Notify by displaying a message box

Check this box to be notified by a popup message box on completion of lengthy file operations.

Notify by playing a sound

Check this box in order to be notified by a sound when the file operation completes.

A simple 'beep' signal

Check this radio button to be notified by a 'Beep' style sound.

A custom 'wav' sound

Check this radio button to select a custom audio wave file (*.wav) to be notified by on file operation completion.

Wave file

Edit the name of the wave file, or use the 'Browse' button to browse for the audio wave file (*.wav) to be used.

Next: Settings - File Operations - File Attributes

Back: Settings - File Operations - Operation


Settings - File Operations - File Attributes

When moving or deleting files, Probe normally pauses to query the user on what to do when encountering files with System, Read Only and Hidden attributes. This can be disabled by clearing the settings in this dialog page.

Click the items of the dialog in fig 1 to jump to their help texts.

Fig 1: The File Attributes dialog page

SettingsFOP_FileAttr.gif (7348 bytes)

Alert when encountering system files

With this option set, Probe will pause for user confirmation before moving/deleting files with System file attribute.

Alert when encountering readonly files

With this option set, Probe will pause for user confirmation before moving/deleting files with Readonly file attribute.

Alert when encountering hidden files

With this option set, Probe will pause for user confirmation before moving/deleting files with Hidden file attribute.

Next: Settings - File Operations - File Clash

Back: Settings - File Operations - Notify


Settings - File Operations - File Clash

The situation where an attempt is made to move/copy a file that already exist in the target directory, is referred to as a File Clash. Normally in this situation, Probe will stop to query on what action to take, such as skipping the file, replacing the existing file, ...etc.

In the case of a silent file operation (all dialogs are suppressed), some method is needed to decide on what to do in File Clash situations. That's where the File Clash dialog page below comes in.

Click the dialog items of fig 1 to jump to their help texts.

Fig 1: The File Clash dialog page

SettingsFOP_FileClash.gif (9966 bytes)

Use the newest file

With this setting, Probe will compare the dates of the two clashing files, and use the file with newest date.

NOTE: This setting should be used when wanting to have the newest version of a file in a given directory.

Use the oldest file

With this setting, Probe will compare the dates of the two clashing files, and use the file with oldest date.

File Date

Under Win32 (Win 95/98 and Win NT), three types of dates are associated with each file. Probe uses one of these three types of date when comparing how old files are.

Creation Date

This refers to the date when a file was created.

Last Modify Date

This refers to the date when a file was last modified.

Last Access Date

This refers to the date when a file was last accessed.

Use the largest file

With this setting, Probe compares the sizes of the two clashing files, and uses the largest file.

Use the smallest files

With this setting, Probe compares the sizes of the two clashing files, and uses the smallest file.

Rename the existing file

This setting causes the existing file to be renamed. When the file clash happens, a new name can be provided in a dialog.

Rename the clashing file

With this setting, the file being copied/moved (the clashing file) is renamed in the target directory. A dialog is shown at file clash time, in which a new name is provided.

Replace the existing file

This forces the existing file to be replaced by the clashing file, regardless of file sizes and file dates.

Keep the existing file

With this setting, all file clashes will be resolved so that the clashing file is skipped, that is, the existing file is kept.

Next: Settings - Paths

Back: Settings - File Operations - File Attributes


Settings - Paths

This dialog displays some paths used by Probe, and also allows for modifying some of these.

Click the controls of the dialog in fig 1 to jump to their associated help text.

Fig 1: The Path Settings dialog

SettingsPaths.gif (5107 bytes)

Program Path

This is the path where Probe was started from.

External Compression Applications Path

This is the path where archive packers and other helper apps used by Probe are stored.

Probe Work Directory

This is the directory where Probe caches files in remote and compressed storage. Also items such as collectors for search results, empty files for icon extraction and more is kept in a subfolder of the Probe Work Directory.

The button Browser for workdir can be used for modifying the location of the Probe Work Directory.

NOTE: When handling compressed or remote files (FTP) frequently it is recommended to have the work directory in a drive with plentiful free space.

NOTE: It is not recommended to have the Probe Work Directory in a networked drive. This will cache files on another computer than the local one.

Text Editor

This is the path to the text editor to be invoked through the keyboard accelerator F4, or the Edit as Text item on file popup menus.

Next: Settings - Compression

Back: Settings - File Operations


Settings - Compression

Probe has two different ways of handling compressed archives:

  • Spawning external command line utilities for the particular format, capturing and parsing output from these.
  • Using support for the archive format integrated into Probe.

Currently only CAB archives are handled in the second way. Some of the external command line utilities are shipped with Probe, while others which are shareware products, must be added manually to Probe.

  • Archive Formats
  • Compression Settings Dialog
    • ARJ Files
    • RAR Files
    • JAR Files
    • Shell Support

More information on handling compressed archives is available under Storage Specific, section Compressed Archives.

Archive Formats

The archive formats that can be handled by Probe, without adding any third party command line utilities are:

  • Zip
  • Cab
  • Tar
  • Z,Gz
  • Tgz, Taz
  • Rar (only archive decompression)

The following formats need command line utilities not shipped with Probe:

  • Arj (needed utility: Arj.exe, version 2.50 or later)
  • Jar (needed utility: Jar32.exe, version 1.01 or later)
  • Rar (needed utility: Rar.exe, version 2.00 or later needed for archive compression)

Compression Settings Dialog

Click the controls of the dialog in fig 1 to jump to their asscociated help texts.

Fig 1: The Compression Settings dialog

SettingsCompression.gif (9895 bytes)

ARJ Files

In order to access ARJ type of archives, the command line utility ARJ.EXE, version 2.50 or later, is needed. Checking this box brings up a dialog that can be used to locate ARJ.EXE.

More information on the ARJ archive format can be found at http://www.websoftware.com/arj.htm.

RAR Files

Archives of RAR type can be browsed and decompressed without providing any third party command line utility. When wanting to create RAR archives using Probe though, RAR.EXE, version 2.00 or later is needed. Checking this box brings up a dialog that can be used to locate RAR.EXE.

More information on the RAR archive format can be found at http://www.rar.de/US/default.htm.

JAR Files

In order to access JAR type of archives, the command line utility JAR32.EXE, version 1.01 or later, is needed. Checking this box brings up a dialog that can be used to locate JAR32.EXE.

More information on the JAR archive format can be found at http://www.websoftware.com/jar.htm.

Shell Support

Shell support for an archive type means associating Probe with the particular type, and registering an icon to be used for the type. When double-click archive.

NOTE: In order to browse compressed archives of the types mentioned above, Probe need not provide shell support for it.

Next: Settings Remote

Back: Settings Paths


Settings - Remote

Remote connections (i.e. FTP) are accessed by double-clicking their icons, just like ordinary subfolders. The file being double-clicked is usually just a text file containing information for establishing the connection.

This dialog deals with protecting the information in such remote connection files, and with automatically closing inactive connections.

Click the controls of the dialog in fig 1 to jump to their associated help text.

Fig 1: The Remote Settings dialog

SettingsRemote.gif (9481 bytes)

Master Password

Since login information can optionally be stored within remote connection files, some method of protecting this information is needed, so that an occasional user of the computer system may not access the remote connections of someone else. This is where the Master Password comes in.

The Master Password is used to encrypt the login information in all remote connections that are created during the life span of that Master Password. To use any of the login information stored in remote connection files, first, the Master Password must be provided. Failing to do so, the login information cannot be decrypted.

On connecting to several remote sites, the master password need only be provided the first time.

For more information on creating remote connections, see Creating a New FTP Connection.

NOTE: When changing Master Password, remote connections created using the previous Master Password are still encrypted using the old Master Password.

Fig 2: The Master Password protects all other remote connections

MasterPassword.GIF (4117 bytes)

New Password

This button is used to specify a new Master Password.

Fig 3: The mew password dialog

NewMasterPwd.gif (5153 bytes)

Forget Now

This button can be used to make Probe 'forget' the Master Password. This may be useful when for example temporarily leaving a computer, and wanting to make sure that remote connections cannot be accessed.

This button does not change the password, it only makes sure that someone attempting to open a remote site from within Probe will have to provide the master password, provided that the login data of the connection is encrypted.

Reevaluate master password after

If a certain period of inactivity elapses, Probe can be made to 'forget' the Master Password, so that it must be provided again when accessing a remote connection. Check this option to enable this.

NN minutes of inactivity have elapsed

This specifies how many minutes Probe must be inactive (no user interaction) before forgetting the Master Password.

Automatic Disconnect

When a remote connection is inactive for a given time period, Probe can automatically disconnect that connection.

After NN minutes of inactivity

Check this option to enable automatic disconnect, and edit how many minutes to wait before disconnecting.

Disconnect from remote site automatically

Using this option, Probe disonnects from the remote connection without notifying the user.

Query user on action

Using this option, Probe will query on whether to disconnect or not, when the given time period of inactivity has elapsed.

Disconnect if Probe is minimized...

This option will cause Probe to query on whether to disconnect or not if Probe is currently not minimized (at the taskbar). If minimized it will disconnect without querying.

Next: Settings Realizations

Back: Settings Compression


Settings - Realizations

File realizations refers to copies of files in remote sites or compressed archives that have been accessed from within Probe. More information is available under File Realizations.

The dialog in fig 1 gives an overview of how many files, and the total size of these files, that are locally cached. It also allows for uncaching all files currently realized.

Fig 1: The Realizations Settings dialog (clickable)

SettingsRealizations.gif (6120 bytes)

Nr of realized files

This shows the total number of realized files, within all remote connections and all compressed archives.

Size of realized files

This shows the total size of all realized files, within all remote connections and all compressed archives.

Un-realize all files now

This button forces all realized files to be un-cached. If a file is currently opened in some editor, or if it is part of a file operation in progress, it will not be unrealized.

Probe realizations directory

This shows the directory where the realized files are locally stored. To modify the Probe work directory, go to the Paths Settings dialog.

Next: Settings Performance

Back: Settings Remote


Settings - Performance

The dialog in fig 1 handles two types of disk performance related issues:

  • The Disk Performance test. This will benchmark performance numbers such as read rate, write rate and access times for local and networked disks.
  • Size of IO buffers used during file operations. When handling very large files, increasing the size of file operation IO buffers may improve performance.

Fig 1: The Performance Settings dialog (clickable)

SettingsPerformance.gif (8048 bytes)

Disk Performance

When doing file operations, Probe attempts to predict how long time the operation will take. Knowing the actual performance parameters of the drives helps in making more accurate predictions.

Do Disk Performance Analysis Now

Pressing this button will open the ### Disk Performance dialog. The purpose of that dialog is to do disk performance analysis for all disks under My Computer.

Direct IO Buffers

Probe has several different strategies for copying/moving files. If a file is sufficiently large, it will use two 'Direct IO Buffers', where two processes use an IO buffer each, for reading the source and writing the target in parallel.

IO buffers size

Edit the size for the IO buffers to be used here. When handling large files (>4 mb) frequently, performance can be slightly increased with larger IO buffers.

The number need to be a power of two, such as:

  • 32 kb, 64 kb, 128 kb, 256 kb, 512 kb, 1mb, 2 mb, 4 mb

NOTE: Probe uses two IO buffers of the size in this edit box for each concurrent file transfer (disk to disk).

NOTE: Increasing the IO buffers will decrease the amount of RAM available to other applications.

Next: Examples

Back: Settings Realizations


Examples

###Some examples demonstrating how different file operations can be performed using Probe are available here.

  • Selective backup, multiple drives

Next: Keyboard Accelerators by Function

Back: Settings


Backup documents, multiple drives

Selective backup, multiple drives

This is an example of how a selective backup operation to a compressed archive can be performed using Probe.

  • What we want to do
  • Step 1, Positioning the Folder Browser
  • Step 2, Bringing up the Advanced Selection dialog
  • Step 3, Editing a filename criterion
  • Step 4, Editing a date criterion
  • Step 5, Handling selection iteration
  • Step 6, Applying the selection criterion
  • Step 7, Setting recursive selections
  • Step 8, Inspecting the selection
  • Step 9, Preparing to backup
  • Step 10, Preparing to compress files
  • Step 11, Compressing selected files
  • Step 12, Repeating for drive D:,E:
  • Step 13, Deselecting all files recursively

What we want to do

Suppose we want to make a backup from three local disks

  • C:, D:, E:

of readable documents of some common types:

  • *.txt (text files)
  • *.doc (MS Word documents)
  • *.ps (Post Script documents)
  • *.pdf (Adobe documents)
  • *.ppt (MS PowerPoint documents)

Also, we only want to backup files which have been modified during the last year. Finally, these documents should be placed in a compressed archive of ZIP type.

To follow the example, you'll need to have two Folder Browser in the Probe main window. The Folder Browsers should be associated with each other as companions.

Step 1, Positioning the Folder Browser

Make a Folder Browser display the contents of My Computer, under the Desktop folder.

Hi-light the disks from which to backup the documents.

Fig 1: C:, D:, E: are hi-lightedd

wpe1.gif (5346 bytes)

Step 2, Bringing up the Advanced Selection dialog

To sort out the filetypes mentioned above (*.txt, *.doc, ...) the Advanced Selection dialog is used. To invoke it, press Num + (Numeric keypad plus) or select it from the Edit menu item 'Select...'.

Now either the simple wildcard selection dialog or the advanced selection dialog appears. If the first is the case, press the 'Advanced' button within this dialog to go to the advanced dialog.

Step 3, Editing a filename criterion

Now we want to decide which files to recursively select. Make sure the 'Filename' tab of the dialog is displayed. Click the 'Explicit wildcard' check box. Then edit the wildcard to be used in the edit-box (Fig 2):

  • *.txt,*.doc,*.ps,*.pdf,*.ppt

Fig 2: After editing the filename wildcard

wpe2.gif (11043 bytes)

Step 4, Editing a date criterion

We also want to restrict the criterion to only include files which have been modified within the last 12 months. To do this, click the 'Date' tab of the dialog.

Now click the 'Files newer than XX months' check box and write '12' for XX.

Under the 'Date type' section of the dialog, make sure the 'Last modify date is checked. The 'Date' tab dialog should now look as in Fig 3.

Fig 3: After editing a date criterion

wpe3.gif (6840 bytes)

Step 5, Handling selection iteration

Now we're ready to apply the selection criterion (name+date) to our local disks. Two last steps must be done before applying the selection:

  • Make sure the 'Recursive selection' part of the dialog has the 'in hi-lighted subfolders' radio button checked. This guarantees that the selection process enters the three hi-lighted local disks, but not the CD-Rom in our example.
  • The 'Recurse into VDrives' setting should be set to 'Stop the recursion', since we're not interested in searching for the specified files within compressed archives nor in remote sites.

The last two settings are displayed in Fig 4.

Fig 4: Deciding how the selection criterion is applied

wpe4.gif (3288 bytes)

Step 6, Applying the selection criterion

Now we've finished editing the selection criterion. To make Probe apply the selection, press OK.

Applying the selection may take quite some seconds, since three disks have to be scanned. A dialog indicating this is displayed.

Fig 5: The selection process in progress

wpe5.gif (2753 bytes)

Step 7, Setting recursive selections

To choose that all files in subfolders are to be included/excluded in a file operation depending on it's selection status, we must set subfolder handling to 'recursive selections', as in Fig 6.

NOTE: Usually file operations assume ALL the contents of subfolders to be included. Now we're working with parts of the contents, that is recursive selections.

Fig 6: Setting subfolder handling to recursive selections

wpe6.gif (8620 bytes)

Step 8, Inspecting the selection

To verify that all went well, the Selection Information dialog can be used. Pressing F9 invokes this dialog. Probe may need a few seconds to collect information on the selected items.

We can now view the selected items in this dialog, and see how many files were selected and see how much disk space they occupy.

Note that each individual selected file is visible in the tree view of the dialog.

Fig 7: Using the Selection information dialog

wpe7.gif (14919 bytes)

Step 9, Preparing to backup

In a second Folder Browser, we navigate to a target directory where the backup is to be performed. We use the F7, or 'New Folder' under the 'Disk' pull-down menu, to create a ZIP archive, called 'LocalDocBackup.zip'. The situation after this is displayed in Fig 8.

Fig 8: Creating a compressed archive for backup

wpe8.gif (3978 bytes)

Step 10, Preparing to compress files

In the Folder Browser located in the 'My Computer' folder, double-click the 'C:' drive. In the Folder Browser where the ZIP archive was created, double-click the ZIP archive to enter it.

In the ZIP file, a subfolder 'Doc_From_Drive_C' is created. This subfolder is to contain the selected items from the 'C:' drive.

Fig 9: Ready to compress files

wpeC.gif (8349 bytes)

Step 11, Compressing selected files

In the target Folder Browser, go into the folder created above, 'Doc_From_Drive_C'. This is where we want the selected files from C: to be stored. Now, the copy process is started with the F5 command. (It can also be started by Drag&Drop, but in this case, use the right mouse button and select the item 'Dialog, Copy here' when dropping the files').

The 'Copy' dialog appears. Make sure that 'Subfolders' is set to 'recursive selections'.

When pressing OK, files will be compressed into the ZIP archive. This is likely to take some time, and a progress dialog is displayed.

Fig 10, The Copy dialog

wpeD.gif (5803 bytes)

Step 12, Repeating for drive D:,E:

To compress the selected files on drives D:,E: we must repeat the actions of step 10, 11, but for the two drives C: and D: instead of C: as used in 10 and 11.

After this, the backup selection backup operation is finished.

Step 13, Deselecting all files recursively

The files in the file operation still remains selected. To globally deselect all files in all folders, use the keyboard accelerator Ctrl G.It's also available in the 'Edit' pull-down menu as the 'Global Deselect' alternative.

It can also be achieved with wildcard de-selection:

  • Go into the Advanced Deselection dialog through Num -.
  • Select 'Clear Settings' from it's File menu.
  • Activate the filename tab
  • Select Explicit wildcard
  • Edit the wildcard: *.* (or only *)
  • Make sure the recursion setting is set to all 'in all subfolders' or 'in hi-lighted subfolders'.
  • Press OK.

There's also a keyboard accelerator for deselecting all files in a certain subfolder structure:

  • Position the Folder Browser cursor over drive C:
  • Pressing Ctrl Num / (that is, Ctrl and the numeric keypad divide) will recursively deselect all files of a particular subfolder.
  • Repeat for D: and E:

Next: Link

Back: Link


Keyboard Accelerators by function

Here the keyboard accelerators of Probe are presented grouped by functionality. Help on keyboard accelerators is available from within Probe when using the Accelerator Guide.

  • Format
  • Accelerators
    • Selection
    • Navigation
    • File Operations
    • Companion operations
    • FTP related
    • Compressed archive related
    • Miscellaneous

Format

Many keyboard accelerators are invoked by pressing one or several of 'Ctrl', 'Alt', 'Shift' together with some other key. The syntax

Ctrl Shift C

indicates holding down the Ctrl and Shift key at the same time as pressing C.

Selection

Insert | Toggle selection state of file at cursor and advance
Spacebar | Toggle selection state of file at cursor
Ctrl A | Select all files and folders
Ctrl Q | Deselect all files and folders
Ctrl G | Deselect all items in the entire storage tree
Num+ | Select files using wildcards (Numeric keypad plus)
Num- | Deselect files using wildcards (Numeric keypad minus)
Ctrl Num* | Recursively select all files of a subfolder
Ctrl Num/ | Recursively deselect all files of a subfolder
Ctrl Num+ | Select all files
Ctrl Num- | Deselect all files
Shift Num+ | Select all folders
Shift Num- | Deselect all folders
Ctrl Shift Num+ | Select all files and folders
Ctrl Shift Num - | Deselect all files and folders
Shift arrows | Select a range of files
Ctrl arrows | Deselect a range of files
F9 | Display information on current selection

Navigation

F10 | Open the path dialog (explicit path)
Shift C,D,... | go to drive C:,D:,...
Ctrl F1 | Change drive in current browser
Ctrl F2 | Change drive in companion browser
Ctrl PageUp | go to folder above
Alt F1 | Open the folder selector popup
Alt F2 | Open the folder selector popup for the companion
Alt Left arrow | Go back in path history (previous folder)
Alt Right arrow | Go forward in path history (next folder)

File operations

F2 | Edit filename at cursor
F4 | Open file at cursor as text
F5 | Copy selected files to companion browser
F6 | Move selected files to companion browser
F7 | Make a new subfolder in current folder
F8 | Move selected files to the recycle bin
Enter | Open file at cursor with default program
Delete | Move selected files to the recycle bin
Shift F3 | Modify file attributes of selected files
Shift F4 | Modify dates of selected files
Shift F5 | Apply disk custom command to selected files
Shift F8 | Delete selected files
Shift Delete | Delete selected files
Ctrl F7 | Create a new file in current browser
Ctrl F | Edit file attributes of file at cursor
Ctrl N | Edit filename at cursor

Companion operations

Tab | Activate the companion browser
Shift Tab | go to the folder under the cursor in the companion browser
Ctrl F2 | Change drive in companion browser
Alt F2 | Open the folder selector popup for the companion
Ctrl Shift C,D,... | go to drive C:,D:,... in companion browser

FTP related

Shift Enter | Go one folder down in an FTP ###multi-folder path
Ctrl Shift PageUp | Go one folder up in an FTP ###multi-folder path

Compressed archive related

Ctrl T | Test if any the selected files is a compressed archive
Alt F9 | Expand the selected archives
Alt F10 | Realize the selected archives

Miscellaneous

Ctrl F3 | Toggles file-filter on/off
Ctrl F4 | Edit settings for the file filterr
Ctrl C | Activate the command prompt tool
Ctrl W | Bring up white area popup-menu
Ctrl P | Bring up file popup menuu
Alt Enter | Display property page for object

Next: Keyboard accelerators by qualifier

Back: Examples


Keyboard Accelerators by Qualifier

Here the keyboard accelerators of Probe are presented grouped by functionality. Help on keyboard accelerators is available from within Probe when using the Accelerator Guide.

  • Format
  • Accelerators
    • No qualifier
    • Shift qualified
    • Ctrl qualified
    • Alt qualified
    • Ctrl + Shift qualified

Format

Many keyboard accelerators are invoked by pressing one or several of 'Ctrl', 'Alt', 'Shift' together with some other key. The syntax

Ctrl Shift C

indicates holding down the Ctrl and Shift key at the same time as C.

No qualifier

Insert | Toggle selection state of file at cursor and advance
Spacebar | Toggle selection state of file at cursor
Enter | Open file at cursor with default program
Delete | Move selected files to the recycle bin
Num+ | Select files using wildcards (Numeric keypad plus)
Num- | Deselect files using wildcards (Numeric keypad minus)
Tab | Activate the companion browser
F2 | Edit filename at cursor
F4 | Open file at cursor as text
F5 | Copy selected files to companion browser
F6 | Move selected files to companion browser
F7 | Make a new subfolder in current folder
F8 | Move selected files to the recycle bin
F9 | Display information on current selection
F10 | Open the path dialog (explicit path)

Shift qualified

Shift Num+ | Select all folders
Shift Num- | Deselect all folders
Shift arrows | Select a range of files
Shift C,D,... | go to drive C:,D:,...
Shift Tab | Goto the folder under the cursor in the companion browser
Shift Enter | Go one folder down in an FTP ###multi-folder path
Shift F3 | Modify file attributes of selected files
Shift F4 | Modify dates of selected files
Shift F5 | Apply disk custom command to selected files
Shift F8 | Delete selected files
Shift Delete | Delete selected files

Ctrl qualified

Ctrl Num* | Recursively select all files of a subfolder
Ctrl Num/ | Recursively deselect all files of a subfolder
Ctrl Num+ | Select all files
Ctrl Num- | Deselect all files
Ctrl arrows | Deselect a range of files
Ctrl F1 | Change drive in current browser
Ctrl F2 | Change drive in companion browser
Ctrl F3 | Toggles file-filter on/off
Ctrl F4 | Edit settings for the file filterr
Ctrl F7 | Create a new file in current browser
Ctrl A | Select all files and folders
Ctrl C | Activate the command prompt tool
Ctrl G | Deselect all items in the entire storage tree
Ctrl N | Edit filename at cursor
Ctrl P | Bring up file popup-menu
Ctrl Q | Deselect all files and folders
Ctrl T | Test if any the selected files is a compressed archive
Ctrl W | Bring up white area popup-menu

Alt qualified

Alt F1 | Open the folder selector popup
Alt F2 | Open the folder selector popup for the companion
Alt F9 | Expand the selected archives
Alt F10 | Realize the selected archives
Alt Left arrow | Go back in path history (previous folder)
Alt Right arrow | Go forward in path history (next folder)
Alt Enter | Display property page for object

Ctrl + Shift qualified

Ctrl Shift Num+ | Select all files and folders
Ctrl Shift Num - | Deselect all files and folders
Ctrl Shift PageUp | Go one folder up in an FTP ###multi-folder path
Ctrl Shift C,D,... | go to drive C:,D:,... in companion browser

Next: Terminology

Back: Keyboard accelerators by function


Terminology

###UNIMPLEMENTED

This page deals with terminology that is used within Probe.

Frame

Edge

VDrive

Folder, Subfolder

File objectt

Shell Names pacee

Recycle Bin

FTP

Access time

Read Rate

Write Rate

Companion

(Browser) Slave

Log Window

b

kb

mb

gb

tb

Multi-folder path

Collector

Next: Contacting the Author

Back: Reference Manual


Feedback and Bug Reports

Your experience and feedback when using Probe is valuable. This page deals with how to generate bug reports and extract log information, as well as pointing out areas where feedback is welcome.

  • Logging and Reporting a Program Crash
  • Bug Types
  • Bug Reports
  • Feedback - Criticism and New Ideas
  • Email Contact
  • The Home Page of Probe - Latest Version

Logging and Reporting a Program Crash

We are determined to track down and fix all bugs in Probe. Therefore, if you encounter a bug that causes Probe to crash, we would like to receive a bug report. Each bug uncovered is valuable to us in making the program more reliable. Remember, a non reported bug cannot be fixed!

When a bug causes Probe to crash, the PROBE - Debug Report dialog (fig 1) is usually activated. It contains information on the state and activities of the program when the crash happened. Without this information, it is very difficult to track and eliminate the bug.

To report a bug from the PROBE - Debug Report dialog, do as follows:

  1. Click the Send Email Now button.
  2. Two things happens now:
    • The debug information is saved to a file and opened in Notepad.
    • Your email program is launched, creating a new email addressed to us.
  3. Copy the text from Notepad to the new email.
  4. Send the email.

See Bug Reports for additional details to include in the email.

Fig 1: The Probe Debug Report dialog

tmp6.gif (11564 bytes)

Bug Types

A bug can range from a tiny screen update problem in some rare situation to a program crash. Between these two extremes are jobs that are not performed as expected, annoying aspects of the user interface etc. Reports of all sorts of bugs are beneficial for program improvement. Some bug categories, and what type of bug information can be supplied are:

  • A program crash. The program has performed an illegal operation and a the PROBE - Debug Report dialog is activated.
  • A function, a file operation, a user interface element, etc, did not behave as expected or perform it's function. In this case, a description of what function was invoked, what the expected result was, and what the actual incorrect result was. If the error is repeatable, a description all steps leading up to it is valuable.
  • Some aspect of the program performs in an ineffective or otherwise annoying way. Describe the function, and how it could be improved.
  • Other program bugs.
  • Bugs relating to this help file:
    • Typos
    • Unclear help sections
    • Lacking help sections
    • Incorrect help sections
    • Too exhaustive help sections
    • Too brief help sections
    • Layout improvements
    • etc...

    Describe the bug, and possibly a suggestion for improvement.

Bug Reports

Here are some points which are valuable in a bug report:

  • Your own description of the bug. What led up to it. Effects of the bug. Is it repeatable?
  • Error log in the form of a text file from the PROBE - Debug Report (fig 1). This dialog is opened automatically on severe bugs.
  • Screenshots of Probe at error time. Using the Print Screen function will put an image of the desktop into the clipboard. Pasting this image to an image program, or a word processor makes it possible to attach the image to an email. The GIF image format is good for screenshots.

Feedback - Criticism and New Ideas

If you have experience with some aspect of Probe, and an idea on enhancing this, this is valuable when planning enhancements to the program.

Is there's some sort of file related job you're doing often, that you have an idea how to automate?

What features do you lack in Probe?

Has this help file been effective to you?

Email Contact

The author of Probe is available at email address arst@ludd.luth.se. Please use the word PROBE in the subject when emailing.

If using email attachments, try to keep their size down by file compression or other means.

The Home Page of Probe - Latest Version

The homepage of Probe on the Internet is at http://w1.920.telia.com/~u92008165. On this page, you can:

  • Download a fully functional, time limited version, of the entire program.
  • Download new version of the main executable file (Probe.exe)
  • Download new versions of the helpfile.
  • Read about enhancements to the program.
  • Subscribe to the mailing list for Probe.

Back: Terminology


Template

Normal text

  • 1
  • 2
  • 3
  • 4
  • 5
  • 6
  • 7

Next: Link

Back: Link


Loading page...!


Loading Page...!